CREATE TABLE jobready.abn_verifications (
    id bigint NOT NULL,
    company_id bigint NOT NULL,
    business_name character varying,
    status character varying,
    verified_at date
);
CREATE TABLE jobready.access_tokens (
    id integer NOT NULL,
    token character varying NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.action_plan_templates (
    id bigint NOT NULL,
    name character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.action_plan_templates_goals (
    action_plan_template_id bigint,
    goal_id bigint
);
CREATE TABLE jobready.activities (
    id integer NOT NULL,
    ess_identifier character varying NOT NULL,
    name character varying NOT NULL,
    description character varying,
    activity_type character varying,
    activity_sub_type character varying,
    status character varying,
    priority character varying,
    start_date date,
    end_date date,
    group_based_activity boolean DEFAULT false,
    multiple_location boolean DEFAULT false,
    general_related_id character varying,
    externally_hosted boolean DEFAULT false,
    contract_id character varying NOT NULL,
    contract_name character varying,
    contract_type character varying,
    site_id integer,
    supervising_office_code character varying,
    police_check boolean DEFAULT false,
    related_activity_ids text[],
    host_type_code character varying,
    host_organisation_name character varying,
    host_organisation_status character varying,
    host_social_enterprise_indicator character varying,
    host_contact_person_position_title character varying,
    host_contact_person_title character varying,
    host_contact_name character varying,
    host_address character varying,
    host_town_or_suburb character varying,
    host_state character varying,
    host_postcode character varying,
    host_contact_phone_number character varying,
    host_contact_mobile_number character varying,
    host_fax_number character varying,
    host_email_address character varying,
    related_industry_codes character varying,
    created_by_user_id integer,
    updated_by_user_id integer,
    sourcing_contract_type character varying,
    sourcing_organisation_code character varying,
    overarching_activity boolean DEFAULT false,
    overarching_activity_id character varying,
    related_sub_activity_ids text[],
    my_organisation_only boolean,
    advertise_activity_type character varying,
    advertising_to_organisation_list character varying,
    advertising_to_site_list character varying,
    lead_provider_organisation_code character varying,
    lead_provider_site_id integer,
    risk_assessment_place_completed_date date,
    host_agreement_executed_date date,
    individual_place_fee_host_amount numeric,
    group_based_place_fee_amount numeric,
    activity_overhead_cost_amount_including_gst numeric,
    activity_participant_cost_amount_including_gst numeric,
    total_budgeted_cost_amount_including_gst numeric,
    advance_payment_amount numeric,
    acquittal_due_date date,
    acquittal_completed boolean,
    place_hours integer,
    place_type_description character varying,
    total_activity_places_sourced character varying,
    activity_places_active integer,
    activity_places_active_claimed integer,
    activity_places_active_available integer,
    activity_places_active_claimed_by_own_org character varying,
    activity_places_active_current_commencement character varying,
    activity_places_active_claimed_pending_commencement character varying,
    location_status character varying,
    location_contact_person_position_title character varying,
    location_contact_person_title character varying,
    location_contact_name character varying,
    location_address character varying,
    location_town_or_suburb character varying,
    location_state character varying,
    location_postcode character varying,
    location_er_code character varying,
    location_phone_number character varying,
    location_mobile_number character varying,
    location_fax_number character varying,
    location_email_address character varying,
    activity_ef_reimbursed_amount character varying,
    location_places_active integer,
    location_places_active_current_commencement integer,
    place_id character varying,
    place_sequence_number integer,
    place_start_date date,
    place_end_date date,
    place_duration integer,
    currently_active_place boolean,
    place_status character varying,
    place_status_date date,
    place_claimed boolean,
    date_claimed date,
    place_claimed_pending_commencement boolean,
    days_since_claimed integer,
    claiming_organisation_code character varying,
    claiming_site_id integer,
    place_referrals integer,
    place_commencements integer,
    place_current_commencements integer,
    place_utilisation character varying,
    wfd_fee_paid_to_provider character varying,
    location_place_available integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    sourcing_organisation_name character varying,
    claiming_organisation_name character varying,
    lead_provider_organisation_name character varying,
    organisation_code character varying,
    organisation_name character varying,
    supervising_office_name character varying,
    host_type_description character varying,
    sourcing_site_id integer,
    created_by_user_ess_identifier character varying,
    updated_by_user_ess_identifier character varying,
    site_name character varying,
    site_code character varying,
    claiming_site_code character varying,
    claiming_site_name character varying,
    sourcing_site_code character varying,
    sourcing_site_name character varying,
    lead_provider_site_code character varying,
    lead_provider_site_name character varying
);
CREATE TABLE jobready.annual_activity_requirements (
    id bigint NOT NULL,
    site_id bigint,
    jobseeker_id bigint,
    activity_id integer NOT NULL,
    activity_referral_sequence_number integer NOT NULL,
    activity_for_own_org boolean DEFAULT false NOT NULL,
    activity_placement_from_same_org boolean DEFAULT false NOT NULL,
    activity_status character varying,
    activity_sub_type_code character varying,
    activity_type_code character varying,
    actual_end_date date,
    actual_start_date date,
    additional_ess_data jsonb DEFAULT '{}'::jsonb NOT NULL,
    attendance_type character varying,
    exit_reason_code character varying,
    expected_end_date date,
    expected_start_date date,
    has_aar boolean DEFAULT false NOT NULL,
    parent_activity_description character varying,
    parent_activity_name character varying,
    parent_claiming_org_code character varying,
    parent_claiming_org_name character varying,
    status_code character varying,
    type_code character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.appointments (
    id integer NOT NULL,
    stream_participant_id integer NOT NULL,
    consultant_id integer,
    created_by_id integer,
    result_updated_by_id integer,
    ess_created_on date,
    ess_identifier character varying,
    session_ess_identifier character varying,
    scheduled_on date NOT NULL,
    start_time character varying NOT NULL,
    end_time character varying NOT NULL,
    type character varying NOT NULL,
    format_info character varying,
    reason character varying,
    interpreter_language character varying,
    result_type character varying,
    result_updated_at timestamp without time zone,
    result_ess_updated_on date,
    imported_from_ess boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    consultant_name character varying,
    location character varying,
    next_appointment_reason character varying,
    des_program_type character varying,
    timeslot_ess_identifier character varying,
    next_appointment_type character varying,
    next_appointment_date date,
    batch_data json,
    marketo_synced_at timestamp without time zone,
    health_session_id bigint,
    program_referral_id bigint,
    status character varying,
    cancelled_by_id bigint
);
CREATE TABLE jobready.apprenticeship_actives (
    id integer NOT NULL,
    placement_id integer NOT NULL,
    apprenticeship_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.apprenticeships (
    id integer NOT NULL,
    host_company_id integer NOT NULL,
    placement_id integer NOT NULL,
    contact_id integer,
    start_date date,
    end_date date,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.ar_internal_metadata (
    key character varying NOT NULL,
    value character varying,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.assessment_outcomes (
    id integer NOT NULL,
    type character varying NOT NULL,
    "from" integer NOT NULL,
    "to" integer,
    text character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    status character varying,
    smart_form_id uuid
);
CREATE TABLE jobready.attachments (
    id integer NOT NULL,
    user_id integer,
    attachable_id integer NOT NULL,
    attachable_type character varying(255) NOT NULL,
    file character varying(512) NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    tags text[] DEFAULT '{}'::text[],
    deleted_at timestamp without time zone,
    jobseeker_portal_accessible boolean DEFAULT false,
    previous_system_identifier character varying,
    user_type character varying,
    av_status character varying DEFAULT 'unknown'::character varying NOT NULL,
    av_timestamp timestamp without time zone,
    av_signature character varying,
    marketo_synced_at timestamp without time zone,
    confirmed_at timestamp without time zone
);
CREATE TABLE jobready.bank_accounts (
    id integer NOT NULL,
    encrypted_name character varying NOT NULL,
    encrypted_name_iv character varying NOT NULL,
    encrypted_number character varying NOT NULL,
    encrypted_number_iv character varying NOT NULL,
    encrypted_bsb character varying NOT NULL,
    encrypted_bsb_iv character varying NOT NULL,
    deleted_at timestamp without time zone,
    jobseeker_id bigint
);
CREATE TABLE jobready.bank_transactions (
    id bigint NOT NULL,
    merchant character varying,
    description text,
    transaction_date date NOT NULL,
    amount numeric NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    reconciled_amount numeric,
    account_number character varying,
    transaction_code character varying,
    account_name character varying
);
CREATE TABLE jobready.bank_transactions_account_informations (
    id bigint NOT NULL,
    account_number character varying,
    account_name character varying,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.bank_transactions_import_logs (
    id bigint NOT NULL,
    status character varying,
    kind character varying,
    description text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.basic_benefit_rates (
    id bigint NOT NULL,
    name character varying,
    base_rate integer,
    effective_from_date date,
    lower_percentage numeric DEFAULT 0.6,
    lower_rate integer,
    mid_percentage numeric DEFAULT 0.85,
    mid_rate integer,
    upper_percentage numeric DEFAULT 1.0,
    upper_rate integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.batches (
    id integer NOT NULL,
    batch_type character varying NOT NULL,
    parameters json,
    status character varying DEFAULT 'created'::character varying NOT NULL,
    failures json DEFAULT '[]'::json,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.better_proposal_templates (
    id bigint NOT NULL,
    template_identifier character varying NOT NULL,
    template_name character varying,
    active boolean DEFAULT false NOT NULL,
    external_deleted boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.better_proposals (
    id bigint NOT NULL,
    better_proposal_template_id bigint NOT NULL,
    contact_id bigint NOT NULL,
    company_id bigint NOT NULL,
    created_by_id bigint,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL,
    being_pushed_to_api boolean,
    identifier character varying,
    preview_url character varying,
    data jsonb DEFAULT '{}'::jsonb NOT NULL,
    status character varying
);
CREATE TABLE jobready.break_reasons (
    id bigint NOT NULL,
    name character varying NOT NULL,
    break_type character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.breaks (
    id integer NOT NULL,
    placement_id integer NOT NULL,
    start_date date,
    end_date date,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    type character varying DEFAULT 'PermissibleBreak'::character varying NOT NULL,
    reason character varying,
    exceed_period_reason character varying,
    exceed_period_reason_other character varying,
    fortnight_id bigint
);
CREATE TABLE jobready.caseloads (
    id integer NOT NULL,
    site_id integer NOT NULL,
    stream_type character varying NOT NULL,
    commenced integer DEFAULT 0 NOT NULL,
    pending integer DEFAULT 0 NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.claim_ccu_change_reasons (
    id integer NOT NULL,
    reason character varying,
    workflow_state character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.claim_ess_identifiers (
    id integer NOT NULL,
    ess_identifier character varying,
    entity_type character varying,
    entity_id integer,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.claim_rate_types (
    id integer NOT NULL,
    claimable_type character varying NOT NULL,
    rate_type_code character varying NOT NULL,
    rate_type character varying NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    programme character varying DEFAULT 'jobActive'::character varying
);
CREATE TABLE jobready.claim_transitions (
    id integer NOT NULL,
    to_state character varying NOT NULL,
    metadata json DEFAULT '{}'::json,
    sort_key integer NOT NULL,
    claim_id integer NOT NULL,
    most_recent boolean NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.claims (
    id integer NOT NULL,
    ess_identifier character varying,
    placement_id integer,
    special boolean,
    invoice_number character varying,
    recovery_reason character varying,
    amount numeric NOT NULL,
    gst numeric NOT NULL,
    approved_amount numeric NOT NULL,
    rate_type character varying,
    base_rate_type character varying,
    status character varying,
    updated_on date,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    type character varying,
    due_on date,
    week_number integer,
    state character varying,
    jobseeker_id integer,
    expense_id integer,
    site_id integer,
    rate_type_code character varying,
    status_code character varying,
    ess_created_on date,
    status_date date,
    base_rate_type_code character varying,
    created_by_id integer,
    deleted_at timestamp without time zone,
    state_updated_at timestamp without time zone,
    outcome_type character varying,
    psv boolean DEFAULT false,
    submitted_to_ccu_by_id integer,
    submitted_to_ccu_at timestamp without time zone,
    assigned_to_id integer,
    assigned_at timestamp without time zone,
    activity_id character varying,
    programme character varying DEFAULT 'jobActive'::character varying,
    anchor_id character varying,
    anchor_date date,
    start_date date,
    end_date date,
    available_date date,
    placement_type character varying,
    forecast_date date,
    state_last_updated_by_id bigint,
    approver_id bigint
);
CREATE TABLE jobready.claims_weekly_snapshots (
    id integer NOT NULL,
    site_id integer NOT NULL,
    week_starting_on date,
    week4_outstanding_amount double precision,
    week12_outstanding_amount double precision,
    week26_outstanding_amount double precision,
    week4_outstanding_count integer,
    week12_outstanding_count integer,
    week26_outstanding_count integer,
    week4_lodged_amount double precision,
    week12_lodged_amount double precision,
    week26_lodged_amount double precision,
    week4_lodged_count integer,
    week12_lodged_count integer,
    week26_lodged_count integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.commitment_assessments_surveys (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    completed_at timestamp without time zone,
    stage character varying,
    exercise_completed_at timestamp without time zone,
    created_by_id bigint NOT NULL,
    survey_type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    probability character varying DEFAULT ''::character varying NOT NULL
);
CREATE TABLE jobready.communication_preferences (
    id bigint NOT NULL,
    order_number integer NOT NULL,
    resource_type character varying NOT NULL,
    contact_method character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.companies (
    id integer NOT NULL,
    site_id integer,
    name character varying NOT NULL,
    abn character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    company_type character varying,
    email character varying,
    details_updated_at timestamp without time zone,
    ess_identifier character varying,
    address_line_1 character varying,
    address_line_2 character varying,
    address_line_3 character varying,
    address_suburb character varying,
    address_state character varying,
    address_postcode character varying,
    phone_area_code character varying,
    phone_number character varying,
    phone_extension character varying,
    fax_area_code character varying,
    fax_number character varying,
    anzsic_code character varying,
    status character varying DEFAULT 'Active'::character varying NOT NULL,
    ess_created_on date,
    ess_updated_on date,
    ess_extracted_on date,
    status_updated_at timestamp without time zone,
    address_updated_at timestamp without time zone,
    contact_details_updated_at timestamp without time zone,
    contact_name character varying,
    latitude double precision,
    longitude double precision,
    external_reference character varying DEFAULT ''::character varying,
    abn_name character varying,
    parent_id integer,
    level character varying DEFAULT 'employer'::character varying,
    account_manager_updated_at timestamp without time zone,
    account_manager_id integer,
    region_id integer,
    activity_status character varying DEFAULT 'prospect'::character varying,
    optional_abn boolean DEFAULT false,
    entity_type character varying,
    ess_comment text,
    recruitment_coordinator_id integer,
    active boolean DEFAULT true,
    comments text,
    tags text[] DEFAULT '{}'::text[],
    do_not_use boolean DEFAULT false,
    marked_as_not_used_by_id integer,
    marked_as_not_used_at timestamp without time zone,
    anzsic_code_second character varying,
    contact_preferences text,
    contact_preferences_updated_by_id integer,
    contact_preferences_updated_at timestamp without time zone,
    default_own_organisation boolean,
    default_related_entity boolean,
    employer_privacy_guide_provided boolean,
    previous_system_identifiers text[] DEFAULT '{}'::text[],
    company_lead_id bigint,
    contact_method character varying,
    created_by_id bigint,
    recruitment_portal_details text,
    strategy_details text,
    referral_source_id bigint,
    sub_source_type character varying,
    sub_source_id bigint,
    primary_organisation_id integer,
    employer_status_id bigint,
    better_proposal_company_identifier character varying,
    unsubscribed_from_bulk_emails boolean DEFAULT false
);
CREATE TABLE jobready.companies_wage_subsidy_agreements (
    company_id bigint NOT NULL,
    wage_subsidy_agreement_id bigint NOT NULL
);
CREATE TABLE jobready.company_leads (
    id bigint NOT NULL,
    lead_manager_id bigint,
    site_id bigint NOT NULL,
    status character varying,
    name character varying NOT NULL,
    abn_name character varying,
    abn character varying,
    address_line_1 character varying,
    address_line_2 character varying,
    address_line_3 character varying,
    address_suburb character varying NOT NULL,
    address_state character varying NOT NULL,
    address_postcode character varying NOT NULL,
    in_progress_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    referral_source_id bigint,
    sub_source_type character varying,
    sub_source_id bigint,
    on_hold_at timestamp without time zone,
    closed_at timestamp without time zone,
    converted_at timestamp without time zone,
    lead_stage_id bigint,
    lead_sub_stage_id bigint,
    created_by_id bigint,
    created_by timestamp without time zone,
    unsubscribed_from_bulk_emails boolean DEFAULT false,
    lead_substatus_id bigint,
    todo_at timestamp without time zone
);
CREATE TABLE jobready.company_types (
    id bigint NOT NULL,
    company_type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.contact_portal_users (
    id bigint NOT NULL,
    contact_id integer NOT NULL,
    active boolean DEFAULT false NOT NULL,
    email character varying NOT NULL,
    crypted_password character varying,
    password_salt character varying,
    persistence_token character varying,
    perishable_token character varying,
    login_count integer DEFAULT 0 NOT NULL,
    failed_login_count integer DEFAULT 0 NOT NULL,
    last_request_at timestamp without time zone,
    current_login_at timestamp without time zone,
    last_login_at timestamp without time zone,
    current_login_ip character varying,
    last_login_ip character varying,
    password_changed_at timestamp without time zone,
    deleted_at timestamp without time zone,
    locked_at timestamp without time zone,
    locked_by_id integer,
    unique_session_id character varying(32),
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.contact_types (
    id integer NOT NULL,
    name character varying NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.contacts (
    id integer NOT NULL,
    "primary" boolean,
    title character varying NOT NULL,
    "position" character varying,
    first_name character varying NOT NULL,
    middle_names character varying,
    last_name character varying NOT NULL,
    email character varying,
    mobile_phone_number character varying,
    office_phone_number character varying,
    contactable_id integer,
    contactable_type character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    status character varying DEFAULT 'Active'::character varying,
    mailing_list boolean,
    comments text,
    ess_employer_contact boolean,
    contact_type_id integer,
    relationship character varying,
    deleted_at timestamp without time zone,
    organisation_name character varying,
    address_lines character varying,
    address_suburb character varying,
    address_state character varying,
    address_postcode character varying,
    previous_system_identifiers text[] DEFAULT '{}'::text[],
    created_by_id bigint,
    marketo_synced_at timestamp without time zone,
    marketo_lead_id character varying,
    unsubscribed_from_email boolean DEFAULT false,
    unsubscribed_from_sms boolean DEFAULT false
);
CREATE TABLE jobready.contacts_jobseeker_portal_privacy_document_consents (
    contact_id integer NOT NULL,
    jobseeker_portal_privacy_document_consent_id integer NOT NULL
);
CREATE TABLE jobready.contacts_meetings (
    contact_id bigint NOT NULL,
    meeting_id bigint NOT NULL
);
CREATE TABLE jobready.cortex_rails_api_configs (
    id integer NOT NULL,
    url character varying DEFAULT 'https://cortex.esherhouse.org'::character varying NOT NULL,
    token character varying DEFAULT ''::character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.cortex_rails_organisations (
    id integer NOT NULL,
    api_config_id integer,
    credit_count integer NOT NULL,
    survey_types text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.cortex_rails_surveys (
    id integer NOT NULL,
    name character varying NOT NULL,
    case_file_type character varying NOT NULL,
    case_file_id integer NOT NULL,
    payload text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    token character varying
);
CREATE TABLE jobready.custom_alerts (
    id bigint NOT NULL,
    name character varying,
    types character varying[] DEFAULT '{}'::character varying[],
    roles character varying[] DEFAULT '{}'::character varying[],
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    search_title character varying,
    filters character varying,
    resource_type character varying,
    tag character varying,
    deleted_at timestamp without time zone,
    priority character varying DEFAULT 'business_as_usual'::character varying,
    pin_status boolean DEFAULT false
);
CREATE TABLE jobready.custom_expense_types (
    id integer NOT NULL,
    code character varying NOT NULL,
    description character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    programme character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    gl_account_code integer,
    wage_subsidy boolean DEFAULT false NOT NULL,
    employment_fund boolean DEFAULT false,
    description_of_purchase text,
    claimable boolean DEFAULT false NOT NULL,
    second_approval_required boolean DEFAULT false,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.des_placements (
    id integer NOT NULL,
    phase_start_date date,
    placement_verification_date date,
    previous_phase character varying,
    phase_duration_in_weeks integer,
    phase_status character varying,
    site_specialisation_code character varying,
    current_des_funding_level character varying,
    des_funding_level_at_placement character varying,
    benchmark_hours_at_placement character varying,
    current_benchmark_hours character varying,
    suspended boolean,
    volunteer boolean,
    placement_hours_worked character varying,
    semester_1_start_date date,
    semester_1_end_date date,
    semester_2_start_date date,
    semester_2_end_date date,
    contact_hours_per_week character varying,
    w13_outcome_not_payable_reason character varying,
    w26_outcome_not_payable_reason character varying,
    des_program_type character varying,
    modern_awards character varying,
    federal_minimum_wage character varying,
    result_entered_on date,
    activity_name character varying,
    activity_status character varying,
    activity_placement_status character varying,
    activity_placement_actual_start_date date,
    activity_placement_actual_end_date date,
    pps_phase_start_date date,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.document_library_files (
    id bigint NOT NULL,
    user_id bigint,
    file character varying(512) NOT NULL,
    deleted_at timestamp without time zone,
    categories text[] DEFAULT '{}'::text[],
    av_status character varying DEFAULT 'unknown'::character varying NOT NULL,
    av_timestamp timestamp without time zone,
    av_signature character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    type character varying DEFAULT 'DocumentLibraryFile'::character varying NOT NULL,
    landscape boolean
);
CREATE TABLE jobready.elcapitan_tenant_configurations (
    id integer NOT NULL,
    name text NOT NULL,
    value text NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.email_events (
    id bigint NOT NULL,
    type character varying,
    additional_data jsonb DEFAULT '{}'::jsonb NOT NULL,
    email_id bigint,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.email_templates (
    id integer NOT NULL,
    name character varying NOT NULL,
    content text NOT NULL,
    types text[] DEFAULT '{}'::text[],
    deleted_at timestamp without time zone,
    subject character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.emails (
    id integer NOT NULL,
    subject text NOT NULL,
    body text NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    emailable_type character varying,
    emailable_id integer,
    "to" character varying,
    "from" character varying,
    cc character varying,
    bcc character varying,
    reply_to character varying,
    html_body text,
    text_body text,
    received_at timestamp without time zone,
    follow_up_date date,
    previous_system_identifier character varying,
    reminder_id integer,
    status character varying DEFAULT 'in_progress'::character varying NOT NULL,
    message_id character varying,
    headers json DEFAULT '{}'::json NOT NULL,
    email_type character varying,
    scheduled_at timestamp without time zone,
    marketo_guid character varying,
    thread_id integer
);
CREATE TABLE jobready.embed_reports (
    id integer NOT NULL,
    name character varying,
    url character varying,
    embed_code text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.employer_campaigns (
    id bigint NOT NULL,
    name character varying,
    company_id bigint,
    account_manager_id integer,
    status character varying,
    objective character varying,
    contact_person character varying,
    contact_details character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.employer_kpis (
    id bigint NOT NULL,
    company_id bigint,
    kpi_id bigint,
    actual character varying NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.employer_statuses (
    id bigint NOT NULL,
    name character varying,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.employment_hours (
    id bigint NOT NULL,
    site_id bigint NOT NULL,
    placement_id bigint,
    ave_week_hrs numeric,
    basic_rate integer,
    end_date date,
    hours_declared numeric,
    hrs_status_date date,
    income_declared numeric,
    outcome_lvl character varying,
    outcome_type character varying,
    period_days integer,
    request_type_code character varying,
    request_reason_code character varying,
    referral_ess_identifier character varying,
    start_date date,
    status_code character varying,
    work_period_start_date date,
    work_period_end_date date,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    jobseeker_id bigint NOT NULL,
    programme character varying,
    fortnight_id bigint
);
CREATE TABLE jobready.employment_properties (
    id integer NOT NULL,
    name character varying NOT NULL,
    resource_type character varying NOT NULL,
    field_type character varying DEFAULT 'text'::character varying NOT NULL,
    filterable boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.employment_property_option_quest_submissions (
    id bigint NOT NULL,
    employment_property_option_id bigint NOT NULL,
    quest_submission_id uuid NOT NULL
);
CREATE TABLE jobready.employment_property_options (
    id bigint NOT NULL,
    employment_property_id bigint,
    name character varying NOT NULL,
    category character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.employment_property_options_jobseekers (
    employment_property_option_id bigint NOT NULL,
    jobseeker_id bigint NOT NULL
);
CREATE TABLE jobready.employment_property_options_vacancies (
    employment_property_option_id bigint NOT NULL,
    vacancy_id bigint NOT NULL
);
CREATE TABLE jobready.entity_programmes (
    id integer NOT NULL,
    entity_id integer NOT NULL,
    entity_type character varying NOT NULL,
    programme character varying NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.ess_access_tokens (
    id integer NOT NULL,
    access_token character varying,
    refresh_token character varying,
    expires_at character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.ess_subscriptions (
    id bigint NOT NULL,
    programme character varying,
    type character varying,
    common_name character varying,
    code integer,
    report_name character varying,
    base_subscription boolean,
    updated_by_id integer,
    enabled boolean,
    sync_status character varying,
    last_synced_at timestamp without time zone,
    subscription_footer character varying,
    ess_org_code character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.ess_users (
    id integer NOT NULL,
    site_id integer NOT NULL,
    ess_identifier character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.ess_wage_subsidy_agreements (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    site_id bigint NOT NULL,
    placement_id bigint NOT NULL,
    created_by_id bigint,
    ended_by_id bigint,
    agreement_type character varying,
    approval_method character varying,
    approved_on date,
    claimed_amount character varying,
    eligibility_overridden character varying,
    eligibility_type_code character varying,
    end_reason_code character varying,
    ess_created_on date,
    ess_ended_on date,
    first_payment_date date,
    instalment_schedule_code character varying,
    job_ess_identifier character varying,
    job_placement_date date,
    latest_payment_date date,
    master_agreement_id character varying,
    maximum_amount_payable character varying,
    payment_count character varying,
    remaining_balance character varying,
    schedule_agreement_id character varying,
    started_on date,
    status character varying,
    vacancy_agreement_eligible character varying
);
CREATE TABLE jobready.events (
    id uuid NOT NULL,
    eventable_id integer,
    eventable_type character varying,
    data jsonb DEFAULT '{}'::jsonb NOT NULL,
    type character varying NOT NULL,
    "timestamp" timestamp without time zone NOT NULL
);
CREATE TABLE jobready.evidence_attachments (
    id integer NOT NULL,
    file character varying NOT NULL,
    user_id integer NOT NULL,
    placement_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    status character varying DEFAULT 'review'::character varying NOT NULL,
    updated_by_id integer,
    stage character varying,
    status_comments text,
    status_updated_at timestamp without time zone,
    deleted_at timestamp without time zone,
    deleted_by_id integer,
    tags text[] DEFAULT '{}'::text[],
    av_status character varying DEFAULT 'unknown'::character varying NOT NULL,
    av_timestamp timestamp without time zone,
    av_signature character varying
);
CREATE TABLE jobready.expense_approvals (
    id integer NOT NULL,
    expense_id integer,
    approval_level character varying,
    approver_id integer,
    approved_at timestamp without time zone,
    comment text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.expense_contact_emails (
    id bigint NOT NULL,
    contact_id bigint NOT NULL,
    expense_id bigint NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.expense_credit_cards (
    id integer NOT NULL,
    name character varying NOT NULL,
    code character varying NOT NULL,
    last_four_digits character varying(4) NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone,
    user_id bigint
);
CREATE TABLE jobready.expense_dual_line_limits (
    id bigint NOT NULL,
    programme character varying NOT NULL,
    "limit" integer,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.expense_exports (
    id integer NOT NULL,
    created_by_id integer NOT NULL,
    type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.expense_finance_statuses (
    id bigint NOT NULL,
    name character varying,
    system boolean DEFAULT false,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.expense_imports (
    id integer NOT NULL,
    created_by_id integer,
    processed boolean DEFAULT false,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    expense_export_id integer
);
CREATE TABLE jobready.expense_payment_types (
    id integer NOT NULL,
    name character varying NOT NULL,
    active boolean DEFAULT true,
    finance_system_code character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    credit_card_payment boolean,
    bank_details_required boolean DEFAULT false,
    nat_exportable boolean DEFAULT false NOT NULL,
    gst_not_applicable boolean DEFAULT false NOT NULL,
    autofill_invoice_details boolean DEFAULT false NOT NULL,
    company_id integer,
    second_approval_required boolean DEFAULT false,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.expenses (
    id integer NOT NULL,
    occurred_on date NOT NULL,
    company_id integer,
    jobseeker_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    created_by_id integer,
    type character varying DEFAULT 'other'::character varying NOT NULL,
    status character varying DEFAULT 'pending'::character varying NOT NULL,
    approver_id integer,
    approved_on date,
    justification text,
    related_entity boolean DEFAULT false,
    own_organisation boolean DEFAULT false,
    invoice_gst numeric DEFAULT 0.0,
    invoice_total numeric DEFAULT 0.0,
    invoice_date date,
    invoice_number character varying,
    claim_amount numeric DEFAULT 0.0,
    total numeric DEFAULT 0.0,
    gst numeric DEFAULT 0.0,
    properties json DEFAULT '{}'::json,
    export_state character varying DEFAULT 'waiting_for_approval'::character varying,
    legacy_finance_status character varying DEFAULT 'in_progress'::character varying,
    gst_applied boolean DEFAULT true,
    cancelled_at timestamp without time zone,
    cancelled_by_id integer,
    second_approver_id integer,
    second_approved_on date,
    rejected_by_id integer,
    rejected_on date,
    type_properties json DEFAULT '{}'::json,
    claim_ess_identifier character varying,
    commitment_id character varying,
    invoice_paid boolean DEFAULT false,
    withdrawal_reason character varying,
    withdrawn_at timestamp without time zone,
    withdrawn_by_id integer,
    updated_by_id integer,
    cancel_reason character varying,
    expense_credit_card_id integer,
    provider_to_pay boolean,
    finance_system_export_created_at timestamp without time zone,
    expense_payment_type_id integer,
    invoice_number_updated_at timestamp without time zone,
    invoice_number_updated_by_id integer,
    site_id integer,
    new_company_trading_name character varying,
    new_company_abn character varying,
    indigenous_mentoring_activity_id integer,
    marked_as_supplier_paid_by_id integer,
    marked_as_supplier_paid_at timestamp without time zone,
    claimed_at timestamp without time zone,
    committed_at timestamp without time zone,
    claim_cancellation_reason character varying,
    exported_for_bulk_commitment_at timestamp without time zone,
    invoice_gst_applied boolean DEFAULT true,
    supplier_paid_on date,
    exported_for_bulk_reimbursement_at timestamp without time zone,
    original_expense_id integer,
    commitment_data json DEFAULT '{}'::json,
    programme character varying DEFAULT 'jobActive'::character varying,
    tag text[] DEFAULT '{}'::text[],
    previous_system_identifier character varying,
    initial_stream character varying,
    bank_account_id integer,
    nat_export_created_at timestamp without time zone,
    new_company_address character varying,
    new_company_contact character varying,
    new_company_contact_phone character varying,
    purchase_order_id integer,
    supplier_purchase_order_id integer,
    mismatching_payment_imports boolean,
    payment_details_imported_at timestamp without time zone,
    invoice_actual_date_of_service date,
    professional_service_activity_id bigint,
    pre_approver_id integer,
    pre_approved_on date,
    voucher_id bigint,
    wage_subsidy_payment_schedule_id bigint,
    wage_subsidy_payment_schedule_template_instalment_id bigint,
    reconciled boolean DEFAULT false,
    refunded boolean DEFAULT false,
    refunded_amount numeric,
    bank_transaction_id bigint,
    goods_received boolean DEFAULT false,
    goods_received_confirmation_requested_at timestamp without time zone,
    finance_status_id integer DEFAULT 2 NOT NULL,
    payment_id character varying
);
CREATE TABLE jobready.exportling_exports (
    id integer NOT NULL,
    owner_id integer,
    klass character varying NOT NULL,
    status character varying DEFAULT 'created'::character varying NOT NULL,
    file_type character varying NOT NULL,
    output character varying,
    params text,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    name character varying DEFAULT ''::character varying NOT NULL,
    started_at timestamp without time zone,
    completed_at timestamp without time zone
);
CREATE TABLE jobready.filter_bar_configurations (
    id integer NOT NULL,
    user_id integer NOT NULL,
    page character varying NOT NULL,
    columns text[] DEFAULT '{}'::text[] NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.fortnight_wage_histories (
    id bigint NOT NULL,
    fortnight_id bigint,
    wage_history_id bigint,
    gross_income numeric,
    hours_worked numeric DEFAULT 0.0
);
CREATE TABLE jobready.fortnights (
    id bigint NOT NULL,
    tracking_method_type character varying,
    tracking_method_id bigint,
    placement_id bigint,
    payslip_result numeric DEFAULT 0.0 NOT NULL,
    payslip_earnings numeric DEFAULT 0.0 NOT NULL,
    payslip boolean DEFAULT false NOT NULL,
    apply_break boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    stage character varying[] DEFAULT '{}'::character varying[],
    start_date date,
    end_date date,
    overridden_ess_result numeric
);
CREATE TABLE jobready.goal_actions (
    id bigint NOT NULL,
    name character varying,
    due_period integer,
    period_type character varying,
    jobseeker_to_action boolean,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    tags text[] DEFAULT '{}'::text[]
);
CREATE TABLE jobready.goal_actions_goals (
    goal_action_id bigint NOT NULL,
    goal_id bigint NOT NULL
);
CREATE TABLE jobready.goal_types (
    id bigint NOT NULL,
    name character varying NOT NULL,
    "default" boolean DEFAULT false,
    active boolean DEFAULT true,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.goals (
    id bigint NOT NULL,
    code character varying,
    goal_type_id bigint NOT NULL,
    name character varying NOT NULL,
    active boolean,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.health_sessions (
    id bigint NOT NULL,
    site_id bigint,
    created_by_id integer NOT NULL,
    starts_at timestamp without time zone NOT NULL,
    ends_at timestamp without time zone NOT NULL,
    capacity integer DEFAULT 1,
    status character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    available integer DEFAULT 1,
    repeat_id bigint
);
CREATE TABLE jobready.health_sessions_programs (
    health_session_id bigint,
    program_id bigint
);
CREATE TABLE jobready.imported_documents (
    id integer NOT NULL,
    file character varying,
    batch_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.individual_development_schedule_templates (
    id bigint NOT NULL,
    name character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.internship_agreements (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    site_id bigint NOT NULL,
    ess_identifier character varying NOT NULL,
    referral_ess_identifier character varying NOT NULL,
    approval_date date,
    end_date date,
    end_reason character varying,
    hours_per_fortnight integer,
    result_code character varying,
    result_date date,
    start_date date,
    status character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    referral_id bigint
);
CREATE TABLE jobready.intervention_detail_templates (
    id integer NOT NULL,
    name character varying,
    content text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.interviews (
    id integer NOT NULL,
    jobseeker_id integer,
    vacancy_id integer,
    scheduled_for timestamp without time zone NOT NULL,
    comments text NOT NULL,
    result character varying,
    result_comments text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    tags text[] DEFAULT '{}'::text[]
);
CREATE TABLE jobready.job_categories (
    id integer NOT NULL,
    fetch_attributes json,
    category character varying,
    sub_category character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.job_end_reasons (
    id integer NOT NULL,
    name character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.job_search_outcomes (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    site_id bigint NOT NULL,
    assessment_days_outstanding integer,
    assessment_outcome character varying,
    assessment_reason_code character varying,
    end_date date,
    number_required integer,
    number_completed integer,
    start_date date,
    submitted_on date,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.jobseeker_action_plans (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    overarching_goal character varying,
    status character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    approved_at timestamp without time zone,
    jobseeker_comments text,
    previous_system_identifier character varying
);
CREATE TABLE jobready.jobseeker_goals (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    goal_id bigint NOT NULL,
    created_by_id bigint,
    completed_at timestamp without time zone,
    status character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    rejection_reason text,
    rejected_at timestamp without time zone,
    approved_at timestamp without time zone
);
CREATE TABLE jobready.jobseeker_leads (
    id bigint NOT NULL,
    first_name character varying,
    last_name character varying,
    address_line_1 character varying,
    address_line_2 character varying,
    address_suburb character varying,
    address_state character varying,
    address_postcode integer NOT NULL,
    date_of_birth date,
    crn character varying,
    contact_method character varying,
    mobile_phone_number character varying,
    email character varying,
    office_phone_number character varying,
    status character varying,
    in_progress_at timestamp without time zone,
    lead_manager_id bigint,
    referral_source_id bigint,
    sub_source_type character varying,
    sub_source_id bigint,
    privacy_policy boolean DEFAULT false NOT NULL,
    provider_transfer boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    reason_for_holding character varying,
    reason_for_closing character varying,
    on_hold_at timestamp without time zone,
    closed_at timestamp without time zone,
    lead_stage_id bigint,
    lead_sub_stage_id bigint,
    created_by_id bigint,
    created_by timestamp without time zone,
    marketo_synced_at timestamp without time zone,
    marketo_lead_id character varying,
    unsubscribed_from_bulk_emails boolean DEFAULT false,
    unsubscribed_from_bulk_sms boolean DEFAULT false,
    lead_substatus_id bigint,
    potential_duplicate boolean DEFAULT false,
    todo_at timestamp without time zone
);
CREATE TABLE jobready.jobseeker_leads_service_of_interests (
    jobseeker_lead_id bigint NOT NULL,
    service_of_interest_id bigint NOT NULL
);
CREATE TABLE jobready.jobseeker_portal_contact_us_query_types (
    id integer NOT NULL,
    query_type character varying NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.jobseeker_portal_links (
    id integer NOT NULL,
    href character varying,
    title character varying,
    description character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    logo character varying,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.jobseeker_portal_logs (
    id integer NOT NULL,
    last_login_at timestamp without time zone NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.jobseeker_portal_privacy_document_consents (
    id integer NOT NULL,
    user_id integer,
    privacy_document_id integer,
    decision character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    agreed_by_id integer,
    agreed_at timestamp without time zone,
    agreed_from_ip character varying,
    privacy_document_file_id integer,
    archived_by_id bigint,
    archived_from_ip inet,
    archived_at timestamp without time zone
);
CREATE TABLE jobready.jobseeker_portal_privacy_document_files (
    id integer NOT NULL,
    privacy_document_id integer,
    file character varying(512) NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    av_status character varying DEFAULT 'unknown'::character varying NOT NULL,
    av_timestamp timestamp without time zone,
    av_signature character varying
);
CREATE TABLE jobready.jobseeker_portal_privacy_documents (
    id integer NOT NULL,
    name character varying NOT NULL,
    description text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    upper_description text,
    order_number integer,
    mandatory_state character varying DEFAULT 'mandatory'::character varying NOT NULL,
    jobactive boolean DEFAULT true,
    des boolean DEFAULT false
);
CREATE TABLE jobready.jobseeker_portal_users (
    id integer NOT NULL,
    jobseeker_id integer NOT NULL,
    active boolean DEFAULT false NOT NULL,
    first_name character varying,
    last_name character varying,
    preferred_name character varying,
    mobile_phone_number character varying,
    currently_employed boolean DEFAULT false NOT NULL,
    consultant_first_name character varying,
    consultant_last_name character varying,
    email character varying,
    crypted_password character varying,
    password_salt character varying,
    persistence_token character varying,
    perishable_token character varying,
    login_count integer DEFAULT 0 NOT NULL,
    failed_login_count integer DEFAULT 0 NOT NULL,
    last_request_at timestamp without time zone,
    current_login_at timestamp without time zone,
    last_login_at timestamp without time zone,
    current_login_ip character varying,
    last_login_ip character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    uuid uuid,
    terms_and_conditions_accepted_at timestamp without time zone,
    password_changed_at timestamp without time zone,
    deleted_at timestamp without time zone,
    locked_at timestamp without time zone,
    locked_by_id integer,
    unique_session_id character varying(32)
);
CREATE TABLE jobready.jobseeker_suggestion_rejection_reasons (
    id integer NOT NULL,
    name character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.jobseeker_suggestions (
    id integer NOT NULL,
    jobseeker_id integer,
    vacancy_id integer,
    suggested_by_id integer,
    comments text,
    result character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    result_comments text,
    rejection_reason_id integer,
    marketo_synced_at timestamp without time zone,
    engaged character varying
);
CREATE TABLE jobready.jobseekers (
    id integer NOT NULL,
    site_id integer NOT NULL,
    ess_identifier character varying,
    title character varying,
    first_name character varying,
    middle_names character varying,
    last_name character varying,
    email character varying,
    gender character varying,
    date_of_birth date,
    nationality character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    country_of_birth character varying,
    residential_address_lines character varying,
    residential_address_suburb character varying,
    residential_address_state character varying,
    residential_address_postcode character varying,
    postal_address_lines character varying,
    postal_address_suburb character varying,
    postal_address_state character varying,
    postal_address_postcode character varying,
    ess_created_on date,
    ess_updated_on date,
    mobile_phone character varying,
    community_name character varying,
    country_of_birth_code character varying,
    interpreter_language character varying,
    interpreter_language_code character varying,
    education character varying,
    education_code character varying,
    home_phone character varying,
    home_fax character varying,
    centrelink_reference_number character varying,
    resume_completed_on date,
    resume_last_updated_on date,
    employment_pathway_plan_started_on date,
    jsci_last_updated_on date,
    principle_parent_carer boolean,
    sensitive boolean DEFAULT false NOT NULL,
    licence_type character varying,
    licence_type_code character varying,
    job_ready integer DEFAULT 0 NOT NULL,
    categories json DEFAULT '{}'::json NOT NULL,
    hub_invitation_url character varying,
    hub_invitation_accepted boolean DEFAULT false,
    latitude double precision,
    longitude double precision,
    search_distance integer DEFAULT 25,
    discover_u_started_at date,
    discover_u_stopped_at date,
    last_provider_rating_date date,
    deleted_at timestamp without time zone,
    comments text,
    referring_organisation character varying,
    why_choose text,
    referral_source_id integer,
    registered_by_id integer,
    second_user_id integer,
    job_plan_last_update_date date,
    archive_date date,
    tags text[] DEFAULT '{}'::text[],
    previous_system_identifiers text[] DEFAULT '{}'::text[],
    direct_registration boolean DEFAULT false NOT NULL,
    why_choose_id integer,
    transitioning_programmes text[] DEFAULT '{}'::text[],
    private_comment text,
    programme character varying,
    job_match_headline character varying,
    job_match_summary text,
    referring_company_id integer,
    action_plan_goal text,
    unsubscribed_from_bulk_emails boolean DEFAULT false,
    jobseeker_lead_id bigint,
    contact_method character varying,
    sub_source_type character varying,
    sub_source_id bigint,
    overridden_period_of_service_started_on date,
    period_of_service_override_reason text,
    period_of_service_overridden_at timestamp without time zone,
    period_of_service_overridden_by_id bigint,
    preferred_name character varying,
    marketo_synced_at timestamp without time zone,
    marketo_lead_id character varying,
    unsubscribed_from_bulk_sms boolean DEFAULT false,
    pronoun character varying,
    stream_participant_id bigint,
    confidential boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.kanban_colour_types (
    id bigint NOT NULL,
    status character varying,
    colour character varying,
    "from" integer,
    "to" integer,
    kind character varying,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.kpis (
    id bigint NOT NULL,
    title text NOT NULL,
    target character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.kpis_objectives (
    objective_id bigint NOT NULL,
    kpi_id bigint NOT NULL
);
CREATE TABLE jobready.lead_stages (
    id bigint NOT NULL,
    name character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    lead_stage_types text[] DEFAULT '{}'::text[],
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.lead_sub_sources (
    id bigint NOT NULL,
    name character varying NOT NULL,
    referral_source_id bigint,
    active boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.lead_sub_stages (
    id bigint NOT NULL,
    name character varying NOT NULL,
    lead_stage_id bigint,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.lead_substatuses (
    id bigint NOT NULL,
    name character varying,
    parent_status character varying NOT NULL,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.letters_letter_heads (
    id integer NOT NULL,
    name character varying NOT NULL,
    file character varying NOT NULL,
    enabled boolean DEFAULT true,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.letters_letter_templates (
    id integer NOT NULL,
    letter_head_id integer,
    name character varying NOT NULL,
    content text NOT NULL,
    margin_top double precision DEFAULT 0.0 NOT NULL,
    margin_right double precision DEFAULT 0.0 NOT NULL,
    margin_bottom double precision DEFAULT 0.0 NOT NULL,
    margin_left double precision DEFAULT 0.0 NOT NULL,
    orientation character varying NOT NULL,
    page_size character varying NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    categories text[] DEFAULT '{}'::text[]
);
CREATE TABLE jobready.letters_letters (
    id integer NOT NULL,
    letterable_type character varying NOT NULL,
    letterable_id integer NOT NULL,
    created_by_id integer NOT NULL,
    letter_head_id integer,
    name character varying NOT NULL,
    content text NOT NULL,
    margin_top double precision DEFAULT 0.0 NOT NULL,
    margin_right double precision DEFAULT 0.0 NOT NULL,
    margin_bottom double precision DEFAULT 0.0 NOT NULL,
    margin_left double precision DEFAULT 0.0 NOT NULL,
    orientation character varying NOT NULL,
    page_size character varying NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    letter_template_id integer
);
CREATE TABLE jobready.licence_requirements (
    id integer NOT NULL,
    requirement character varying NOT NULL,
    deleted_at timestamp without time zone,
    employment_property_option_id bigint
);
CREATE TABLE jobready.line_items (
    id integer NOT NULL,
    description character varying NOT NULL,
    quantity numeric NOT NULL,
    price numeric NOT NULL,
    properties json DEFAULT '{}'::json NOT NULL,
    expense_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    gst_applied boolean DEFAULT false,
    previous_system_identifier character varying
);
CREATE TABLE jobready.locations (
    id integer NOT NULL,
    address_line_1 character varying NOT NULL,
    address_line_2 character varying,
    suburb character varying NOT NULL,
    state character varying NOT NULL,
    postcode character varying NOT NULL,
    resource_id integer,
    resource_type character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.locked_stages (
    id bigint NOT NULL,
    placement_id bigint,
    placement_outcome_description character varying,
    stage character varying NOT NULL,
    tracking_method character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    basic_rate_lower integer,
    basic_rate_mid integer,
    basic_rate_upper integer,
    basic_rate_name character varying,
    basic_rate_base integer
);
CREATE TABLE jobready.marketo_access_tokens (
    id bigint NOT NULL,
    access_token character varying,
    expires_at character varying,
    token_type character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.marketo_field_maps (
    id bigint NOT NULL,
    job_ready_field character varying NOT NULL,
    marketo_field character varying NOT NULL,
    entity_type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.meeting_agenda_templates (
    id bigint NOT NULL,
    name character varying NOT NULL,
    agenda_details text NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.meetings (
    id bigint NOT NULL,
    company_id bigint,
    created_by_id bigint,
    title text NOT NULL,
    location text,
    starts_at timestamp without time zone NOT NULL,
    ends_at timestamp without time zone NOT NULL,
    agenda_details text,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL,
    status character varying DEFAULT 'incomplete'::character varying,
    meeting_agenda_template_id bigint
);
CREATE TABLE jobready.meetings_users (
    user_id bigint NOT NULL,
    meeting_id bigint NOT NULL
);
CREATE TABLE jobready.note_templates (
    id integer NOT NULL,
    name character varying NOT NULL,
    content text,
    deleted_at timestamp without time zone,
    template_type character varying DEFAULT 'basic'::character varying NOT NULL,
    form_fields json DEFAULT '[]'::json,
    categories text[] DEFAULT '{}'::text[]
);
CREATE TABLE jobready.notes (
    id integer NOT NULL,
    user_id integer NOT NULL,
    noteable_type character varying NOT NULL,
    noteable_id integer NOT NULL,
    comments text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    tags text[] DEFAULT '{}'::text[],
    occurred_at timestamp without time zone,
    version integer DEFAULT 1 NOT NULL,
    updated_by_id integer,
    deleted_at timestamp without time zone,
    deletion_reason character varying,
    deprecated_occurred_on date,
    private_note boolean DEFAULT false,
    time_spent integer,
    travel_time integer,
    attachment_id integer,
    follow_up_date date,
    previous_system_identifier character varying,
    reminder_id integer,
    template_type character varying DEFAULT 'basic'::character varying NOT NULL,
    confidential boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.objectives (
    id bigint NOT NULL,
    name character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.occupations (
    id bigint NOT NULL,
    code character varying NOT NULL,
    title character varying NOT NULL,
    description text,
    jedi boolean DEFAULT true NOT NULL,
    pre_jedi boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.old_passwords (
    id bigint NOT NULL,
    password_archivable_type character varying NOT NULL,
    password_archivable_id integer NOT NULL,
    encrypted_password character varying NOT NULL,
    password_salt character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.patches_patches (
    id integer NOT NULL,
    path character varying NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.placements (
    id integer NOT NULL,
    referral_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    managed_by_id integer,
    outcome_description character varying,
    upgraded boolean,
    upgraded_on date,
    started_on date,
    job_ended_on date,
    weeks_unemployed integer,
    type character varying,
    declaration_result character varying,
    evidence_status character varying,
    centrelink_outcome_started_on date,
    site_id integer,
    stream_type character varying,
    phase_type character varying,
    placement_type character varying,
    indigenous boolean,
    wage_subsidy_type character varying,
    ws_vacancy_eligibility boolean,
    ws_agreement_id character varying,
    bdf_resource_id character varying,
    risk_assessment_score character varying,
    outcome_type character varying DEFAULT 'Full'::character varying,
    outcome_not_pay_reason character varying,
    deleted_at timestamp without time zone,
    twenty_six_week_outcome_started_on date,
    permissible_break_one date,
    permissible_break_two date,
    ess_calculated_outcome_started_on date,
    overridden_outcome_started_on date,
    outcome_start_date_overridden_at timestamp without time zone,
    outcome_start_date_overridden_by_id integer,
    next_pps_due_date date,
    pps_frequency character varying,
    pps_comment text,
    pps_updated_by_id integer,
    pps_updated_at timestamp without time zone,
    pps_managed_by_id integer,
    activity_id character varying,
    activity_type character varying,
    activity_sub_type character varying,
    course_start_date date,
    course_end_date date,
    institution_name character varying,
    institution_contact character varying,
    institution_phone_number character varying,
    jobseeker_id integer,
    claim_due_date date,
    tracking boolean DEFAULT false,
    job_ended_on_at timestamp without time zone,
    job_ended_on_by_id integer,
    ws_agreement_type character varying,
    ws_agreement_status character varying,
    created_by_id integer,
    programme_id integer,
    programme_type character varying,
    comment text,
    previous_system_identifier character varying,
    job_end_reason_id integer,
    tracking_behaviour character varying DEFAULT 'default'::character varying NOT NULL,
    job_support_coach_id bigint,
    employer_engagement_consultant_id bigint,
    completion numeric(5,2),
    completion_updated_at timestamp without time zone,
    completion_updated_by_id bigint,
    completion_expected numeric(5,2),
    completion_expected_updated_at timestamp without time zone,
    completion_expected_updated_by_id bigint,
    programme character varying DEFAULT 'jobActive'::character varying,
    additional_ess_data jsonb DEFAULT '{}'::jsonb NOT NULL,
    os_frequency character varying,
    next_os_due_date date,
    tags text[] DEFAULT '{}'::text[],
    activity_sequence_number integer,
    basic_rate_lower integer,
    basic_rate_mid integer,
    basic_rate_upper integer,
    basic_rate_name character varying,
    basic_rate_base integer,
    dhs_cycle_date date
);
CREATE TABLE jobready.police_checks (
    id integer NOT NULL,
    jobseeker_id integer,
    requested_by_id integer,
    ncc_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    result_received_at timestamp without time zone,
    result_type character varying,
    reason character varying
);
CREATE TABLE jobready.pps_records (
    id integer NOT NULL,
    schedule_id_old integer,
    number_old integer,
    due_on date,
    completed_at timestamp without time zone,
    updated_by_id integer NOT NULL,
    managed_by_id integer NOT NULL,
    form_id character varying,
    form_submission_id character varying,
    form_submission_sequence character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    type character varying,
    comment text,
    result character varying,
    placement_id integer,
    next_pps_due_date date,
    contact_date date,
    deleted_at timestamp without time zone,
    stage character varying,
    form_submission_reference character varying,
    phase_type character varying,
    time_spent integer,
    previous_system_identifier character varying,
    deletion_reason character varying
);
CREATE TABLE jobready.professional_service_activities (
    id integer NOT NULL,
    jobseeker_id integer NOT NULL,
    intervention_provided_by_id integer NOT NULL,
    date_of_service date NOT NULL,
    identified_barriers text,
    details_of_intervention text NOT NULL,
    time_spent integer NOT NULL,
    travel_time integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    status character varying,
    actioned_by_id integer,
    actioned_at timestamp without time zone,
    reject_reason text,
    declaration_accepted_by_id integer,
    sti_type character varying NOT NULL,
    sti_store json,
    description_of_services text,
    updated_by_id integer,
    notified_user_id integer,
    template_id integer,
    program_referral_id bigint,
    expense_type_properties json DEFAULT '{}'::json,
    previous_system_identifier character varying,
    appointment_id bigint
);
CREATE TABLE jobready.professional_service_staff (
    id integer NOT NULL,
    user_id integer,
    active boolean DEFAULT true NOT NULL,
    title character varying NOT NULL,
    first_name character varying NOT NULL,
    last_name character varying NOT NULL,
    ahpra_number character varying,
    qualification_type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    authority character varying,
    qualification_details character varying
);
CREATE TABLE jobready.professional_service_staff_programs (
    professional_service_staff_id bigint NOT NULL,
    program_id bigint NOT NULL
);
CREATE TABLE jobready.program_referral_justification_templates (
    id bigint NOT NULL,
    name character varying NOT NULL,
    content text NOT NULL,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.program_referral_types (
    id bigint NOT NULL,
    custom_expense_type_id bigint,
    name character varying NOT NULL,
    category character varying NOT NULL,
    programme character varying NOT NULL,
    stream_type character varying,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    expense_payment_type_id bigint,
    expense_gst_applied boolean DEFAULT false,
    no_expense boolean,
    enable_custom_cost boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.program_referrals (
    id bigint NOT NULL,
    program_id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    status character varying DEFAULT 'draft'::character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    rejected_by_id bigint,
    rejection_reason text,
    rejected_at timestamp without time zone,
    approved_by_id bigint,
    approved_at timestamp without time zone,
    justification_template_id bigint,
    created_by_id bigint,
    professional_service_staff_id bigint,
    cancelled_by_id bigint,
    cancellation_reason character varying,
    cancelled_at timestamp without time zone,
    comments text,
    previous_system_identifier character varying,
    activity_id character varying
);
CREATE TABLE jobready.programmes (
    id integer NOT NULL,
    name character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.programmes_users (
    programme_id integer NOT NULL,
    user_id integer NOT NULL
);
CREATE TABLE jobready.programs (
    id bigint NOT NULL,
    activity_id character varying,
    program_referral_type_id bigint NOT NULL,
    program_name character varying NOT NULL,
    site_id bigint,
    started_at timestamp without time zone,
    ended_at timestamp without time zone,
    details text NOT NULL,
    smart_form_id uuid,
    costs json DEFAULT '{}'::json NOT NULL,
    number_of_sessions_cap integer,
    number_of_minutes_cap integer,
    company_id bigint,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    number_of_referrals_cap_per_jobseeker integer,
    previous_system_identifier character varying
);
CREATE TABLE jobready.provider_ratings (
    id integer NOT NULL,
    jobseeker_id integer NOT NULL,
    value integer,
    comments text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.provider_tag_categories (
    id bigint NOT NULL,
    category_code character varying NOT NULL,
    category_desc character varying NOT NULL
);
CREATE TABLE jobready.provider_tag_descriptions (
    id bigint NOT NULL,
    tag_code character varying NOT NULL,
    tag_desc character varying NOT NULL
);
CREATE TABLE jobready.provider_tags (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    provider_tag_description_id bigint NOT NULL,
    provider_tag_category_id bigint NOT NULL,
    ess_identifier character varying NOT NULL,
    start_date date,
    end_date date,
    updated_by_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.purchase_orders (
    id integer NOT NULL,
    number_part integer NOT NULL,
    prefix character varying DEFAULT 'PO'::character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.queries (
    id bigint NOT NULL,
    created_by_id bigint,
    query_type_id integer,
    state character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    note_template_id bigint,
    comments text,
    assigned_to_id bigint,
    assigned_at timestamp without time zone,
    follow_up_date date,
    state_updated_at timestamp without time zone,
    due_date date,
    reasons text[] DEFAULT '{}'::text[],
    note_id bigint,
    queryable_type character varying,
    queryable_id bigint,
    closed_at timestamp without time zone
);
CREATE TABLE jobready.query_reasons (
    id bigint NOT NULL,
    name character varying,
    types text[] DEFAULT '{}'::text[],
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.query_types (
    id bigint NOT NULL,
    name character varying NOT NULL,
    priority character varying NOT NULL,
    active boolean DEFAULT true,
    default_note_template_id bigint,
    note_templates text[] DEFAULT '{}'::text[],
    categories text[] DEFAULT '{}'::text[]
);
CREATE TABLE jobready.query_versions (
    id bigint NOT NULL,
    item_type character varying NOT NULL,
    item_id bigint NOT NULL,
    event character varying NOT NULL,
    whodunnit character varying,
    object json,
    object_changes json,
    note_id bigint,
    created_at timestamp without time zone
);
CREATE TABLE jobready.quest_engine_pdf_templates (
    id bigint NOT NULL,
    name character varying NOT NULL,
    file character varying NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    form_fillable boolean DEFAULT false
);
CREATE TABLE jobready.quest_fields (
    id integer NOT NULL,
    section_id integer NOT NULL,
    allows_multiple_responses boolean,
    required boolean DEFAULT false,
    label character varying NOT NULL,
    element integer NOT NULL,
    "default" character varying DEFAULT ''::character varying NOT NULL,
    sort integer NOT NULL,
    preferences shared_extensions.hstore DEFAULT ''::shared_extensions.hstore NOT NULL,
    help_text text DEFAULT ''::text NOT NULL,
    allow_comments boolean DEFAULT true,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    name character varying DEFAULT ''::character varying NOT NULL,
    merge_field character varying,
    previous_question_id integer,
    previous_question_value character varying,
    locked_merge_value boolean DEFAULT false NOT NULL,
    choices jsonb DEFAULT '{}'::jsonb NOT NULL,
    scores jsonb DEFAULT '{}'::jsonb NOT NULL,
    deleted_at timestamp without time zone,
    horizontal_radio_buttons boolean
);
CREATE TABLE jobready.quest_fields_smart_forms (
    quest_field_id bigint NOT NULL,
    smart_form_id uuid NOT NULL
);
CREATE TABLE jobready.quest_form_versions (
    id integer NOT NULL,
    form_id uuid NOT NULL,
    versioned_form_id uuid NOT NULL,
    versioned_at timestamp without time zone NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.quest_forms (
    id uuid DEFAULT shared_extensions.uuid_generate_v4() NOT NULL,
    name character varying,
    description text,
    template_id integer,
    published boolean DEFAULT false,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    deleted_at timestamp without time zone,
    help_text text,
    tags text[],
    merge_fields_context character varying,
    type character varying NOT NULL,
    save_as_draft boolean DEFAULT false
);
CREATE TABLE jobready.quest_forms_smart_forms (
    quest_form_id uuid NOT NULL,
    smart_form_id uuid NOT NULL
);
CREATE TABLE jobready.quest_images (
    id integer NOT NULL,
    title character varying DEFAULT ''::character varying NOT NULL,
    file character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.quest_public_form_submission_tokens (
    id uuid DEFAULT shared_extensions.uuid_generate_v4() NOT NULL,
    submitted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    quest_submission_id uuid NOT NULL
);
CREATE TABLE jobready.quest_sections (
    id integer NOT NULL,
    form_id uuid NOT NULL,
    name character varying NOT NULL,
    sort integer NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    "position" integer,
    description text,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.quest_submission_meta (
    id integer NOT NULL,
    submission_id uuid NOT NULL,
    data jsonb,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.quest_submission_view_tokens (
    id uuid DEFAULT shared_extensions.uuid_generate_v4() NOT NULL,
    quest_submission_id uuid,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.quest_submissions (
    id uuid DEFAULT shared_extensions.uuid_generate_v4() NOT NULL,
    form_id uuid NOT NULL,
    submittable_id integer,
    submittable_type character varying,
    "values" json,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    user_id integer,
    reference character varying DEFAULT ''::character varying,
    user_agent character varying DEFAULT ''::character varying NOT NULL,
    ip_address inet,
    referrer character varying DEFAULT ''::character varying NOT NULL,
    client_sequence character varying,
    score numeric DEFAULT 0.0,
    completed_at timestamp without time zone,
    deleted_at timestamp without time zone,
    locked_at timestamp without time zone,
    locked_notice character varying,
    versioned_form_id uuid
);
CREATE TABLE jobready.quest_tags (
    id integer NOT NULL,
    form_id uuid NOT NULL,
    value character varying NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.quest_templates (
    id integer NOT NULL,
    name character varying NOT NULL,
    description text,
    options json,
    layout character varying,
    content text,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.quest_tenants (
    id integer NOT NULL,
    name character varying NOT NULL,
    domain character varying NOT NULL,
    database character varying NOT NULL,
    enabled boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.rate_reductions (
    id bigint NOT NULL,
    site_id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    placement_id bigint,
    basic_rate numeric,
    date_paid_from date,
    date_paid_to date,
    earned_casual_income numeric,
    outcome_type character varying,
    payment_period_days integer,
    rate_reduction numeric,
    referral_ess_identifier character varying,
    request_period_start_date date,
    request_period_end_date date,
    result_code character varying,
    result_date date,
    outcome_lvl character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    programme character varying,
    fortnight_id bigint
);
CREATE TABLE jobready.referral_sources (
    id integer NOT NULL,
    name character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    active boolean DEFAULT true NOT NULL,
    lead_sub_source_type character varying DEFAULT 'optional'::character varying
);
CREATE TABLE jobready.referrals (
    id integer NOT NULL,
    vacancy_id integer NOT NULL,
    stream_participant_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    ess_identifier character varying,
    created_by_id integer,
    referred_on date,
    result_status character varying,
    result_entered_on date,
    result_effective_on date,
    ess_created_on date,
    jobseeker_id integer NOT NULL,
    deleted_at timestamp without time zone,
    site_type character varying,
    site_id integer,
    verifying_update_user_id integer,
    verifying_updated_on date,
    referral_creation_site_id integer,
    vacancy_owning_site_id integer,
    vacancy_creation_user_id integer,
    vacancy_referral_end_reason character varying,
    vacancy_referral_ended_on date,
    batch_data json,
    anchor_date date,
    marketo_synced_at timestamp without time zone,
    special_vacancy_type_code character varying
);
CREATE TABLE jobready.regions (
    id integer NOT NULL,
    name character varying,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.reminder_schedules (
    id bigint NOT NULL,
    name character varying NOT NULL,
    active boolean DEFAULT true NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.reminder_schedules_templates (
    reminder_schedule_id bigint,
    reminder_template_id bigint
);
CREATE TABLE jobready.reminder_templates (
    id bigint NOT NULL,
    description text NOT NULL,
    assigned_to_id integer,
    number_of_days_after_creation_due integer NOT NULL,
    tags text[] DEFAULT '{}'::text[],
    comments text,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.reminders (
    id integer NOT NULL,
    remindable_id integer NOT NULL,
    remindable_type character varying NOT NULL,
    description text NOT NULL,
    created_by_id integer NOT NULL,
    assigned_to_id integer NOT NULL,
    completed_by_id integer,
    completed_at timestamp without time zone,
    due_at_unfixed timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    repeat_id integer,
    deleted_at timestamp without time zone,
    type character varying DEFAULT 'Reminder'::character varying NOT NULL,
    due_at timestamp without time zone,
    updated_by_id integer,
    tags text[] DEFAULT '{}'::text[],
    jobseeker_to_action boolean DEFAULT false NOT NULL,
    comment text,
    jobseeker_goal_id bigint,
    goal_action_id bigint,
    time_frame_id bigint
);
CREATE TABLE jobready.repeats (
    id integer NOT NULL,
    schedule text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    active boolean DEFAULT true NOT NULL,
    type text DEFAULT 'RepeatReminder'::text NOT NULL,
    "from" date,
    "to" date,
    cursor date
);
CREATE TABLE jobready.requested_attachment_histories (
    id bigint NOT NULL,
    attachment_id bigint,
    requested_by_id bigint,
    jobseeker_id bigint,
    status character varying DEFAULT 'requested'::character varying,
    document_type character varying,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL,
    type character varying DEFAULT 'JobseekerRequestedAttachmentHistory'::character varying NOT NULL,
    contact_id bigint,
    placement_id bigint
);
CREATE TABLE jobready.requested_signature_histories (
    id bigint NOT NULL,
    attachment_id bigint,
    requested_by_id bigint,
    jobseeker_id bigint,
    status character varying DEFAULT 'requested'::character varying,
    viewed_at timestamp without time zone,
    signed_at timestamp without time zone,
    signed_attachment_id bigint,
    additional_data jsonb DEFAULT '{}'::jsonb NOT NULL,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL,
    type character varying DEFAULT 'JobseekerRequestedSignatureHistory'::character varying NOT NULL,
    contact_id bigint,
    placement_id bigint
);
CREATE TABLE jobready.resume_attachments (
    id integer NOT NULL,
    file character varying,
    user_id integer,
    stream_participant_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone,
    previous_system_identifier character varying,
    av_status character varying DEFAULT 'unknown'::character varying NOT NULL,
    av_timestamp timestamp without time zone,
    av_signature character varying,
    resume_url character varying,
    name character varying,
    confirmed_at timestamp without time zone
);
CREATE TABLE jobready.reverse_marketing_activities (
    id integer NOT NULL,
    jobseeker_id integer NOT NULL,
    created_by_id integer NOT NULL,
    company_id integer,
    details_of_conversation text NOT NULL,
    result character varying NOT NULL,
    next_contact_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    previous_system_identifier character varying
);
CREATE TABLE jobready.reverse_marketing_activity_results (
    id bigint NOT NULL,
    result character varying NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.saved_searches (
    id integer NOT NULL,
    user_id integer NOT NULL,
    resource_type text NOT NULL,
    search_title text NOT NULL,
    filters text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.scanned_document_images (
    id integer NOT NULL,
    scanned_document_id integer,
    serial_number integer,
    file character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.scanned_documents (
    id integer NOT NULL,
    file character varying,
    batch_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.schedules (
    id integer NOT NULL,
    form_id character varying,
    "interval" character varying NOT NULL,
    managed_by_id integer NOT NULL,
    updated_by_id integer NOT NULL,
    started_on date NOT NULL,
    schedulable_id integer NOT NULL,
    schedulable_type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    type character varying,
    completed boolean DEFAULT false,
    completed_at timestamp without time zone,
    completed_by_id integer
);
CREATE TABLE jobready.schema_migrations (
    version character varying NOT NULL
);
CREATE TABLE jobready.service_descriptions (
    id bigint NOT NULL,
    description text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.service_of_interests (
    id bigint NOT NULL,
    name character varying,
    active boolean,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    lead_types text[] DEFAULT '{}'::text[]
);
CREATE TABLE jobready.settings (
    id integer NOT NULL,
    four_week_target integer,
    twelve_week_target integer,
    twenty_six_week_target integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    placement_target integer,
    business_rules_document character varying,
    jobseeker_portal_email_invitation_subject character varying,
    jobseeker_portal_email_invitation_body text,
    jobseeker_portal_sms_invitation_body text,
    jobseeker_portal_terms_and_conditions text,
    jobseeker_portal_welcome_message text,
    vacancy_jobs_board_custom_fields json DEFAULT '{}'::json NOT NULL,
    default_pps_schedule_interval character varying DEFAULT 'Fortnightly'::character varying,
    unsuccessful_pps_days_offset integer DEFAULT 1 NOT NULL,
    pps_schedule_interval_stream_a character varying DEFAULT 'Fortnightly'::character varying,
    pps_schedule_interval_stream_a_volunteer character varying DEFAULT 'Fortnightly'::character varying,
    pps_schedule_interval_stream_b character varying DEFAULT 'Weekly'::character varying,
    pps_schedule_interval_stream_c character varying DEFAULT 'Weekly'::character varying,
    use_placement_next_pps_due_date_for_unsuccessful_contacts boolean DEFAULT false,
    next_pps_due_date_type character varying DEFAULT 'contact_date'::character varying,
    pps_schedule_interval_indigenous character varying DEFAULT 'Weekly'::character varying,
    vacancy_recently_created_period_in_days integer DEFAULT 20 NOT NULL,
    indigenous_mentoring_expense_payment_type_id integer,
    indigenous_mentoring_company_id integer,
    finance_system character varying,
    whitelisted_emails character varying[] DEFAULT '{}'::character varying[],
    intercepted_emails_to character varying[] DEFAULT '{}'::character varying[],
    intercept_emails boolean DEFAULT false,
    support_types_requiring_forms jsonb DEFAULT '{}'::jsonb NOT NULL,
    trackable_placement_forms jsonb DEFAULT '{}'::jsonb NOT NULL,
    number_of_characters_per_sms integer DEFAULT 160 NOT NULL,
    number_of_sms_per_message integer,
    allied_health_company_id integer,
    expense_tolerance_percent integer,
    flexible_ongoing_support character varying DEFAULT 'Fortnightly'::character varying,
    moderate_ongoing_support character varying DEFAULT 'Monthly'::character varying,
    high_ongoing_support character varying DEFAULT 'Monthly'::character varying,
    placement_creation jsonb DEFAULT '{}'::jsonb NOT NULL,
    session_timeout_in_seconds integer,
    private_note_color character varying DEFAULT '#ec7500'::character varying,
    sso_saml_metadata_xml text,
    sso_saml_x509_public_key text,
    sso_saml_x509_private_key text,
    force_sso boolean DEFAULT false NOT NULL,
    sms_mobile_number_whitelist character varying[] DEFAULT '{}'::character varying[],
    default_email_signature_logo character varying,
    use_jobseeker_communication_preferences boolean DEFAULT false NOT NULL,
    use_organisation_communication_preferences boolean DEFAULT false NOT NULL,
    communication_policy_active_days character varying[] DEFAULT '{}'::character varying[],
    communication_policy_start_time time without time zone,
    communication_policy_end_time time without time zone,
    communication_policy_active boolean DEFAULT false NOT NULL,
    action_plan_status_workflow boolean DEFAULT false NOT NULL,
    pps_schedule_interval_des_dms character varying DEFAULT 'Weekly'::character varying,
    pps_schedule_interval_des_ess character varying DEFAULT 'Weekly'::character varying,
    support_week_starting_day character varying DEFAULT 'sunday'::character varying,
    wage_subsidy_payment_portal_session_timeout_in_seconds integer,
    marketo_sync_enabled boolean DEFAULT false NOT NULL,
    bank_transactions_import_enabled boolean DEFAULT false,
    bank_transactions_import_filename character varying,
    bank_transactions_import_checksum character varying,
    pps_schedule_interval_stream_moderate character varying DEFAULT 'Fortnightly'::character varying,
    pps_schedule_interval_stream_high character varying DEFAULT 'Fortnightly'::character varying,
    can_email_action_plan boolean DEFAULT false NOT NULL,
    allied_health_activity_mandatory_delivery_mode boolean DEFAULT false NOT NULL,
    jobseeker_suggestion_sms_engagement_body text,
    comment_mandatory boolean DEFAULT false NOT NULL,
    auto_create_reminders_for_transfer_leads boolean DEFAULT false NOT NULL,
    lead_days_for_reminder integer DEFAULT 3 NOT NULL,
    leads_kanban_day_limit integer DEFAULT 7 NOT NULL,
    jobseeker_leads_auto_close_days integer DEFAULT 30,
    company_leads_auto_close_days integer DEFAULT 30,
    time_zone character varying DEFAULT 'Australia/Sydney'::character varying,
    locale character varying DEFAULT 'en'::character varying
);
CREATE TABLE jobready.short_message_replies (
    id integer NOT NULL,
    short_message_id integer NOT NULL,
    content text NOT NULL,
    number character varying NOT NULL,
    received_at timestamp without time zone NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.short_messages (
    id integer NOT NULL,
    recipient_id integer NOT NULL,
    user_id integer NOT NULL,
    status character varying NOT NULL,
    content text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    number character varying DEFAULT ''::character varying NOT NULL,
    client_id character varying,
    recipient_type character varying,
    previous_system_identifier character varying,
    follow_up_date date,
    reminder_id integer,
    scheduled_at timestamp without time zone
);
CREATE TABLE jobready.short_urls (
    alias character varying NOT NULL,
    long_url character varying NOT NULL
);
CREATE TABLE jobready.site_floats (
    id bigint NOT NULL,
    site_id bigint,
    supplier_id bigint,
    voucher_type_id bigint,
    voucher_amount numeric,
    float_number integer,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    custom_expense_type_id bigint,
    assistance_type_code character varying
);
CREATE TABLE jobready.site_groupings (
    id integer NOT NULL,
    name character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    level character varying DEFAULT 'first'::character varying,
    logo character varying
);
CREATE TABLE jobready.sites (
    id integer NOT NULL,
    name character varying NOT NULL,
    ess_identifier character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    location_id integer,
    tags text[] DEFAULT '{}'::text[],
    phone character varying,
    contract_sequence_number character varying,
    active boolean DEFAULT true NOT NULL,
    site_grouping_id integer,
    second_level_site_grouping_id integer,
    contract_ess_identifier character varying,
    email character varying,
    finance_code character varying,
    outlet_id character varying,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.smart_forms (
    id uuid DEFAULT shared_extensions.uuid_generate_v4() NOT NULL,
    quest_form_id uuid NOT NULL,
    name character varying,
    category character varying,
    programme character varying,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    can_complete_again boolean DEFAULT false NOT NULL,
    placement_validation boolean DEFAULT false,
    editable boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.sms_templates (
    id integer NOT NULL,
    name character varying NOT NULL,
    content text NOT NULL,
    deleted_at timestamp without time zone,
    categories text[] DEFAULT '{}'::text[],
    editable boolean DEFAULT true
);
CREATE TABLE jobready.smtp_settings (
    id bigint NOT NULL,
    address character varying,
    port integer,
    user_name character varying,
    encrypted_password character varying,
    encrypted_password_iv character varying,
    authentication character varying,
    enable_starttls_auto character varying,
    noreply_email character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    imap_address character varying,
    imap_port integer,
    imap_user_name character varying,
    encrypted_imap_password character varying,
    encrypted_imap_password_iv character varying,
    imap_email character varying,
    imap_fetch_progress_tracking json DEFAULT '{}'::json NOT NULL,
    smtp_server_type character varying DEFAULT 'Other'::character varying,
    ses_configuration_set character varying,
    auth_type character varying,
    tenant_id character varying,
    client_id character varying,
    client_secret character varying,
    access_token character varying,
    refresh_token character varying,
    expires_on timestamp without time zone
);
CREATE TABLE jobready.stream_participant_versions (
    id bigint NOT NULL,
    item_type character varying NOT NULL,
    item_id bigint NOT NULL,
    event character varying NOT NULL,
    whodunnit character varying,
    object json,
    object_changes json,
    created_at timestamp without time zone,
    anchor_date date,
    des_program_type_code character varying,
    funding_level_code character varying,
    managed_by_id bigint,
    ongoing_support_level_code character varying,
    phase character varying,
    phase_changed boolean,
    phase_commenced_on date,
    site_id bigint,
    status character varying,
    status_changed boolean
);
CREATE TABLE jobready.stream_participants (
    id integer NOT NULL,
    stage character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    jobseeker_id integer NOT NULL,
    service character varying,
    status character varying,
    managed_by_id integer,
    contract_ess_identifier character varying,
    ess_last_synced_on date,
    suspended_on date,
    exited_on date,
    placed_on date,
    ended_on date,
    commenced_on date,
    registered_on date,
    referred_on date,
    allowance_type character varying,
    allowance_rate character varying,
    allowance_started_on date,
    allowance_ended_on date,
    work_experience_phase_pending_on date,
    special_requirements character varying,
    indigenous boolean,
    apprentice_trainee boolean,
    mature_age boolean,
    refuge_humanitarian_visa boolean,
    remote boolean,
    culturally_and_linguistically_diverse boolean,
    participation_requirement boolean,
    next_diary_appointment_scheduled_on date,
    work_experience_phase_commenced_on date,
    time_in_stream integer,
    time_in_program integer,
    time_in_site integer,
    time_in_provider integer,
    employment_pathway_plan_status character varying,
    outcome character varying,
    registration_eligibility character varying,
    next_diary_appointment_session_type character varying,
    last_job_placement_referred_on date,
    referred_to_activity boolean DEFAULT false,
    employment_service_area character varying,
    labour_market_region character varying,
    specialisation character varying,
    community_code character varying,
    community character varying,
    redundant_worker boolean,
    vulnerable_youth boolean,
    vulnerable_youth_student boolean,
    career_advice_eligible boolean,
    cap_eligible boolean,
    volunteer_exit_expected_on date,
    end_reason character varying,
    sequence integer,
    status_description character varying,
    phase character varying,
    phase_commenced_on date,
    phase_ended_on date,
    weeks_unemployed integer DEFAULT 0,
    registered_as_unemployed_on date,
    placement_sequence integer,
    aar_activity boolean,
    aar_hours_required integer,
    aar_met boolean,
    aar_required boolean,
    wfd_priority boolean,
    job_plan_started_on date,
    job_plan_status character varying,
    suspension_end_on date,
    suspension_reason_code character varying,
    suspension_reason_description character varying,
    disability boolean,
    homeless boolean,
    mental_illness boolean,
    cald boolean,
    spi boolean,
    early_school_leaver boolean,
    pre_release_prisoner boolean,
    ex_offender boolean,
    regional boolean,
    wage_subsidy_type character varying,
    wage_subsidy_eligible boolean,
    new_enterprise_incentive_scheme boolean,
    ess_initial_interview boolean,
    jsci_status character varying,
    transition_code character varying,
    last_compl_rpt_outcome_desc character varying,
    last_appointment_result character varying,
    time_in_phase integer,
    deleted_at timestamp without time zone,
    participation_requirement_code character varying,
    sub_status_id integer,
    programme character varying,
    additional_ess_data jsonb DEFAULT '{}'::jsonb NOT NULL,
    customer_coordinator_id bigint
);
CREATE TABLE jobready.sub_statuses (
    id integer NOT NULL,
    name character varying NOT NULL,
    status character varying,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.supplier_purchase_orders (
    id integer NOT NULL,
    company_id integer NOT NULL,
    expense_credit_card_id integer,
    expense_payment_type_id integer NOT NULL,
    occurred_on date NOT NULL,
    related_entity boolean NOT NULL,
    own_organisation boolean NOT NULL,
    provider_to_pay boolean NOT NULL,
    justification text NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    reviewer_id integer,
    created_by_id integer,
    status character varying DEFAULT 'pending'::character varying NOT NULL,
    reviewed_on date,
    review_comment text,
    purchase_order_id integer,
    reject_reason character varying,
    pre_reviewed_on date,
    pre_review_comment text,
    pre_reviewer_id integer
);
CREATE TABLE jobready.system_email_templates (
    id integer NOT NULL,
    email_type character varying,
    name character varying,
    subject character varying,
    text_template text,
    html_template text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.tags (
    id integer NOT NULL,
    name character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    categories text[] DEFAULT '{}'::text[],
    entity character varying,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.temp_pps_records (
    id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    actioned_by_id integer,
    form_id character varying,
    placement_id integer,
    params text NOT NULL
);
CREATE TABLE jobready.tenants (
    id integer NOT NULL,
    name character varying NOT NULL,
    domain character varying NOT NULL,
    database character varying NOT NULL,
    enabled boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    logo character varying,
    load_priority integer,
    login_logo character varying
);
CREATE TABLE jobready.time_frames (
    id bigint NOT NULL,
    name character varying,
    due_at_required boolean DEFAULT false,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.time_logs (
    id integer NOT NULL,
    site_id integer,
    user_id integer NOT NULL,
    created_by_id integer NOT NULL,
    updated_by_id integer NOT NULL,
    comments text,
    started_at timestamp without time zone NOT NULL,
    ended_at timestamp without time zone NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.transports (
    id bigint NOT NULL,
    name character varying,
    system boolean DEFAULT false,
    deleted_at timestamp without time zone,
    employment_property_option_id bigint,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.user_expense_approval_limits (
    id integer NOT NULL,
    user_id integer,
    programme character varying NOT NULL,
    wage_subsidy boolean NOT NULL,
    approval_limit integer DEFAULT 0 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.user_sets (
    id bigint NOT NULL,
    object_type character varying NOT NULL,
    object_id bigint NOT NULL,
    type character varying NOT NULL,
    programme character varying,
    user_id bigint,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.user_settings (
    id bigint NOT NULL,
    user_id bigint,
    setting character varying,
    value json,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.users (
    id integer NOT NULL,
    email shared_extensions.citext DEFAULT ''::shared_extensions.citext NOT NULL,
    remember_created_at timestamp without time zone,
    uid character varying DEFAULT ''::character varying NOT NULL,
    avatar_url character varying,
    access_token character varying,
    access_token_expires_at timestamp without time zone,
    first_name character varying DEFAULT ''::character varying NOT NULL,
    last_name character varying DEFAULT ''::character varying NOT NULL,
    ess_identifier shared_extensions.citext,
    expenses_approval_limit numeric(8,0) DEFAULT 0.0 NOT NULL,
    time_zone character varying,
    role character varying,
    site_id integer,
    second_approver boolean DEFAULT false,
    manage_national_employers boolean DEFAULT false,
    manage_regional_employers boolean DEFAULT false,
    phone character varying,
    email_signature text,
    vacancy_ess_service boolean DEFAULT false,
    employer_ess_service boolean DEFAULT false,
    active boolean DEFAULT true NOT NULL,
    manage_claim_states boolean DEFAULT false,
    jobready_admin boolean,
    can_stop_pps_schedule boolean DEFAULT false,
    job_title character varying,
    expense_master_editor boolean DEFAULT false,
    reverse_marketing_activities_count integer DEFAULT 0,
    tableau_license boolean DEFAULT false,
    ccu_role character varying,
    kanban_board_last_search json DEFAULT '{}'::json NOT NULL,
    can_mark_non_payable boolean DEFAULT false,
    can_unmark_non_payable boolean DEFAULT false,
    can_reinstate_claim boolean DEFAULT false,
    can_export_data boolean DEFAULT true,
    accessible_site_ids integer[] DEFAULT '{}'::integer[],
    updated_at timestamp without time zone NOT NULL,
    created_at timestamp without time zone NOT NULL,
    locked_at timestamp without time zone,
    can_view_confidential_notes boolean DEFAULT false NOT NULL,
    expense_approval_level character varying,
    can_cancel_expense boolean DEFAULT true NOT NULL,
    delegate_id integer,
    manage_allied_health boolean DEFAULT false,
    encrypted_password character varying DEFAULT ''::character varying NOT NULL,
    reset_password_token character varying,
    reset_password_sent_at timestamp without time zone,
    sign_in_count integer DEFAULT 0 NOT NULL,
    current_sign_in_at timestamp without time zone,
    last_sign_in_at timestamp without time zone,
    current_sign_in_ip inet,
    last_sign_in_ip inet,
    password_changed_at timestamp without time zone,
    unique_session_id character varying(20),
    invitation_token character varying,
    invitation_created_at timestamp without time zone,
    invitation_sent_at timestamp without time zone,
    invitation_accepted_at timestamp without time zone,
    invitation_limit integer,
    invited_by_id integer,
    invited_by_type character varying,
    invitations_count integer DEFAULT 0,
    failed_attempts integer DEFAULT 0 NOT NULL,
    can_create_des_placement boolean DEFAULT false NOT NULL,
    can_remove_wage_history boolean DEFAULT false NOT NULL,
    locked_by_id integer,
    kanban_board_readonly boolean DEFAULT false,
    can_bulk_update_support_schedule boolean DEFAULT false NOT NULL,
    confirmation_token character varying,
    confirmed_at timestamp without time zone,
    confirmation_sent_at timestamp without time zone,
    unconfirmed_email shared_extensions.citext,
    can_approve_own_expenses boolean DEFAULT true NOT NULL,
    can_update_tracking_behaviour boolean DEFAULT false NOT NULL,
    can_access_employers boolean DEFAULT true NOT NULL,
    can_access_contacts boolean DEFAULT true NOT NULL,
    restrict_site_communication boolean DEFAULT false NOT NULL,
    can_send_bulk_sms boolean DEFAULT false NOT NULL,
    batch_access_type character varying DEFAULT 'own'::character varying NOT NULL,
    export_access_type character varying DEFAULT 'own'::character varying NOT NULL,
    can_manage_admin_settings boolean DEFAULT false NOT NULL,
    can_send_bulk_email boolean DEFAULT false NOT NULL,
    site_float_management boolean DEFAULT false NOT NULL,
    can_merge_jobseekers boolean DEFAULT false NOT NULL,
    employment_fund boolean DEFAULT false NOT NULL,
    can_receive_voucher_at_site boolean DEFAULT false NOT NULL,
    can_manage_organisation_leads boolean DEFAULT false NOT NULL,
    can_manage_customer_leads boolean DEFAULT false NOT NULL,
    can_manage_employer_campaigns boolean DEFAULT false NOT NULL,
    can_create_ja_placement boolean DEFAULT false NOT NULL,
    can_manage_queries boolean DEFAULT false,
    can_override_period_of_service boolean DEFAULT false,
    can_reconcile_bank_transaction boolean DEFAULT false,
    can_end_placement boolean DEFAULT true NOT NULL,
    can_manage_basic_benefit_rates boolean DEFAULT false NOT NULL,
    query_notification_subscribed boolean DEFAULT true,
    can_edit_job_readiness boolean DEFAULT false NOT NULL,
    can_bulk_update_customer_coordinator boolean DEFAULT false NOT NULL,
    can_add_permissible_break boolean DEFAULT true NOT NULL,
    can_update_supplier_paid_date boolean DEFAULT false NOT NULL,
    can_create_wfa_placement boolean DEFAULT false NOT NULL,
    mfa_enabled boolean DEFAULT false,
    encrypted_otp_secret character varying,
    encrypted_otp_secret_iv character varying,
    encrypted_otp_secret_salt character varying,
    consumed_timestep integer,
    otp_required_for_login boolean,
    manageable_query_type_ids integer[] DEFAULT '{}'::integer[],
    locale character varying,
    can_send_sms boolean DEFAULT true NOT NULL,
    ess_subs_admin boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.vacancies (
    id integer NOT NULL,
    job_title character varying NOT NULL,
    job_description text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    job_ess_identifier character varying,
    occupation character varying,
    status character varying DEFAULT 'Active'::character varying NOT NULL,
    work_type character varying[] DEFAULT '{}'::character varying[],
    type character varying,
    ess_created_on date,
    ess_deactiviated_on date,
    details_updated_at timestamp without time zone,
    status_updated_at timestamp without time zone,
    limit_updated_at timestamp without time zone,
    to_apply character varying,
    categories json DEFAULT '{}'::json NOT NULL,
    company_id integer,
    position_limit integer DEFAULT 1 NOT NULL,
    referrals_made integer DEFAULT 0 NOT NULL,
    placements_made integer DEFAULT 0 NOT NULL,
    tenure character varying,
    found_own_employment boolean DEFAULT false NOT NULL,
    site_ess_identifier character varying,
    requirements text,
    start_on date,
    end_on date,
    remuneration character varying,
    working_time character varying,
    dress_requirements text,
    transport character varying,
    interview_times character varying,
    display character varying DEFAULT 'N'::character varying NOT NULL,
    site_id integer,
    outcome_level character varying,
    duration character varying,
    placement_type character varying,
    job_placement_officer_id integer,
    contact_id integer,
    address_suburb character varying,
    address_state character varying,
    address_postcode character varying,
    salary character varying,
    licence_requirement_id integer[] DEFAULT '{}'::integer[],
    jobs_board_custom_fields json DEFAULT '{}'::json NOT NULL,
    created_by_id integer,
    ongoing boolean DEFAULT false,
    minimum_wage_verified boolean DEFAULT false,
    programme character varying DEFAULT 'jobActive'::character varying,
    hours_description character varying,
    contract_type_code character varying,
    previous_system_identifier character varying,
    comment text,
    batch_data json,
    occupation_id bigint,
    employer_campaign_id bigint,
    third_party_portal_reference character varying,
    active_date date,
    inactive_date date,
    close_date date,
    licence_type_code character varying,
    fifo_role character varying,
    special_group_code character varying,
    mining_energy_utilities character varying,
    skill_in_demand character varying,
    aware_details character varying,
    third_party_job_description character varying,
    address_line_1 character varying,
    address_line_2 character varying,
    duties text,
    send_automated_communications boolean DEFAULT true,
    transport_ids integer[] DEFAULT '{}'::integer[],
    latitude double precision,
    longitude double precision
);
CREATE TABLE jobready.vacancy_checklist_items (
    id integer NOT NULL,
    vacancy_id integer,
    description text,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.verification_sources (
    id integer NOT NULL,
    name character varying NOT NULL,
    active boolean DEFAULT true,
    created_at timestamp without time zone,
    updated_at timestamp without time zone
);
CREATE TABLE jobready.versions (
    id integer NOT NULL,
    item_type character varying NOT NULL,
    item_id integer NOT NULL,
    event character varying NOT NULL,
    whodunnit character varying,
    yaml_object text,
    created_at timestamp without time zone,
    yaml_object_changes text,
    object json,
    object_changes json
);
CREATE TABLE jobready.voucher_types (
    id bigint NOT NULL,
    name character varying NOT NULL,
    electronic boolean DEFAULT false NOT NULL,
    gst boolean DEFAULT false NOT NULL,
    active boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.vouchers (
    id bigint NOT NULL,
    site_float_id bigint NOT NULL,
    barcode character varying NOT NULL,
    url character varying,
    status character varying,
    received_at timestamp without time zone,
    issued_at timestamp without time zone,
    missing_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.wage_histories (
    id integer NOT NULL,
    placement_id integer NOT NULL,
    pay_period_ending_date date NOT NULL,
    hours_worked numeric,
    rate numeric,
    gross_income numeric,
    comments text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    verification_source_id integer,
    attachment_ids integer[] DEFAULT '{}'::integer[],
    previous_system_identifier character varying,
    user_id integer,
    updated_by_id integer,
    stage character varying[] DEFAULT '{}'::character varying[],
    pay_period_start_date date,
    deleted_at timestamp without time zone,
    pay_date date,
    unallocated_income boolean DEFAULT false,
    ytd_rule boolean DEFAULT false
);
CREATE TABLE jobready.wage_subsidy_agreements (
    id bigint NOT NULL,
    custom_expense_type_id bigint,
    name character varying NOT NULL,
    amount numeric NOT NULL,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    expense_payment_type_id bigint,
    smart_form_id uuid,
    wage_subsidy_type character varying,
    variable_amount boolean DEFAULT false NOT NULL,
    deleted_at timestamp without time zone,
    previous_system_identifier character varying,
    bottom_line boolean DEFAULT false NOT NULL
);
CREATE TABLE jobready.wage_subsidy_end_reasons (
    id bigint NOT NULL,
    name character varying,
    deleted_at timestamp without time zone,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);
CREATE TABLE jobready.wage_subsidy_payment_portal_invitations (
    id bigint NOT NULL,
    uuid uuid DEFAULT shared_extensions.uuid_generate_v4() NOT NULL,
    contact_id bigint NOT NULL,
    expense_id bigint NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.wage_subsidy_payment_schedule_template_instalments (
    id bigint NOT NULL,
    name character varying NOT NULL,
    sequence_number integer NOT NULL,
    span_weeks integer NOT NULL,
    wage_subsidy_payment_schedule_template_id bigint NOT NULL,
    document_library_file_id bigint,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    previous_system_identifier character varying,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.wage_subsidy_payment_schedule_templates (
    id bigint NOT NULL,
    wage_subsidy_agreement_id bigint,
    name character varying,
    frequency character varying,
    number_of_payments integer,
    active boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    previous_system_identifier character varying
);
CREATE TABLE jobready.wage_subsidy_payment_schedules (
    id bigint NOT NULL,
    wage_subsidy_payment_schedule_template_id bigint NOT NULL,
    wage_subsidy_request_id bigint NOT NULL,
    agreement_start_date date NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    contact_id bigint,
    previous_system_identifier character varying,
    created_by_id bigint
);
CREATE TABLE jobready.wage_subsidy_requests (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    placement_id bigint NOT NULL,
    wage_subsidy_agreement_id bigint NOT NULL,
    custom_expense_type_id bigint,
    wage_subsidy_amount numeric,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    status character varying DEFAULT 'draft'::character varying,
    requested_by_id bigint,
    first_approved_by_id bigint,
    first_approved_at timestamp without time zone,
    rejected_by_id bigint,
    rejected_at timestamp without time zone,
    rejection_reason text,
    second_approved_by_id bigint,
    second_approved_at timestamp without time zone,
    ended_at timestamp without time zone,
    ended_by_id bigint,
    legacy_end_reason text,
    cancelled_at timestamp without time zone,
    cancelled_by_id bigint,
    cancel_reason text,
    previous_system_identifier character varying,
    suggested_contact_id bigint,
    wage_subsidy_end_reason_id bigint
);
CREATE TABLE jobready.webhooks (
    id bigint NOT NULL,
    url character varying NOT NULL,
    name character varying,
    events character varying[] DEFAULT '{}'::character varying[],
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    headers jsonb DEFAULT '{}'::jsonb,
    deleted_at timestamp without time zone
);
CREATE TABLE jobready.week_wage_histories (
    id bigint NOT NULL,
    week_id bigint,
    wage_history_id bigint,
    gross_income numeric,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.weeks (
    id bigint NOT NULL,
    placement_id bigint,
    start_date date NOT NULL,
    end_date date NOT NULL,
    stage character varying NOT NULL,
    apply_break boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.why_chooses (
    id integer NOT NULL,
    name character varying,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.widget_configurations (
    id integer NOT NULL,
    user_id integer NOT NULL,
    widget_name character varying NOT NULL,
    enabled boolean DEFAULT true NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
CREATE TABLE jobready.work_for_doles (
    id bigint NOT NULL,
    jobseeker_id bigint NOT NULL,
    site_id bigint NOT NULL,
    aar_required boolean,
    total_hours_required integer,
    completed_hours numeric,
    tracking_required_hours numeric,
    aar_on_track boolean,
    hours_last_updated date,
    aar_met boolean,
    aar_currently_commenced boolean,
    wfd_currently_commenced boolean,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);
