-- Context
-- When JobReady imports the Claims Data from the Department ESS Web Services we attempt to link the Claim record with:
-- Firstly: A Placement for the Jobseeker throught the Vacancy and Referral records … if found, a placement_id for the claim would would exist.
-- Secondly: If no Placement can be found, then link with just the Jobseeker ..  then the jobseeker_id for the claim would exist

-- --------------------------------------------------------------------
-- First Option Query:
-- For Jobseekers, with Referrals to Placements that have Claims records

SELECT
  j.ess_identifier,
  j.first_name,
  j.last_name,
  r.id AS referral_id,
  p.id AS placement_id,
  c.id AS claim_id,
  c.ess_identifier AS claim_ess_identifier,
  c.rate_type
FROM jobseekers j
INNER JOIN referrals r  ON r.jobseeker_id = j.id
INNER JOIN placements p ON p.referral_id  = r.id
INNER JOIN claims c     ON c.placement_id = p.id;

-- --------------------------------------------------------------------
-- Second Option Query:
-- For Jobseekers, with Claims records (where no Placement record could be found )

SELECT
  j.ess_identifier,
  j.first_name,
  j.last_name,
  c.id AS claim_id,
  c.ess_identifier AS claim_ess_identifier,
  c.rate_type
FROM jobseekers j
INNER JOIN claims c ON c.jobseeker_id = j.id;
