# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2023_09_07_114025) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "citext"
  enable_extension "hstore"
  enable_extension "plpgsql"
  enable_extension "uuid-ossp"

  create_table "abn_verifications", force: :cascade do |t|
    t.bigint "company_id", null: false
    t.string "business_name"
    t.string "status"
    t.date "verified_at"
    t.index ["company_id"], name: "index_abn_verifications_on_company_id"
  end

  create_table "access_tokens", id: :serial, force: :cascade do |t|
    t.string "token", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "action_plan_templates", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "action_plan_templates_goals", id: false, force: :cascade do |t|
    t.bigint "action_plan_template_id"
    t.bigint "goal_id"
    t.index ["action_plan_template_id"], name: "index_action_plan_templates_goals_on_action_plan_template_id"
    t.index ["goal_id"], name: "index_action_plan_templates_goals_on_goal_id"
  end

  create_table "activities", id: :serial, force: :cascade do |t|
    t.string "ess_identifier", null: false
    t.string "name", null: false
    t.string "description"
    t.string "activity_type"
    t.string "activity_sub_type"
    t.string "status"
    t.string "priority"
    t.date "start_date"
    t.date "end_date"
    t.boolean "group_based_activity", default: false
    t.boolean "multiple_location", default: false
    t.string "general_related_id"
    t.boolean "externally_hosted", default: false
    t.string "contract_id", null: false
    t.string "contract_name"
    t.string "contract_type"
    t.integer "site_id"
    t.string "supervising_office_code"
    t.boolean "police_check", default: false
    t.text "related_activity_ids", array: true
    t.string "host_type_code"
    t.string "host_organisation_name"
    t.string "host_organisation_status"
    t.string "host_social_enterprise_indicator"
    t.string "host_contact_person_position_title"
    t.string "host_contact_person_title"
    t.string "host_contact_name"
    t.string "host_address"
    t.string "host_town_or_suburb"
    t.string "host_state"
    t.string "host_postcode"
    t.string "host_contact_phone_number"
    t.string "host_contact_mobile_number"
    t.string "host_fax_number"
    t.string "host_email_address"
    t.string "related_industry_codes"
    t.integer "created_by_user_id"
    t.integer "updated_by_user_id"
    t.string "sourcing_contract_type"
    t.string "sourcing_organisation_code"
    t.boolean "overarching_activity", default: false
    t.string "overarching_activity_id"
    t.text "related_sub_activity_ids", array: true
    t.boolean "my_organisation_only"
    t.string "advertise_activity_type"
    t.string "advertising_to_organisation_list"
    t.string "advertising_to_site_list"
    t.string "lead_provider_organisation_code"
    t.integer "lead_provider_site_id"
    t.date "risk_assessment_place_completed_date"
    t.date "host_agreement_executed_date"
    t.decimal "individual_place_fee_host_amount"
    t.decimal "group_based_place_fee_amount"
    t.decimal "activity_overhead_cost_amount_including_gst"
    t.decimal "activity_participant_cost_amount_including_gst"
    t.decimal "total_budgeted_cost_amount_including_gst"
    t.decimal "advance_payment_amount"
    t.date "acquittal_due_date"
    t.boolean "acquittal_completed"
    t.integer "place_hours"
    t.string "place_type_description"
    t.string "total_activity_places_sourced"
    t.integer "activity_places_active"
    t.integer "activity_places_active_claimed"
    t.integer "activity_places_active_available"
    t.string "activity_places_active_claimed_by_own_org"
    t.string "activity_places_active_current_commencement"
    t.string "activity_places_active_claimed_pending_commencement"
    t.string "location_status"
    t.string "location_contact_person_position_title"
    t.string "location_contact_person_title"
    t.string "location_contact_name"
    t.string "location_address"
    t.string "location_town_or_suburb"
    t.string "location_state"
    t.string "location_postcode"
    t.string "location_er_code"
    t.string "location_phone_number"
    t.string "location_mobile_number"
    t.string "location_fax_number"
    t.string "location_email_address"
    t.string "activity_ef_reimbursed_amount"
    t.integer "location_places_active"
    t.integer "location_places_active_current_commencement"
    t.string "place_id"
    t.integer "place_sequence_number"
    t.date "place_start_date"
    t.date "place_end_date"
    t.integer "place_duration"
    t.boolean "currently_active_place"
    t.string "place_status"
    t.date "place_status_date"
    t.boolean "place_claimed"
    t.date "date_claimed"
    t.boolean "place_claimed_pending_commencement"
    t.integer "days_since_claimed"
    t.string "claiming_organisation_code"
    t.integer "claiming_site_id"
    t.integer "place_referrals"
    t.integer "place_commencements"
    t.integer "place_current_commencements"
    t.string "place_utilisation"
    t.string "wfd_fee_paid_to_provider"
    t.integer "location_place_available"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "sourcing_organisation_name"
    t.string "claiming_organisation_name"
    t.string "lead_provider_organisation_name"
    t.string "organisation_code"
    t.string "organisation_name"
    t.string "supervising_office_name"
    t.string "host_type_description"
    t.integer "sourcing_site_id"
    t.string "created_by_user_ess_identifier"
    t.string "updated_by_user_ess_identifier"
    t.string "site_name"
    t.string "site_code"
    t.string "claiming_site_code"
    t.string "claiming_site_name"
    t.string "sourcing_site_code"
    t.string "sourcing_site_name"
    t.string "lead_provider_site_code"
    t.string "lead_provider_site_name"
  end

  create_table "annual_activity_requirements", force: :cascade do |t|
    t.bigint "site_id"
    t.bigint "jobseeker_id"
    t.integer "activity_id", null: false
    t.integer "activity_referral_sequence_number", null: false
    t.boolean "activity_for_own_org", default: false, null: false
    t.boolean "activity_placement_from_same_org", default: false, null: false
    t.string "activity_status"
    t.string "activity_sub_type_code"
    t.string "activity_type_code"
    t.date "actual_end_date"
    t.date "actual_start_date"
    t.jsonb "additional_ess_data", default: {}, null: false
    t.string "attendance_type"
    t.string "exit_reason_code"
    t.date "expected_end_date"
    t.date "expected_start_date"
    t.boolean "has_aar", default: false, null: false
    t.string "parent_activity_description"
    t.string "parent_activity_name"
    t.string "parent_claiming_org_code"
    t.string "parent_claiming_org_name"
    t.string "status_code"
    t.string "type_code"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["jobseeker_id"], name: "index_annual_activity_requirements_on_jobseeker_id"
    t.index ["site_id"], name: "index_annual_activity_requirements_on_site_id"
  end

  create_table "appointments", id: :serial, force: :cascade do |t|
    t.integer "stream_participant_id", null: false
    t.integer "consultant_id"
    t.integer "created_by_id"
    t.integer "result_updated_by_id"
    t.date "ess_created_on"
    t.string "ess_identifier"
    t.string "session_ess_identifier"
    t.date "scheduled_on", null: false
    t.string "start_time", null: false
    t.string "end_time", null: false
    t.string "type", null: false
    t.string "format_info"
    t.string "reason"
    t.string "interpreter_language"
    t.string "result_type"
    t.datetime "result_updated_at"
    t.date "result_ess_updated_on"
    t.boolean "imported_from_ess", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "consultant_name"
    t.string "location"
    t.string "next_appointment_reason"
    t.string "des_program_type"
    t.string "timeslot_ess_identifier"
    t.string "next_appointment_type"
    t.date "next_appointment_date"
    t.json "batch_data"
    t.datetime "marketo_synced_at"
    t.bigint "health_session_id"
    t.bigint "program_referral_id"
    t.string "status"
    t.bigint "cancelled_by_id"
    t.index ["cancelled_by_id"], name: "index_appointments_on_cancelled_by_id"
    t.index ["consultant_id"], name: "index_appointments_on_consultant_id"
    t.index ["ess_identifier"], name: "index_appointments_on_ess_identifier"
    t.index ["health_session_id"], name: "index_appointments_on_health_session_id"
    t.index ["program_referral_id"], name: "index_appointments_on_program_referral_id"
    t.index ["stream_participant_id"], name: "index_appointments_on_stream_participant_id"
  end

  create_table "apprenticeship_actives", id: :serial, force: :cascade do |t|
    t.integer "placement_id", null: false
    t.integer "apprenticeship_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["apprenticeship_id"], name: "index_apprenticeship_actives_on_apprenticeship_id"
    t.index ["placement_id"], name: "index_apprenticeship_actives_on_placement_id"
  end

  create_table "apprenticeships", id: :serial, force: :cascade do |t|
    t.integer "host_company_id", null: false
    t.integer "placement_id", null: false
    t.integer "contact_id"
    t.date "start_date"
    t.date "end_date"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["contact_id"], name: "index_apprenticeships_on_contact_id"
    t.index ["host_company_id"], name: "index_apprenticeships_on_host_company_id"
    t.index ["placement_id"], name: "index_apprenticeships_on_placement_id"
  end

  create_table "assessment_outcomes", id: :serial, force: :cascade do |t|
    t.string "type", null: false
    t.integer "from", null: false
    t.integer "to"
    t.string "text", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "status"
    t.uuid "smart_form_id"
    t.index ["smart_form_id"], name: "index_assessment_outcomes_on_smart_form_id"
  end

  create_table "attachments", id: :serial, force: :cascade do |t|
    t.integer "user_id"
    t.integer "attachable_id", null: false
    t.string "attachable_type", limit: 255, null: false
    t.string "file", limit: 512, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "tags", default: [], array: true
    t.datetime "deleted_at"
    t.boolean "jobseeker_portal_accessible", default: false
    t.string "previous_system_identifier"
    t.string "user_type"
    t.string "av_status", default: "unknown", null: false
    t.datetime "av_timestamp"
    t.string "av_signature"
    t.datetime "marketo_synced_at"
    t.datetime "confirmed_at"
    t.index ["attachable_id"], name: "index_attachments_on_attachable_id"
    t.index ["attachable_type"], name: "index_attachments_on_attachable_type"
    t.index ["created_at"], name: "index_attachments_on_created_at"
    t.index ["deleted_at"], name: "index_attachments_on_deleted_at"
    t.index ["previous_system_identifier"], name: "index_attachments_on_previous_system_identifier", unique: true
    t.index ["user_id"], name: "index_attachments_on_user_id"
  end

  create_table "bank_accounts", id: :serial, force: :cascade do |t|
    t.string "encrypted_name", null: false
    t.string "encrypted_name_iv", null: false
    t.string "encrypted_number", null: false
    t.string "encrypted_number_iv", null: false
    t.string "encrypted_bsb", null: false
    t.string "encrypted_bsb_iv", null: false
    t.datetime "deleted_at"
    t.bigint "jobseeker_id"
    t.index ["deleted_at"], name: "index_bank_accounts_on_deleted_at"
    t.index ["jobseeker_id"], name: "index_bank_accounts_on_jobseeker_id"
  end

  create_table "bank_transactions", force: :cascade do |t|
    t.string "merchant"
    t.text "description"
    t.date "transaction_date", null: false
    t.decimal "amount", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.decimal "reconciled_amount"
    t.string "account_number"
    t.string "transaction_code"
    t.string "account_name"
    t.index ["account_number", "account_name"], name: "index_bank_transactions_on_account_number_and_account_name"
  end

  create_table "bank_transactions_account_informations", force: :cascade do |t|
    t.string "account_number"
    t.string "account_name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["account_number"], name: "index_bank_transactions_account_informations_on_account_number"
  end

  create_table "bank_transactions_import_logs", force: :cascade do |t|
    t.string "status"
    t.string "kind"
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "basic_benefit_rates", force: :cascade do |t|
    t.string "name"
    t.integer "base_rate"
    t.date "effective_from_date"
    t.decimal "lower_percentage", default: "0.6"
    t.integer "lower_rate"
    t.decimal "mid_percentage", default: "0.85"
    t.integer "mid_rate"
    t.decimal "upper_percentage", default: "1.0"
    t.integer "upper_rate"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "batches", id: :serial, force: :cascade do |t|
    t.string "batch_type", null: false
    t.json "parameters"
    t.string "status", default: "created", null: false
    t.json "failures", default: []
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["batch_type"], name: "index_batches_on_batch_type"
    t.index ["status"], name: "index_batches_on_status"
  end

  create_table "better_proposal_templates", force: :cascade do |t|
    t.string "template_identifier", null: false
    t.string "template_name"
    t.boolean "active", default: false, null: false
    t.boolean "external_deleted", default: false, null: false
    t.index ["active"], name: "index_better_proposal_templates_on_active"
    t.index ["template_identifier"], name: "index_better_proposal_templates_on_template_identifier", unique: true
  end

  create_table "better_proposals", force: :cascade do |t|
    t.bigint "better_proposal_template_id", null: false
    t.bigint "contact_id", null: false
    t.bigint "company_id", null: false
    t.bigint "created_by_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "being_pushed_to_api"
    t.string "identifier"
    t.string "preview_url"
    t.jsonb "data", default: {}, null: false
    t.string "status"
    t.index ["better_proposal_template_id"], name: "index_better_proposals_on_better_proposal_template_id"
    t.index ["company_id"], name: "index_better_proposals_on_company_id"
    t.index ["contact_id"], name: "index_better_proposals_on_contact_id"
    t.index ["created_by_id"], name: "index_better_proposals_on_created_by_id"
    t.index ["identifier"], name: "index_better_proposals_on_identifier"
    t.index ["status"], name: "index_better_proposals_on_status"
  end

  create_table "break_reasons", force: :cascade do |t|
    t.string "name", null: false
    t.string "break_type", null: false
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "breaks", id: :serial, force: :cascade do |t|
    t.integer "placement_id", null: false
    t.date "start_date"
    t.date "end_date"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "type", default: "PermissibleBreak", null: false
    t.string "reason"
    t.string "exceed_period_reason"
    t.string "exceed_period_reason_other"
    t.bigint "fortnight_id"
    t.index ["fortnight_id"], name: "index_breaks_on_fortnight_id"
    t.index ["placement_id"], name: "index_breaks_on_placement_id"
  end

  create_table "caseloads", id: :serial, force: :cascade do |t|
    t.integer "site_id", null: false
    t.string "stream_type", null: false
    t.integer "commenced", default: 0, null: false
    t.integer "pending", default: 0, null: false
    t.integer "year", null: false
    t.integer "month", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["site_id", "stream_type", "year", "month"], name: "index_caseloads_on_site_id_and_stream_type_and_year_and_month", unique: true
    t.index ["site_id"], name: "index_caseloads_on_site_id"
  end

  create_table "claim_ccu_change_reasons", id: :serial, force: :cascade do |t|
    t.string "reason"
    t.string "workflow_state"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_claim_ccu_change_reasons_on_deleted_at"
    t.index ["reason", "workflow_state"], name: "index_claim_ccu_change_reasons_on_reason_and_workflow_state", unique: true
  end

  create_table "claim_ess_identifiers", id: :serial, force: :cascade do |t|
    t.string "ess_identifier"
    t.string "entity_type"
    t.integer "entity_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["entity_id"], name: "index_claim_ess_identifiers_on_entity_id"
    t.index ["entity_type"], name: "index_claim_ess_identifiers_on_entity_type"
    t.index ["ess_identifier"], name: "index_claim_ess_identifiers_on_ess_identifier"
  end

  create_table "claim_rate_types", id: :serial, force: :cascade do |t|
    t.string "claimable_type", null: false
    t.string "rate_type_code", null: false
    t.string "rate_type", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "programme", default: "jobActive"
    t.index ["rate_type_code"], name: "index_claim_rate_types_on_rate_type_code", unique: true
  end

  create_table "claim_transitions", id: :serial, force: :cascade do |t|
    t.string "to_state", null: false
    t.json "metadata", default: {}
    t.integer "sort_key", null: false
    t.integer "claim_id", null: false
    t.boolean "most_recent", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["claim_id", "most_recent"], name: "index_claim_transitions_parent_most_recent", unique: true, where: "most_recent"
    t.index ["claim_id", "sort_key"], name: "index_claim_transitions_parent_sort", unique: true
  end

  create_table "claims", id: :serial, force: :cascade do |t|
    t.string "ess_identifier"
    t.integer "placement_id"
    t.boolean "special"
    t.string "invoice_number"
    t.string "recovery_reason"
    t.decimal "amount", null: false
    t.decimal "gst", null: false
    t.decimal "approved_amount", null: false
    t.string "rate_type"
    t.string "base_rate_type"
    t.string "status"
    t.date "updated_on"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "type"
    t.date "due_on"
    t.integer "week_number"
    t.string "state"
    t.integer "jobseeker_id"
    t.integer "expense_id"
    t.integer "site_id"
    t.string "rate_type_code"
    t.string "status_code"
    t.date "ess_created_on"
    t.date "status_date"
    t.string "base_rate_type_code"
    t.integer "created_by_id"
    t.datetime "deleted_at"
    t.datetime "state_updated_at"
    t.string "outcome_type"
    t.boolean "psv", default: false
    t.integer "submitted_to_ccu_by_id"
    t.datetime "submitted_to_ccu_at"
    t.integer "assigned_to_id"
    t.datetime "assigned_at"
    t.string "activity_id"
    t.string "programme", default: "jobActive"
    t.string "anchor_id"
    t.date "anchor_date"
    t.date "start_date"
    t.date "end_date"
    t.date "available_date"
    t.string "placement_type"
    t.date "forecast_date"
    t.bigint "state_last_updated_by_id"
    t.bigint "approver_id"
    t.index ["approver_id"], name: "index_claims_on_approver_id"
    t.index ["assigned_to_id"], name: "index_claims_on_assigned_to_id"
    t.index ["created_by_id"], name: "index_claims_on_created_by_id"
    t.index ["deleted_at"], name: "index_claims_on_deleted_at"
    t.index ["ess_identifier"], name: "index_claims_on_ess_identifier"
    t.index ["expense_id"], name: "index_claims_on_expense_id"
    t.index ["invoice_number"], name: "index_claims_on_invoice_number"
    t.index ["jobseeker_id", "type", "due_on", "amount", "approved_amount", "gst", "programme", "site_id"], name: "unique_projected_claims", unique: true, where: "(((type)::text = 'Ongoing support'::text) AND (deleted_at IS NULL) AND (submitted_to_ccu_at IS NULL) AND (ess_identifier IS NULL) AND (((state)::text <> 'approved'::text) OR (state IS NULL)))"
    t.index ["jobseeker_id"], name: "index_claims_on_jobseeker_id"
    t.index ["placement_id"], name: "index_claims_on_placement_id"
    t.index ["site_id"], name: "index_claims_on_site_id"
    t.index ["state"], name: "index_claims_on_state"
    t.index ["state_last_updated_by_id"], name: "index_claims_on_state_last_updated_by_id"
    t.index ["status"], name: "index_claims_on_status"
    t.index ["type"], name: "index_claims_on_type"
    t.index ["week_number"], name: "index_claims_on_week_number"
  end

  create_table "claims_weekly_snapshots", id: :serial, force: :cascade do |t|
    t.integer "site_id", null: false
    t.date "week_starting_on"
    t.float "week4_outstanding_amount"
    t.float "week12_outstanding_amount"
    t.float "week26_outstanding_amount"
    t.integer "week4_outstanding_count"
    t.integer "week12_outstanding_count"
    t.integer "week26_outstanding_count"
    t.float "week4_lodged_amount"
    t.float "week12_lodged_amount"
    t.float "week26_lodged_amount"
    t.integer "week4_lodged_count"
    t.integer "week12_lodged_count"
    t.integer "week26_lodged_count"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["site_id"], name: "index_claims_weekly_snapshots_on_site_id"
    t.index ["week_starting_on"], name: "index_claims_weekly_snapshots_on_week_starting_on"
  end

  create_table "commitment_assessments_surveys", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.datetime "completed_at"
    t.string "stage"
    t.datetime "exercise_completed_at"
    t.bigint "created_by_id", null: false
    t.string "survey_type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "probability", default: "", null: false
    t.index ["created_by_id"], name: "index_commitment_assessments_surveys_on_created_by_id"
    t.index ["jobseeker_id"], name: "index_commitment_assessments_surveys_on_jobseeker_id"
  end

  create_table "communication_preferences", force: :cascade do |t|
    t.integer "order_number", null: false
    t.string "resource_type", null: false
    t.string "contact_method", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["resource_type"], name: "index_communication_preferences_on_resource_type"
  end

  create_table "companies", id: :serial, force: :cascade do |t|
    t.integer "site_id"
    t.string "name", null: false
    t.string "abn"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "company_type"
    t.string "email"
    t.datetime "details_updated_at"
    t.string "ess_identifier"
    t.string "address_line_1"
    t.string "address_line_2"
    t.string "address_line_3"
    t.string "address_suburb"
    t.string "address_state"
    t.string "address_postcode"
    t.string "phone_area_code"
    t.string "phone_number"
    t.string "phone_extension"
    t.string "fax_area_code"
    t.string "fax_number"
    t.string "anzsic_code"
    t.string "status", default: "Active", null: false
    t.date "ess_created_on"
    t.date "ess_updated_on"
    t.date "ess_extracted_on"
    t.datetime "status_updated_at"
    t.datetime "address_updated_at"
    t.datetime "contact_details_updated_at"
    t.string "contact_name"
    t.float "latitude"
    t.float "longitude"
    t.string "external_reference", default: ""
    t.string "abn_name"
    t.integer "parent_id"
    t.string "level", default: "employer"
    t.datetime "account_manager_updated_at"
    t.integer "account_manager_id"
    t.integer "region_id"
    t.string "activity_status", default: "prospect"
    t.boolean "optional_abn", default: false
    t.string "entity_type"
    t.text "ess_comment"
    t.integer "recruitment_coordinator_id"
    t.boolean "active", default: true
    t.text "comments"
    t.text "tags", default: [], array: true
    t.boolean "do_not_use", default: false
    t.integer "marked_as_not_used_by_id"
    t.datetime "marked_as_not_used_at"
    t.string "anzsic_code_second"
    t.text "contact_preferences"
    t.integer "contact_preferences_updated_by_id"
    t.datetime "contact_preferences_updated_at"
    t.boolean "default_own_organisation"
    t.boolean "default_related_entity"
    t.boolean "employer_privacy_guide_provided"
    t.text "previous_system_identifiers", default: [], array: true
    t.bigint "company_lead_id"
    t.string "contact_method"
    t.bigint "created_by_id"
    t.text "recruitment_portal_details"
    t.text "strategy_details"
    t.bigint "referral_source_id"
    t.string "sub_source_type"
    t.bigint "sub_source_id"
    t.integer "primary_organisation_id"
    t.bigint "employer_status_id"
    t.string "better_proposal_company_identifier"
    t.boolean "unsubscribed_from_bulk_emails", default: false
    t.index ["account_manager_id"], name: "index_companies_on_account_manager_id"
    t.index ["activity_status"], name: "index_companies_on_activity_status"
    t.index ["address_postcode"], name: "index_companies_on_address_postcode"
    t.index ["company_lead_id"], name: "index_companies_on_company_lead_id"
    t.index ["created_by_id"], name: "index_companies_on_created_by_id"
    t.index ["employer_status_id"], name: "index_companies_on_employer_status_id"
    t.index ["entity_type"], name: "index_companies_on_entity_type"
    t.index ["ess_identifier"], name: "index_companies_on_ess_identifier"
    t.index ["parent_id"], name: "index_companies_on_parent_id"
    t.index ["primary_organisation_id"], name: "index_companies_on_primary_organisation_id"
    t.index ["recruitment_coordinator_id"], name: "index_companies_on_recruitment_coordinator_id"
    t.index ["referral_source_id"], name: "index_companies_on_referral_source_id"
    t.index ["region_id"], name: "index_companies_on_region_id"
    t.index ["site_id"], name: "index_companies_on_site_id"
    t.index ["sub_source_type", "sub_source_id"], name: "index_companies_on_sub_source_type_and_sub_source_id"
  end

  create_table "companies_wage_subsidy_agreements", id: false, force: :cascade do |t|
    t.bigint "company_id", null: false
    t.bigint "wage_subsidy_agreement_id", null: false
    t.index ["company_id"], name: "index_companies_wage_subsidy_agreements_on_company_id"
    t.index ["wage_subsidy_agreement_id"], name: "index_companies_wage_subsidy_agreements_on_agreement_id"
  end

  create_table "company_leads", force: :cascade do |t|
    t.bigint "lead_manager_id"
    t.bigint "site_id", null: false
    t.string "status"
    t.string "name", null: false
    t.string "abn_name"
    t.string "abn"
    t.string "address_line_1"
    t.string "address_line_2"
    t.string "address_line_3"
    t.string "address_suburb", null: false
    t.string "address_state", null: false
    t.string "address_postcode", null: false
    t.datetime "in_progress_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "referral_source_id"
    t.string "sub_source_type"
    t.bigint "sub_source_id"
    t.datetime "on_hold_at"
    t.datetime "closed_at"
    t.datetime "converted_at"
    t.bigint "lead_stage_id"
    t.bigint "lead_sub_stage_id"
    t.bigint "created_by_id"
    t.datetime "created_by"
    t.boolean "unsubscribed_from_bulk_emails", default: false
    t.bigint "lead_substatus_id"
    t.datetime "todo_at"
    t.index ["created_by_id"], name: "index_company_leads_on_created_by_id"
    t.index ["lead_manager_id"], name: "index_company_leads_on_lead_manager_id"
    t.index ["lead_stage_id"], name: "index_company_leads_on_lead_stage_id"
    t.index ["lead_sub_stage_id"], name: "index_company_leads_on_lead_sub_stage_id"
    t.index ["lead_substatus_id"], name: "index_company_leads_on_lead_substatus_id"
    t.index ["referral_source_id"], name: "index_company_leads_on_referral_source_id"
    t.index ["site_id"], name: "index_company_leads_on_site_id"
    t.index ["sub_source_type", "sub_source_id"], name: "index_company_leads_on_sub_source_type_and_sub_source_id"
  end

  create_table "company_types", force: :cascade do |t|
    t.string "company_type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["company_type"], name: "index_company_types_on_company_type", unique: true
    t.index ["deleted_at"], name: "index_company_types_on_deleted_at"
  end

  create_table "contact_portal_users", force: :cascade do |t|
    t.integer "contact_id", null: false
    t.boolean "active", default: false, null: false
    t.string "email", null: false
    t.string "crypted_password"
    t.string "password_salt"
    t.string "persistence_token"
    t.string "perishable_token"
    t.integer "login_count", default: 0, null: false
    t.integer "failed_login_count", default: 0, null: false
    t.datetime "last_request_at"
    t.datetime "current_login_at"
    t.datetime "last_login_at"
    t.string "current_login_ip"
    t.string "last_login_ip"
    t.datetime "password_changed_at"
    t.datetime "deleted_at"
    t.datetime "locked_at"
    t.integer "locked_by_id"
    t.string "unique_session_id", limit: 32
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["contact_id"], name: "index_contact_portal_users_on_contact_id", unique: true
    t.index ["email"], name: "index_contact_portal_users_on_email", unique: true
    t.index ["locked_by_id"], name: "index_contact_portal_users_on_locked_by_id"
    t.index ["persistence_token"], name: "index_contact_portal_users_on_persistence_token"
  end

  create_table "contact_types", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_contact_types_on_deleted_at"
  end

  create_table "contacts", id: :serial, force: :cascade do |t|
    t.boolean "primary"
    t.string "title", null: false
    t.string "position"
    t.string "first_name", null: false
    t.string "middle_names"
    t.string "last_name", null: false
    t.string "email"
    t.string "mobile_phone_number"
    t.string "office_phone_number"
    t.integer "contactable_id"
    t.string "contactable_type"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "status", default: "Active"
    t.boolean "mailing_list"
    t.text "comments"
    t.boolean "ess_employer_contact"
    t.integer "contact_type_id"
    t.string "relationship"
    t.datetime "deleted_at"
    t.string "organisation_name"
    t.string "address_lines"
    t.string "address_suburb"
    t.string "address_state"
    t.string "address_postcode"
    t.text "previous_system_identifiers", default: [], array: true
    t.bigint "created_by_id"
    t.datetime "marketo_synced_at"
    t.string "marketo_lead_id"
    t.boolean "unsubscribed_from_email", default: false
    t.boolean "unsubscribed_from_sms", default: false
    t.index ["contact_type_id"], name: "index_contacts_on_contact_type_id"
    t.index ["contactable_type", "contactable_id"], name: "index_contacts_on_contactable_type_and_contactable_id"
    t.index ["created_by_id"], name: "index_contacts_on_created_by_id"
    t.index ["deleted_at"], name: "index_contacts_on_deleted_at"
    t.index ["status"], name: "index_contacts_on_status"
  end

  create_table "contacts_jobseeker_portal_privacy_document_consents", id: false, force: :cascade do |t|
    t.integer "contact_id", null: false
    t.integer "jobseeker_portal_privacy_document_consent_id", null: false
    t.index ["contact_id"], name: "idx_contact_privacy_document_consent_content_id"
    t.index ["jobseeker_portal_privacy_document_consent_id"], name: "idx_contact_privacy_document_consent_id"
  end

  create_table "contacts_meetings", id: false, force: :cascade do |t|
    t.bigint "contact_id", null: false
    t.bigint "meeting_id", null: false
    t.index ["meeting_id", "contact_id"], name: "index_contacts_meetings_on_meeting_id_and_contact_id", unique: true
  end

  create_table "cortex_rails_api_configs", id: :serial, force: :cascade do |t|
    t.string "url", default: "https://cortex.esherhouse.org", null: false
    t.string "token", default: "", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "cortex_rails_organisations", id: :serial, force: :cascade do |t|
    t.integer "api_config_id"
    t.integer "credit_count", null: false
    t.text "survey_types", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["api_config_id"], name: "index_cortex_rails_organisations_on_api_config_id"
  end

  create_table "cortex_rails_surveys", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "case_file_type", null: false
    t.integer "case_file_id", null: false
    t.text "payload", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "token"
    t.index ["case_file_type", "case_file_id", "name"], name: "index_cortex_rails_surveys_uniqueness", unique: true
    t.index ["token"], name: "index_cortex_rails_surveys_on_token", unique: true
  end

  create_table "custom_alerts", force: :cascade do |t|
    t.string "name"
    t.string "types", default: [], array: true
    t.string "roles", default: [], array: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "search_title"
    t.string "filters"
    t.string "resource_type"
    t.string "tag"
    t.datetime "deleted_at"
    t.string "priority", default: "business_as_usual"
    t.boolean "pin_status", default: false
    t.index ["deleted_at"], name: "index_custom_alerts_on_deleted_at"
    t.index ["pin_status"], name: "index_custom_alerts_on_pin_status"
    t.index ["priority"], name: "index_custom_alerts_on_priority"
    t.index ["resource_type"], name: "index_custom_alerts_on_resource_type"
  end

  create_table "custom_expense_types", id: :serial, force: :cascade do |t|
    t.string "code", null: false
    t.string "description", null: false
    t.boolean "active", default: true, null: false
    t.string "programme", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "gl_account_code"
    t.boolean "wage_subsidy", default: false, null: false
    t.boolean "employment_fund", default: false
    t.text "description_of_purchase"
    t.boolean "claimable", default: false, null: false
    t.boolean "second_approval_required", default: false
    t.datetime "deleted_at"
    t.index ["code"], name: "index_custom_expense_types_on_code"
    t.index ["deleted_at"], name: "index_custom_expense_types_on_deleted_at"
    t.index ["employment_fund"], name: "index_custom_expense_types_on_employment_fund"
  end

  create_table "des_placements", id: :serial, force: :cascade do |t|
    t.date "phase_start_date"
    t.date "placement_verification_date"
    t.string "previous_phase"
    t.integer "phase_duration_in_weeks"
    t.string "phase_status"
    t.string "site_specialisation_code"
    t.string "current_des_funding_level"
    t.string "des_funding_level_at_placement"
    t.string "benchmark_hours_at_placement"
    t.string "current_benchmark_hours"
    t.boolean "suspended"
    t.boolean "volunteer"
    t.string "placement_hours_worked"
    t.date "semester_1_start_date"
    t.date "semester_1_end_date"
    t.date "semester_2_start_date"
    t.date "semester_2_end_date"
    t.string "contact_hours_per_week"
    t.string "w13_outcome_not_payable_reason"
    t.string "w26_outcome_not_payable_reason"
    t.string "des_program_type"
    t.string "modern_awards"
    t.string "federal_minimum_wage"
    t.date "result_entered_on"
    t.string "activity_name"
    t.string "activity_status"
    t.string "activity_placement_status"
    t.date "activity_placement_actual_start_date"
    t.date "activity_placement_actual_end_date"
    t.date "pps_phase_start_date"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "document_library_files", force: :cascade do |t|
    t.bigint "user_id"
    t.string "file", limit: 512, null: false
    t.datetime "deleted_at"
    t.text "categories", default: [], array: true
    t.string "av_status", default: "unknown", null: false
    t.datetime "av_timestamp"
    t.string "av_signature"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "type", default: "DocumentLibraryFile", null: false
    t.boolean "landscape"
    t.index ["deleted_at"], name: "index_document_library_files_on_deleted_at"
    t.index ["user_id"], name: "index_document_library_files_on_user_id"
  end

  create_table "elcapitan_tenant_configurations", id: :serial, force: :cascade do |t|
    t.text "name", null: false
    t.text "value", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["name"], name: "index_elcapitan_tenant_configurations_on_name", unique: true
  end

  create_table "email_events", force: :cascade do |t|
    t.string "type"
    t.jsonb "additional_data", default: {}, null: false
    t.bigint "email_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["email_id"], name: "index_email_events_on_email_id"
  end

  create_table "email_templates", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.text "content", null: false
    t.text "types", default: [], array: true
    t.datetime "deleted_at"
    t.string "subject"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["deleted_at"], name: "index_email_templates_on_deleted_at"
  end

  create_table "emails", id: :serial, force: :cascade do |t|
    t.text "subject", null: false
    t.text "body", null: false
    t.integer "user_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "emailable_type"
    t.integer "emailable_id"
    t.string "to"
    t.string "from"
    t.string "cc"
    t.string "bcc"
    t.string "reply_to"
    t.text "html_body"
    t.text "text_body"
    t.datetime "received_at"
    t.date "follow_up_date"
    t.string "previous_system_identifier"
    t.integer "reminder_id"
    t.string "status", default: "in_progress", null: false
    t.string "message_id"
    t.json "headers", default: {}, null: false
    t.string "email_type"
    t.datetime "scheduled_at"
    t.string "marketo_guid"
    t.integer "thread_id"
    t.index ["emailable_id"], name: "index_emails_on_emailable_id"
    t.index ["emailable_type"], name: "index_emails_on_emailable_type"
    t.index ["message_id"], name: "index_emails_on_message_id"
    t.index ["reminder_id"], name: "index_emails_on_reminder_id"
    t.index ["thread_id"], name: "index_emails_on_thread_id"
    t.index ["user_id"], name: "index_emails_on_user_id"
  end

  create_table "embed_reports", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "url"
    t.text "embed_code"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_embed_reports_on_deleted_at"
  end

  create_table "employer_campaigns", force: :cascade do |t|
    t.string "name"
    t.bigint "company_id"
    t.integer "account_manager_id"
    t.string "status"
    t.string "objective"
    t.string "contact_person"
    t.string "contact_details"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["company_id"], name: "index_employer_campaigns_on_company_id"
  end

  create_table "employer_kpis", force: :cascade do |t|
    t.bigint "company_id"
    t.bigint "kpi_id"
    t.string "actual", null: false
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["company_id"], name: "index_employer_kpis_on_company_id"
    t.index ["kpi_id"], name: "index_employer_kpis_on_kpi_id"
  end

  create_table "employer_statuses", force: :cascade do |t|
    t.string "name"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_employer_statuses_on_deleted_at"
  end

  create_table "employment_hours", force: :cascade do |t|
    t.bigint "site_id", null: false
    t.bigint "placement_id"
    t.decimal "ave_week_hrs"
    t.integer "basic_rate"
    t.date "end_date"
    t.decimal "hours_declared"
    t.date "hrs_status_date"
    t.decimal "income_declared"
    t.string "outcome_lvl"
    t.string "outcome_type"
    t.integer "period_days"
    t.string "request_type_code"
    t.string "request_reason_code"
    t.string "referral_ess_identifier"
    t.date "start_date"
    t.string "status_code"
    t.date "work_period_start_date"
    t.date "work_period_end_date"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "jobseeker_id", null: false
    t.string "programme"
    t.bigint "fortnight_id"
    t.index ["fortnight_id"], name: "index_employment_hours_on_fortnight_id"
    t.index ["jobseeker_id"], name: "index_employment_hours_on_jobseeker_id"
    t.index ["outcome_type"], name: "index_employment_hours_on_outcome_type"
    t.index ["placement_id"], name: "index_employment_hours_on_placement_id"
    t.index ["site_id"], name: "index_employment_hours_on_site_id"
  end

  create_table "employment_properties", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "resource_type", null: false
    t.string "field_type", default: "text", null: false
    t.boolean "filterable", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "employment_property_option_quest_submissions", force: :cascade do |t|
    t.bigint "employment_property_option_id", null: false
    t.uuid "quest_submission_id", null: false
    t.index ["employment_property_option_id"], name: "idx_employment_property_option_quest_submissions_on_option"
    t.index ["quest_submission_id"], name: "idx_employment_property_option_quest_submissions_on_submission"
  end

  create_table "employment_property_options", force: :cascade do |t|
    t.bigint "employment_property_id"
    t.string "name", null: false
    t.string "category"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_employment_property_options_on_deleted_at"
    t.index ["employment_property_id"], name: "index_employment_property_options_on_employment_property_id"
  end

  create_table "employment_property_options_jobseekers", id: false, force: :cascade do |t|
    t.bigint "employment_property_option_id", null: false
    t.bigint "jobseeker_id", null: false
    t.index ["employment_property_option_id", "jobseeker_id"], name: "employment_property_options_jobseeker_jointable_ids_index"
  end

  create_table "employment_property_options_vacancies", id: false, force: :cascade do |t|
    t.bigint "employment_property_option_id", null: false
    t.bigint "vacancy_id", null: false
    t.index ["employment_property_option_id", "vacancy_id"], name: "employment_property_options_vacancies_jointable_ids_index"
  end

  create_table "entity_programmes", id: :serial, force: :cascade do |t|
    t.integer "entity_id", null: false
    t.string "entity_type", null: false
    t.string "programme", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_entity_programmes_on_deleted_at"
    t.index ["entity_type", "entity_id"], name: "index_entity_programmes_on_entity_type_and_entity_id"
    t.index ["programme"], name: "index_entity_programmes_on_programme"
  end

  create_table "ess_access_tokens", id: :serial, force: :cascade do |t|
    t.string "access_token"
    t.string "refresh_token"
    t.string "expires_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "ess_subscriptions", force: :cascade do |t|
    t.string "programme"
    t.string "type"
    t.string "common_name"
    t.integer "code"
    t.string "report_name"
    t.boolean "base_subscription"
    t.integer "updated_by_id"
    t.boolean "enabled"
    t.string "sync_status"
    t.datetime "last_synced_at"
    t.string "subscription_footer"
    t.string "ess_org_code"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "ess_users", id: :serial, force: :cascade do |t|
    t.integer "site_id", null: false
    t.string "ess_identifier", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "ess_wage_subsidy_agreements", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "site_id", null: false
    t.bigint "placement_id", null: false
    t.bigint "created_by_id"
    t.bigint "ended_by_id"
    t.string "agreement_type"
    t.string "approval_method"
    t.date "approved_on"
    t.string "claimed_amount"
    t.string "eligibility_overridden"
    t.string "eligibility_type_code"
    t.string "end_reason_code"
    t.date "ess_created_on"
    t.date "ess_ended_on"
    t.date "first_payment_date"
    t.string "instalment_schedule_code"
    t.string "job_ess_identifier"
    t.date "job_placement_date"
    t.date "latest_payment_date"
    t.string "master_agreement_id"
    t.string "maximum_amount_payable"
    t.string "payment_count"
    t.string "remaining_balance"
    t.string "schedule_agreement_id"
    t.date "started_on"
    t.string "status"
    t.string "vacancy_agreement_eligible"
    t.index ["created_by_id"], name: "index_ess_wage_subsidy_agreements_on_created_by_id"
    t.index ["ended_by_id"], name: "index_ess_wage_subsidy_agreements_on_ended_by_id"
    t.index ["jobseeker_id"], name: "index_ess_wage_subsidy_agreements_on_jobseeker_id"
    t.index ["placement_id"], name: "index_ess_wage_subsidy_agreements_on_placement_id"
    t.index ["site_id"], name: "index_ess_wage_subsidy_agreements_on_site_id"
  end

  create_table "events", id: :uuid, default: nil, force: :cascade do |t|
    t.integer "eventable_id"
    t.string "eventable_type"
    t.jsonb "data", default: {}, null: false
    t.string "type", null: false
    t.datetime "timestamp", null: false
    t.index ["data"], name: "index_events_on_data", using: :gin
    t.index ["eventable_type", "eventable_id"], name: "index_events_on_eventable_type_and_eventable_id"
    t.index ["timestamp"], name: "index_events_on_timestamp", order: :desc
  end

  create_table "evidence_attachments", id: :serial, force: :cascade do |t|
    t.string "file", null: false
    t.integer "user_id", null: false
    t.integer "placement_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "status", default: "review", null: false
    t.integer "updated_by_id"
    t.string "stage"
    t.text "status_comments"
    t.datetime "status_updated_at"
    t.datetime "deleted_at"
    t.integer "deleted_by_id"
    t.text "tags", default: [], array: true
    t.string "av_status", default: "unknown", null: false
    t.datetime "av_timestamp"
    t.string "av_signature"
    t.index ["created_at"], name: "index_evidence_attachments_on_created_at"
    t.index ["deleted_at"], name: "index_evidence_attachments_on_deleted_at"
    t.index ["placement_id"], name: "index_evidence_attachments_on_placement_id"
    t.index ["stage"], name: "index_evidence_attachments_on_stage"
    t.index ["status"], name: "index_evidence_attachments_on_status"
    t.index ["user_id"], name: "index_evidence_attachments_on_user_id"
  end

  create_table "expense_approvals", id: :serial, force: :cascade do |t|
    t.integer "expense_id"
    t.string "approval_level"
    t.integer "approver_id"
    t.datetime "approved_at"
    t.text "comment"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["expense_id"], name: "index_expense_approvals_on_expense_id"
  end

  create_table "expense_contact_emails", force: :cascade do |t|
    t.bigint "contact_id", null: false
    t.bigint "expense_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["contact_id", "expense_id"], name: "index_expense_contact_emails_on_contact_id_and_expense_id"
    t.index ["contact_id"], name: "index_expense_contact_emails_on_contact_id"
    t.index ["expense_id"], name: "index_expense_contact_emails_on_expense_id"
  end

  create_table "expense_credit_cards", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "code", null: false
    t.string "last_four_digits", limit: 4, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.bigint "user_id"
    t.index ["deleted_at"], name: "index_expense_credit_cards_on_deleted_at"
    t.index ["user_id"], name: "index_expense_credit_cards_on_user_id"
  end

  create_table "expense_dual_line_limits", force: :cascade do |t|
    t.string "programme", null: false
    t.integer "limit"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_expense_dual_line_limits_on_deleted_at"
  end

  create_table "expense_exports", id: :serial, force: :cascade do |t|
    t.integer "created_by_id", null: false
    t.string "type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "expense_finance_statuses", force: :cascade do |t|
    t.string "name"
    t.boolean "system", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_expense_finance_statuses_on_deleted_at"
  end

  create_table "expense_imports", id: :serial, force: :cascade do |t|
    t.integer "created_by_id"
    t.boolean "processed", default: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "expense_export_id"
    t.index ["expense_export_id"], name: "index_expense_imports_on_expense_export_id"
  end

  create_table "expense_payment_types", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.boolean "active", default: true
    t.string "finance_system_code"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "credit_card_payment"
    t.boolean "bank_details_required", default: false
    t.boolean "nat_exportable", default: false, null: false
    t.boolean "gst_not_applicable", default: false, null: false
    t.boolean "autofill_invoice_details", default: false, null: false
    t.integer "company_id"
    t.boolean "second_approval_required", default: false
    t.datetime "deleted_at"
    t.index ["company_id"], name: "index_expense_payment_types_on_company_id"
    t.index ["deleted_at"], name: "index_expense_payment_types_on_deleted_at"
  end

  create_table "expenses", id: :serial, force: :cascade do |t|
    t.date "occurred_on", null: false
    t.integer "company_id"
    t.integer "jobseeker_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "created_by_id"
    t.string "type", default: "other", null: false
    t.string "status", default: "pending", null: false
    t.integer "approver_id"
    t.date "approved_on"
    t.text "justification"
    t.boolean "related_entity", default: false
    t.boolean "own_organisation", default: false
    t.decimal "invoice_gst", default: "0.0"
    t.decimal "invoice_total", default: "0.0"
    t.date "invoice_date"
    t.string "invoice_number"
    t.decimal "claim_amount", default: "0.0"
    t.decimal "total", default: "0.0"
    t.decimal "gst", default: "0.0"
    t.json "properties", default: {}
    t.string "export_state", default: "waiting_for_approval"
    t.string "legacy_finance_status", default: "in_progress"
    t.boolean "gst_applied", default: true
    t.datetime "cancelled_at"
    t.integer "cancelled_by_id"
    t.integer "second_approver_id"
    t.date "second_approved_on"
    t.integer "rejected_by_id"
    t.date "rejected_on"
    t.json "type_properties", default: {}
    t.string "claim_ess_identifier"
    t.string "commitment_id"
    t.boolean "invoice_paid", default: false
    t.string "withdrawal_reason"
    t.datetime "withdrawn_at"
    t.integer "withdrawn_by_id"
    t.integer "updated_by_id"
    t.string "cancel_reason"
    t.integer "expense_credit_card_id"
    t.boolean "provider_to_pay"
    t.datetime "finance_system_export_created_at"
    t.integer "expense_payment_type_id"
    t.datetime "invoice_number_updated_at"
    t.integer "invoice_number_updated_by_id"
    t.integer "site_id"
    t.string "new_company_trading_name"
    t.string "new_company_abn"
    t.integer "indigenous_mentoring_activity_id"
    t.integer "marked_as_supplier_paid_by_id"
    t.datetime "marked_as_supplier_paid_at"
    t.datetime "claimed_at"
    t.datetime "committed_at"
    t.string "claim_cancellation_reason"
    t.datetime "exported_for_bulk_commitment_at"
    t.boolean "invoice_gst_applied", default: true
    t.date "supplier_paid_on"
    t.datetime "exported_for_bulk_reimbursement_at"
    t.integer "original_expense_id"
    t.json "commitment_data", default: {}
    t.string "programme", default: "jobActive"
    t.text "tag", default: [], array: true
    t.string "previous_system_identifier"
    t.string "initial_stream"
    t.integer "bank_account_id"
    t.datetime "nat_export_created_at"
    t.string "new_company_address"
    t.string "new_company_contact"
    t.string "new_company_contact_phone"
    t.integer "purchase_order_id"
    t.integer "supplier_purchase_order_id"
    t.boolean "mismatching_payment_imports"
    t.datetime "payment_details_imported_at"
    t.date "invoice_actual_date_of_service"
    t.bigint "professional_service_activity_id"
    t.integer "pre_approver_id"
    t.date "pre_approved_on"
    t.bigint "voucher_id"
    t.bigint "wage_subsidy_payment_schedule_id"
    t.bigint "wage_subsidy_payment_schedule_template_instalment_id"
    t.boolean "reconciled", default: false
    t.boolean "refunded", default: false
    t.decimal "refunded_amount"
    t.bigint "bank_transaction_id"
    t.boolean "goods_received", default: false
    t.datetime "goods_received_confirmation_requested_at"
    t.integer "finance_status_id", default: 2, null: false
    t.string "payment_id"
    t.index ["approver_id"], name: "index_expenses_on_approver_id"
    t.index ["bank_transaction_id"], name: "index_expenses_on_bank_transaction_id"
    t.index ["expense_payment_type_id"], name: "index_expenses_on_expense_payment_type_id"
    t.index ["invoice_number"], name: "index_expenses_on_invoice_number"
    t.index ["invoice_number_updated_by_id"], name: "index_expenses_on_invoice_number_updated_by_id"
    t.index ["jobseeker_id"], name: "index_expenses_on_jobseeker_id"
    t.index ["pre_approver_id"], name: "index_expenses_on_pre_approver_id"
    t.index ["professional_service_activity_id"], name: "index_expenses_on_professional_service_activity_id"
    t.index ["second_approver_id"], name: "index_expenses_on_second_approver_id"
    t.index ["site_id"], name: "index_expenses_on_site_id"
    t.index ["supplier_purchase_order_id"], name: "index_expenses_on_supplier_purchase_order_id"
    t.index ["updated_by_id"], name: "index_expenses_on_updated_by_id"
    t.index ["voucher_id"], name: "index_expenses_on_voucher_id"
    t.index ["wage_subsidy_payment_schedule_id"], name: "index_expenses_on_wage_subsidy_payment_schedule_id"
  end

  create_table "exportling_exports", id: :serial, force: :cascade do |t|
    t.integer "owner_id"
    t.string "klass", null: false
    t.string "status", default: "created", null: false
    t.string "file_type", null: false
    t.string "output"
    t.text "params"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "name", default: "", null: false
    t.datetime "started_at"
    t.datetime "completed_at"
  end

  create_table "filter_bar_configurations", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.string "page", null: false
    t.text "columns", default: [], null: false, array: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["page"], name: "index_filter_bar_configurations_on_page"
    t.index ["user_id", "page"], name: "index_filter_bar_configurations_on_user_id_and_page", unique: true
    t.index ["user_id"], name: "index_filter_bar_configurations_on_user_id"
  end

  create_table "fortnight_wage_histories", force: :cascade do |t|
    t.bigint "fortnight_id"
    t.bigint "wage_history_id"
    t.decimal "gross_income"
    t.decimal "hours_worked", default: "0.0"
    t.index ["fortnight_id"], name: "index_fortnight_wage_histories_on_fortnight_id"
    t.index ["wage_history_id"], name: "index_fortnight_wage_histories_on_wage_history_id"
  end

  create_table "fortnights", force: :cascade do |t|
    t.string "tracking_method_type"
    t.bigint "tracking_method_id"
    t.bigint "placement_id"
    t.decimal "payslip_result", default: "0.0", null: false
    t.decimal "payslip_earnings", default: "0.0", null: false
    t.boolean "payslip", default: false, null: false
    t.boolean "apply_break", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "stage", default: [], array: true
    t.date "start_date"
    t.date "end_date"
    t.decimal "overridden_ess_result"
    t.index ["placement_id"], name: "index_fortnights_on_placement_id"
    t.index ["stage"], name: "index_fortnights_on_stage"
    t.index ["tracking_method_type", "tracking_method_id"], name: "index_fortnights_on_tracking_method_type_and_tracking_method_id"
  end

  create_table "goal_actions", force: :cascade do |t|
    t.string "name"
    t.integer "due_period"
    t.string "period_type"
    t.boolean "jobseeker_to_action"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "tags", default: [], array: true
  end

  create_table "goal_actions_goals", id: false, force: :cascade do |t|
    t.bigint "goal_action_id", null: false
    t.bigint "goal_id", null: false
  end

  create_table "goal_types", force: :cascade do |t|
    t.string "name", null: false
    t.boolean "default", default: false
    t.boolean "active", default: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_goal_types_on_deleted_at"
  end

  create_table "goals", force: :cascade do |t|
    t.string "code"
    t.bigint "goal_type_id", null: false
    t.string "name", null: false
    t.boolean "active"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_goals_on_deleted_at"
    t.index ["goal_type_id"], name: "index_goals_on_goal_type_id"
  end

  create_table "health_sessions", force: :cascade do |t|
    t.bigint "site_id"
    t.integer "created_by_id", null: false
    t.datetime "starts_at", null: false
    t.datetime "ends_at", null: false
    t.integer "capacity", default: 1
    t.string "status"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "available", default: 1
    t.bigint "repeat_id"
    t.index ["created_by_id"], name: "index_health_sessions_on_created_by_id"
    t.index ["repeat_id"], name: "index_health_sessions_on_repeat_id"
    t.index ["site_id"], name: "index_health_sessions_on_site_id"
  end

  create_table "health_sessions_programs", id: false, force: :cascade do |t|
    t.bigint "health_session_id"
    t.bigint "program_id"
    t.index ["health_session_id"], name: "index_health_sessions_programs_on_health_session_id"
    t.index ["program_id"], name: "index_health_sessions_programs_on_program_id"
  end

  create_table "imported_documents", id: :serial, force: :cascade do |t|
    t.string "file"
    t.integer "batch_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["batch_id"], name: "index_imported_documents_on_batch_id"
  end

  create_table "individual_development_schedule_templates", force: :cascade do |t|
    t.string "name", null: false
    t.boolean "active", default: true, null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["name"], name: "index_individual_development_schedule_templates_on_name", unique: true
  end

  create_table "internship_agreements", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "site_id", null: false
    t.string "ess_identifier", null: false
    t.string "referral_ess_identifier", null: false
    t.date "approval_date"
    t.date "end_date"
    t.string "end_reason"
    t.integer "hours_per_fortnight"
    t.string "result_code"
    t.date "result_date"
    t.date "start_date"
    t.string "status"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "referral_id"
    t.index ["jobseeker_id"], name: "index_internship_agreements_on_jobseeker_id"
    t.index ["referral_id"], name: "index_internship_agreements_on_referral_id"
    t.index ["site_id"], name: "index_internship_agreements_on_site_id"
  end

  create_table "intervention_detail_templates", id: :serial, force: :cascade do |t|
    t.string "name"
    t.text "content"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_intervention_detail_templates_on_deleted_at"
  end

  create_table "interviews", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id"
    t.integer "vacancy_id"
    t.datetime "scheduled_for", null: false
    t.text "comments", null: false
    t.string "result"
    t.text "result_comments"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "tags", default: [], array: true
    t.index ["jobseeker_id"], name: "index_interviews_on_jobseeker_id"
    t.index ["vacancy_id"], name: "index_interviews_on_vacancy_id"
  end

  create_table "job_categories", id: :serial, force: :cascade do |t|
    t.json "fetch_attributes"
    t.string "category"
    t.string "sub_category"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "job_end_reasons", id: :serial, force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_job_end_reasons_on_deleted_at"
  end

  create_table "job_search_outcomes", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "site_id", null: false
    t.integer "assessment_days_outstanding"
    t.string "assessment_outcome"
    t.string "assessment_reason_code"
    t.date "end_date"
    t.integer "number_required"
    t.integer "number_completed"
    t.date "start_date"
    t.date "submitted_on"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["jobseeker_id"], name: "index_job_search_outcomes_on_jobseeker_id"
    t.index ["site_id"], name: "index_job_search_outcomes_on_site_id"
  end

  create_table "jobseeker_action_plans", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.string "overarching_goal"
    t.string "status", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "approved_at"
    t.text "jobseeker_comments"
    t.string "previous_system_identifier"
    t.index ["jobseeker_id"], name: "index_jobseeker_action_plans_on_jobseeker_id"
  end

  create_table "jobseeker_goals", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "goal_id", null: false
    t.bigint "created_by_id"
    t.datetime "completed_at"
    t.string "status", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "rejection_reason"
    t.datetime "rejected_at"
    t.datetime "approved_at"
    t.index ["created_by_id"], name: "index_jobseeker_goals_on_created_by_id"
    t.index ["goal_id"], name: "index_jobseeker_goals_on_goal_id"
    t.index ["jobseeker_id"], name: "index_jobseeker_goals_on_jobseeker_id"
  end

  create_table "jobseeker_leads", force: :cascade do |t|
    t.string "first_name"
    t.string "last_name"
    t.string "address_line_1"
    t.string "address_line_2"
    t.string "address_suburb"
    t.string "address_state"
    t.integer "address_postcode", null: false
    t.date "date_of_birth"
    t.string "crn"
    t.string "contact_method"
    t.string "mobile_phone_number"
    t.string "email"
    t.string "office_phone_number"
    t.string "status"
    t.datetime "in_progress_at"
    t.bigint "lead_manager_id"
    t.bigint "referral_source_id"
    t.string "sub_source_type"
    t.bigint "sub_source_id"
    t.boolean "privacy_policy", default: false, null: false
    t.boolean "provider_transfer", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "reason_for_holding"
    t.string "reason_for_closing"
    t.datetime "on_hold_at"
    t.datetime "closed_at"
    t.bigint "lead_stage_id"
    t.bigint "lead_sub_stage_id"
    t.bigint "created_by_id"
    t.datetime "created_by"
    t.datetime "marketo_synced_at"
    t.string "marketo_lead_id"
    t.boolean "unsubscribed_from_bulk_emails", default: false
    t.boolean "unsubscribed_from_bulk_sms", default: false
    t.bigint "lead_substatus_id"
    t.boolean "potential_duplicate", default: false
    t.datetime "todo_at"
    t.index ["created_by_id"], name: "index_jobseeker_leads_on_created_by_id"
    t.index ["lead_manager_id"], name: "index_jobseeker_leads_on_lead_manager_id"
    t.index ["lead_stage_id"], name: "index_jobseeker_leads_on_lead_stage_id"
    t.index ["lead_sub_stage_id"], name: "index_jobseeker_leads_on_lead_sub_stage_id"
    t.index ["lead_substatus_id"], name: "index_jobseeker_leads_on_lead_substatus_id"
    t.index ["referral_source_id"], name: "index_jobseeker_leads_on_referral_source_id"
    t.index ["sub_source_type", "sub_source_id"], name: "index_jobseeker_leads_on_sub_source_type_and_sub_source_id"
  end

  create_table "jobseeker_leads_service_of_interests", id: false, force: :cascade do |t|
    t.bigint "jobseeker_lead_id", null: false
    t.bigint "service_of_interest_id", null: false
    t.index ["jobseeker_lead_id", "service_of_interest_id"], name: "index_jobseeker_lead_id_service_of_interest_id"
  end

  create_table "jobseeker_portal_contact_us_query_types", id: :serial, force: :cascade do |t|
    t.string "query_type", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_jobseeker_portal_contact_us_query_types_on_deleted_at"
  end

  create_table "jobseeker_portal_links", id: :serial, force: :cascade do |t|
    t.string "href"
    t.string "title"
    t.string "description"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "logo"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_jobseeker_portal_links_on_deleted_at"
  end

  create_table "jobseeker_portal_logs", id: :serial, force: :cascade do |t|
    t.datetime "last_login_at", null: false
    t.integer "user_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["user_id"], name: "index_jobseeker_portal_logs_on_user_id"
  end

  create_table "jobseeker_portal_privacy_document_consents", id: :serial, force: :cascade do |t|
    t.integer "user_id"
    t.integer "privacy_document_id"
    t.string "decision"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "agreed_by_id"
    t.datetime "agreed_at"
    t.string "agreed_from_ip"
    t.integer "privacy_document_file_id"
    t.bigint "archived_by_id"
    t.inet "archived_from_ip"
    t.datetime "archived_at"
    t.index ["agreed_by_id"], name: "portal_privacy_document_consents_agreed_by"
    t.index ["archived_by_id"], name: "index_jobseeker_portal_privacy_document_consents_on_archived_by"
    t.index ["decision"], name: "index_jobseeker_portal_privacy_document_consents_on_decision"
    t.index ["privacy_document_file_id"], name: "index_portal_privacy_document_consents_on_file_id"
    t.index ["privacy_document_id"], name: "index_portal_privacy_document_consents_on_document_id"
    t.index ["user_id"], name: "index_portal_privacy_document_consents_on_user_id"
  end

  create_table "jobseeker_portal_privacy_document_files", id: :serial, force: :cascade do |t|
    t.integer "privacy_document_id"
    t.string "file", limit: 512, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "av_status", default: "unknown", null: false
    t.datetime "av_timestamp"
    t.string "av_signature"
    t.index ["privacy_document_id"], name: "index_portal_privacy_document_files_on_document_id"
  end

  create_table "jobseeker_portal_privacy_documents", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.text "description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "upper_description"
    t.integer "order_number"
    t.string "mandatory_state", default: "mandatory", null: false
    t.boolean "jobactive", default: true
    t.boolean "des", default: false
  end

  create_table "jobseeker_portal_users", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id", null: false
    t.boolean "active", default: false, null: false
    t.string "first_name"
    t.string "last_name"
    t.string "preferred_name"
    t.string "mobile_phone_number"
    t.boolean "currently_employed", default: false, null: false
    t.string "consultant_first_name"
    t.string "consultant_last_name"
    t.string "email"
    t.string "crypted_password"
    t.string "password_salt"
    t.string "persistence_token"
    t.string "perishable_token"
    t.integer "login_count", default: 0, null: false
    t.integer "failed_login_count", default: 0, null: false
    t.datetime "last_request_at"
    t.datetime "current_login_at"
    t.datetime "last_login_at"
    t.string "current_login_ip"
    t.string "last_login_ip"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.uuid "uuid"
    t.datetime "terms_and_conditions_accepted_at"
    t.datetime "password_changed_at"
    t.datetime "deleted_at"
    t.datetime "locked_at"
    t.integer "locked_by_id"
    t.string "unique_session_id", limit: 32
    t.index ["deleted_at"], name: "index_jobseeker_portal_users_on_deleted_at"
    t.index ["email"], name: "index_jobseeker_portal_users_on_email", unique: true
    t.index ["jobseeker_id"], name: "index_jobseeker_portal_users_on_jobseeker_id", unique: true, where: "(deleted_at IS NULL)"
    t.index ["locked_by_id"], name: "index_jobseeker_portal_users_on_locked_by_id"
    t.index ["mobile_phone_number"], name: "index_jobseeker_portal_users_on_mobile_phone_number"
    t.index ["persistence_token"], name: "index_jobseeker_portal_users_on_persistence_token"
    t.index ["uuid"], name: "index_jobseeker_portal_users_on_uuid", unique: true
  end

  create_table "jobseeker_suggestion_rejection_reasons", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_jobseeker_suggestion_rejection_reasons_on_deleted_at"
    t.index ["name"], name: "index_jobseeker_suggestion_rejection_reasons_on_name", unique: true
  end

  create_table "jobseeker_suggestions", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id"
    t.integer "vacancy_id"
    t.integer "suggested_by_id"
    t.text "comments"
    t.string "result"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "result_comments"
    t.integer "rejection_reason_id"
    t.datetime "marketo_synced_at"
    t.string "engaged"
    t.index ["jobseeker_id"], name: "index_jobseeker_suggestions_on_jobseeker_id"
    t.index ["rejection_reason_id"], name: "index_jobseeker_suggestions_on_rejection_reason_id"
    t.index ["suggested_by_id"], name: "index_jobseeker_suggestions_on_suggested_by_id"
    t.index ["vacancy_id"], name: "index_jobseeker_suggestions_on_vacancy_id"
  end

  create_table "jobseekers", id: :serial, force: :cascade do |t|
    t.integer "site_id", null: false
    t.string "ess_identifier"
    t.string "title"
    t.string "first_name"
    t.string "middle_names"
    t.string "last_name"
    t.string "email"
    t.string "gender"
    t.date "date_of_birth"
    t.string "nationality"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "country_of_birth"
    t.string "residential_address_lines"
    t.string "residential_address_suburb"
    t.string "residential_address_state"
    t.string "residential_address_postcode"
    t.string "postal_address_lines"
    t.string "postal_address_suburb"
    t.string "postal_address_state"
    t.string "postal_address_postcode"
    t.date "ess_created_on"
    t.date "ess_updated_on"
    t.string "mobile_phone"
    t.string "community_name"
    t.string "country_of_birth_code"
    t.string "interpreter_language"
    t.string "interpreter_language_code"
    t.string "education"
    t.string "education_code"
    t.string "home_phone"
    t.string "home_fax"
    t.string "centrelink_reference_number"
    t.date "resume_completed_on"
    t.date "resume_last_updated_on"
    t.date "employment_pathway_plan_started_on"
    t.date "jsci_last_updated_on"
    t.boolean "principle_parent_carer"
    t.boolean "sensitive", default: false, null: false
    t.string "licence_type"
    t.string "licence_type_code"
    t.integer "job_ready", default: 0, null: false
    t.json "categories", default: {}, null: false
    t.string "hub_invitation_url"
    t.boolean "hub_invitation_accepted", default: false
    t.float "latitude"
    t.float "longitude"
    t.integer "search_distance", default: 25
    t.date "discover_u_started_at"
    t.date "discover_u_stopped_at"
    t.date "last_provider_rating_date"
    t.datetime "deleted_at"
    t.text "comments"
    t.string "referring_organisation"
    t.text "why_choose"
    t.integer "referral_source_id"
    t.integer "registered_by_id"
    t.integer "second_user_id"
    t.date "job_plan_last_update_date"
    t.date "archive_date"
    t.text "tags", default: [], array: true
    t.text "previous_system_identifiers", default: [], array: true
    t.boolean "direct_registration", default: false, null: false
    t.integer "why_choose_id"
    t.text "transitioning_programmes", default: [], array: true
    t.text "private_comment"
    t.string "programme"
    t.string "job_match_headline"
    t.text "job_match_summary"
    t.integer "referring_company_id"
    t.text "action_plan_goal"
    t.boolean "unsubscribed_from_bulk_emails", default: false
    t.bigint "jobseeker_lead_id"
    t.string "contact_method"
    t.string "sub_source_type"
    t.bigint "sub_source_id"
    t.date "overridden_period_of_service_started_on"
    t.text "period_of_service_override_reason"
    t.datetime "period_of_service_overridden_at"
    t.bigint "period_of_service_overridden_by_id"
    t.string "preferred_name"
    t.datetime "marketo_synced_at"
    t.string "marketo_lead_id"
    t.boolean "unsubscribed_from_bulk_sms", default: false
    t.string "pronoun"
    t.bigint "stream_participant_id"
    t.boolean "confidential", default: false, null: false
    t.index ["deleted_at"], name: "index_jobseekers_on_deleted_at"
    t.index ["ess_identifier"], name: "index_jobseekers_on_ess_identifier"
    t.index ["jobseeker_lead_id"], name: "index_jobseekers_on_jobseeker_lead_id"
    t.index ["period_of_service_overridden_by_id"], name: "index_jobseekers_on_period_of_service_overridden_by_id"
    t.index ["referring_company_id"], name: "index_jobseekers_on_referring_company_id"
    t.index ["site_id"], name: "index_jobseekers_on_site_id"
    t.index ["stream_participant_id"], name: "index_jobseekers_on_stream_participant_id"
    t.index ["sub_source_type", "sub_source_id"], name: "index_jobseekers_on_sub_source_type_and_sub_source_id"
  end

  create_table "kanban_colour_types", force: :cascade do |t|
    t.string "status"
    t.string "colour"
    t.integer "from"
    t.integer "to"
    t.string "kind"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["kind"], name: "index_kanban_colour_types_on_kind"
  end

  create_table "kpis", force: :cascade do |t|
    t.text "title", null: false
    t.string "target", null: false
    t.boolean "active", default: true, null: false
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["deleted_at"], name: "index_kpis_on_deleted_at"
  end

  create_table "kpis_objectives", id: false, force: :cascade do |t|
    t.bigint "objective_id", null: false
    t.bigint "kpi_id", null: false
    t.index ["objective_id", "kpi_id"], name: "index_kpis_objectives_on_objective_id_and_kpi_id", unique: true
  end

  create_table "lead_stages", force: :cascade do |t|
    t.string "name", null: false
    t.boolean "active", default: true, null: false
    t.text "lead_stage_types", default: [], array: true
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "lead_sub_sources", force: :cascade do |t|
    t.string "name", null: false
    t.bigint "referral_source_id"
    t.boolean "active", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["referral_source_id"], name: "index_lead_sub_sources_on_referral_source_id"
  end

  create_table "lead_sub_stages", force: :cascade do |t|
    t.string "name", null: false
    t.bigint "lead_stage_id"
    t.boolean "active", default: true, null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["lead_stage_id"], name: "index_lead_sub_stages_on_lead_stage_id"
  end

  create_table "lead_substatuses", force: :cascade do |t|
    t.string "name"
    t.string "parent_status", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["parent_status"], name: "index_lead_substatuses_on_parent_status"
  end

  create_table "letters_letter_heads", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "file", null: false
    t.boolean "enabled", default: true
    t.datetime "deleted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "letters_letter_templates", id: :serial, force: :cascade do |t|
    t.integer "letter_head_id"
    t.string "name", null: false
    t.text "content", null: false
    t.float "margin_top", default: 0.0, null: false
    t.float "margin_right", default: 0.0, null: false
    t.float "margin_bottom", default: 0.0, null: false
    t.float "margin_left", default: 0.0, null: false
    t.string "orientation", null: false
    t.string "page_size", null: false
    t.datetime "deleted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "categories", default: [], array: true
  end

  create_table "letters_letters", id: :serial, force: :cascade do |t|
    t.string "letterable_type", null: false
    t.integer "letterable_id", null: false
    t.integer "created_by_id", null: false
    t.integer "letter_head_id"
    t.string "name", null: false
    t.text "content", null: false
    t.float "margin_top", default: 0.0, null: false
    t.float "margin_right", default: 0.0, null: false
    t.float "margin_bottom", default: 0.0, null: false
    t.float "margin_left", default: 0.0, null: false
    t.string "orientation", null: false
    t.string "page_size", null: false
    t.datetime "deleted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "letter_template_id"
    t.index ["created_by_id"], name: "index_letters_letters_on_created_by_id"
    t.index ["letterable_type", "letterable_id"], name: "index_letters_letters_on_letterable_type_and_letterable_id"
  end

  create_table "licence_requirements", id: :serial, force: :cascade do |t|
    t.string "requirement", null: false
    t.datetime "deleted_at"
    t.bigint "employment_property_option_id"
    t.index ["employment_property_option_id"], name: "index_licence_requirements_on_employment_property_option_id"
    t.index ["requirement"], name: "index_licence_requirements_on_requirement", unique: true
  end

  create_table "line_items", id: :serial, force: :cascade do |t|
    t.string "description", null: false
    t.decimal "quantity", null: false
    t.decimal "price", null: false
    t.json "properties", default: {}, null: false
    t.integer "expense_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "gst_applied", default: false
    t.string "previous_system_identifier"
    t.index ["expense_id"], name: "index_line_items_on_expense_id"
  end

  create_table "locations", id: :serial, force: :cascade do |t|
    t.string "address_line_1", null: false
    t.string "address_line_2"
    t.string "suburb", null: false
    t.string "state", null: false
    t.string "postcode", null: false
    t.integer "resource_id"
    t.string "resource_type"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["address_line_1", "address_line_2", "suburb", "postcode"], name: "locations_address_suburb_postcode"
  end

  create_table "locked_stages", force: :cascade do |t|
    t.bigint "placement_id"
    t.string "placement_outcome_description"
    t.string "stage", null: false
    t.string "tracking_method"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "basic_rate_lower"
    t.integer "basic_rate_mid"
    t.integer "basic_rate_upper"
    t.string "basic_rate_name"
    t.integer "basic_rate_base"
    t.index ["placement_id"], name: "index_locked_stages_on_placement_id"
    t.index ["stage"], name: "index_locked_stages_on_stage"
  end

  create_table "marketo_access_tokens", force: :cascade do |t|
    t.string "access_token"
    t.string "expires_at"
    t.string "token_type"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "marketo_field_maps", force: :cascade do |t|
    t.string "job_ready_field", null: false
    t.string "marketo_field", null: false
    t.string "entity_type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "meeting_agenda_templates", force: :cascade do |t|
    t.string "name", null: false
    t.text "agenda_details", null: false
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["deleted_at"], name: "index_meeting_agenda_templates_on_deleted_at"
  end

  create_table "meetings", force: :cascade do |t|
    t.bigint "company_id"
    t.bigint "created_by_id"
    t.text "title", null: false
    t.text "location"
    t.datetime "starts_at", null: false
    t.datetime "ends_at", null: false
    t.text "agenda_details"
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "status", default: "incomplete"
    t.bigint "meeting_agenda_template_id"
    t.index ["company_id"], name: "index_meetings_on_company_id"
    t.index ["created_by_id"], name: "index_meetings_on_created_by_id"
    t.index ["deleted_at"], name: "index_meetings_on_deleted_at"
    t.index ["meeting_agenda_template_id"], name: "index_meetings_on_meeting_agenda_template_id"
  end

  create_table "meetings_users", id: false, force: :cascade do |t|
    t.bigint "user_id", null: false
    t.bigint "meeting_id", null: false
    t.index ["meeting_id", "user_id"], name: "index_meetings_users_on_meeting_id_and_user_id", unique: true
  end

  create_table "note_templates", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.text "content"
    t.datetime "deleted_at"
    t.string "template_type", default: "basic", null: false
    t.json "form_fields", default: []
    t.text "categories", default: [], array: true
    t.index ["deleted_at"], name: "index_note_templates_on_deleted_at"
  end

  create_table "notes", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.string "noteable_type", null: false
    t.integer "noteable_id", null: false
    t.text "comments", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "tags", default: [], array: true
    t.datetime "occurred_at"
    t.integer "version", default: 1, null: false
    t.integer "updated_by_id"
    t.datetime "deleted_at"
    t.string "deletion_reason"
    t.date "deprecated_occurred_on"
    t.boolean "private_note", default: false
    t.integer "time_spent"
    t.integer "travel_time"
    t.integer "attachment_id"
    t.date "follow_up_date"
    t.string "previous_system_identifier"
    t.integer "reminder_id"
    t.string "template_type", default: "basic", null: false
    t.boolean "confidential", default: false, null: false
    t.index ["attachment_id"], name: "index_notes_on_attachment_id"
    t.index ["deleted_at"], name: "index_notes_on_deleted_at"
    t.index ["deprecated_occurred_on"], name: "index_notes_on_deprecated_occurred_on"
    t.index ["noteable_id", "noteable_type"], name: "index_notes_on_noteable_id_and_noteable_type"
    t.index ["noteable_id"], name: "index_notes_on_noteable_id"
    t.index ["noteable_type"], name: "index_notes_on_noteable_type"
    t.index ["occurred_at"], name: "index_notes_on_occurred_at"
    t.index ["previous_system_identifier"], name: "index_notes_on_previous_system_identifier"
    t.index ["reminder_id"], name: "index_notes_on_reminder_id"
    t.index ["tags"], name: "index_notes_on_tags", using: :gin
    t.index ["updated_at"], name: "index_notes_on_updated_at", order: :desc
    t.index ["updated_by_id"], name: "index_notes_on_updated_by_id"
    t.index ["user_id"], name: "index_notes_on_user_id"
  end

  create_table "objectives", force: :cascade do |t|
    t.string "name", null: false
    t.boolean "active", default: true, null: false
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["deleted_at"], name: "index_objectives_on_deleted_at"
  end

  create_table "occupations", force: :cascade do |t|
    t.string "code", null: false
    t.string "title", null: false
    t.text "description"
    t.boolean "jedi", default: true, null: false
    t.boolean "pre_jedi", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "old_passwords", force: :cascade do |t|
    t.string "password_archivable_type", null: false
    t.integer "password_archivable_id", null: false
    t.string "encrypted_password", null: false
    t.string "password_salt"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["password_archivable_type", "password_archivable_id"], name: "index_password_archivable"
  end

  create_table "patches_patches", id: :serial, force: :cascade do |t|
    t.string "path", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["path"], name: "index_patches_patches_on_path", unique: true
  end

  create_table "placements", id: :serial, force: :cascade do |t|
    t.integer "referral_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "managed_by_id"
    t.string "outcome_description"
    t.boolean "upgraded"
    t.date "upgraded_on"
    t.date "started_on"
    t.date "job_ended_on"
    t.integer "weeks_unemployed"
    t.string "type"
    t.string "declaration_result"
    t.string "evidence_status"
    t.date "centrelink_outcome_started_on"
    t.integer "site_id"
    t.string "stream_type"
    t.string "phase_type"
    t.string "placement_type"
    t.boolean "indigenous"
    t.string "wage_subsidy_type"
    t.boolean "ws_vacancy_eligibility"
    t.string "ws_agreement_id"
    t.string "bdf_resource_id"
    t.string "risk_assessment_score"
    t.string "outcome_type", default: "Full"
    t.string "outcome_not_pay_reason"
    t.datetime "deleted_at"
    t.date "twenty_six_week_outcome_started_on"
    t.date "permissible_break_one"
    t.date "permissible_break_two"
    t.date "ess_calculated_outcome_started_on"
    t.date "overridden_outcome_started_on"
    t.datetime "outcome_start_date_overridden_at"
    t.integer "outcome_start_date_overridden_by_id"
    t.date "next_pps_due_date"
    t.string "pps_frequency"
    t.text "pps_comment"
    t.integer "pps_updated_by_id"
    t.datetime "pps_updated_at"
    t.integer "pps_managed_by_id"
    t.string "activity_id"
    t.string "activity_type"
    t.string "activity_sub_type"
    t.date "course_start_date"
    t.date "course_end_date"
    t.string "institution_name"
    t.string "institution_contact"
    t.string "institution_phone_number"
    t.integer "jobseeker_id"
    t.date "claim_due_date"
    t.boolean "tracking", default: false
    t.datetime "job_ended_on_at"
    t.integer "job_ended_on_by_id"
    t.string "ws_agreement_type"
    t.string "ws_agreement_status"
    t.integer "created_by_id"
    t.integer "programme_id"
    t.string "programme_type"
    t.text "comment"
    t.string "previous_system_identifier"
    t.integer "job_end_reason_id"
    t.string "tracking_behaviour", default: "default", null: false
    t.bigint "job_support_coach_id"
    t.bigint "employer_engagement_consultant_id"
    t.decimal "completion", precision: 5, scale: 2
    t.datetime "completion_updated_at"
    t.bigint "completion_updated_by_id"
    t.decimal "completion_expected", precision: 5, scale: 2
    t.datetime "completion_expected_updated_at"
    t.bigint "completion_expected_updated_by_id"
    t.string "programme", default: "jobActive"
    t.jsonb "additional_ess_data", default: {}, null: false
    t.string "os_frequency"
    t.date "next_os_due_date"
    t.text "tags", default: [], array: true
    t.integer "activity_sequence_number"
    t.integer "basic_rate_lower"
    t.integer "basic_rate_mid"
    t.integer "basic_rate_upper"
    t.string "basic_rate_name"
    t.integer "basic_rate_base"
    t.date "dhs_cycle_date"
    t.index ["additional_ess_data"], name: "index_placements_on_additional_ess_data", using: :gin
    t.index ["centrelink_outcome_started_on"], name: "index_placements_on_centrelink_outcome_started_on"
    t.index ["completion_expected_updated_by_id"], name: "index_placements_on_completion_expected_updated_by_id"
    t.index ["completion_updated_by_id"], name: "index_placements_on_completion_updated_by_id"
    t.index ["created_by_id"], name: "index_placements_on_created_by_id"
    t.index ["deleted_at"], name: "index_placements_on_deleted_at"
    t.index ["employer_engagement_consultant_id"], name: "index_placements_on_employer_engagement_consultant_id"
    t.index ["job_end_reason_id"], name: "index_placements_on_job_end_reason_id"
    t.index ["job_support_coach_id"], name: "index_placements_on_job_support_coach_id"
    t.index ["jobseeker_id"], name: "index_placements_on_jobseeker_id"
    t.index ["managed_by_id"], name: "index_placements_on_managed_by_id"
    t.index ["next_os_due_date"], name: "index_placements_on_next_os_due_date"
    t.index ["next_pps_due_date"], name: "index_placements_on_next_pps_due_date"
    t.index ["outcome_not_pay_reason"], name: "index_placements_on_outcome_not_pay_reason"
    t.index ["outcome_start_date_overridden_by_id"], name: "index_placements_on_outcome_start_date_overridden_by_id"
    t.index ["outcome_type"], name: "index_placements_on_outcome_type"
    t.index ["placement_type", "jobseeker_id", "activity_id", "activity_sequence_number"], name: "unique_placement_constraint_referral_id_null", unique: true, where: "((deleted_at IS NULL) AND (referral_id IS NULL))"
    t.index ["placement_type", "jobseeker_id", "referral_id"], name: "unique_placement_constraint_referral_id_not_null", unique: true, where: "((deleted_at IS NULL) AND (referral_id IS NOT NULL))"
    t.index ["pps_managed_by_id"], name: "index_placements_on_pps_managed_by_id"
    t.index ["pps_updated_by_id"], name: "index_placements_on_pps_updated_by_id"
    t.index ["programme_id"], name: "index_placements_on_programme_id"
    t.index ["programme_type"], name: "index_placements_on_programme_type"
    t.index ["referral_id"], name: "index_placements_on_referral_id"
    t.index ["site_id"], name: "index_placements_on_site_id"
  end

  create_table "police_checks", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id"
    t.integer "requested_by_id"
    t.integer "ncc_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "result_received_at"
    t.string "result_type"
    t.string "reason"
    t.index ["jobseeker_id"], name: "index_police_checks_on_jobseeker_id"
    t.index ["ncc_id"], name: "index_police_checks_on_ncc_id"
    t.index ["requested_by_id"], name: "index_police_checks_on_requested_by_id"
  end

  create_table "pps_records", id: :serial, force: :cascade do |t|
    t.integer "schedule_id_old"
    t.integer "number_old"
    t.date "due_on"
    t.datetime "completed_at"
    t.integer "updated_by_id", null: false
    t.integer "managed_by_id", null: false
    t.string "form_id"
    t.string "form_submission_id"
    t.string "form_submission_sequence"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "type"
    t.text "comment"
    t.string "result"
    t.integer "placement_id"
    t.date "next_pps_due_date"
    t.date "contact_date"
    t.datetime "deleted_at"
    t.string "stage"
    t.string "form_submission_reference"
    t.string "phase_type"
    t.integer "time_spent"
    t.string "previous_system_identifier"
    t.string "deletion_reason"
    t.index ["deleted_at"], name: "index_pps_records_on_deleted_at"
    t.index ["placement_id"], name: "index_pps_records_on_placement_id"
    t.index ["result"], name: "index_pps_records_on_result"
    t.index ["type"], name: "index_pps_records_on_type"
  end

  create_table "professional_service_activities", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id", null: false
    t.integer "intervention_provided_by_id", null: false
    t.date "date_of_service", null: false
    t.text "identified_barriers"
    t.text "details_of_intervention", null: false
    t.integer "time_spent", null: false
    t.integer "travel_time"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "status"
    t.integer "actioned_by_id"
    t.datetime "actioned_at"
    t.text "reject_reason"
    t.integer "declaration_accepted_by_id"
    t.string "sti_type", null: false
    t.json "sti_store"
    t.text "description_of_services"
    t.integer "updated_by_id"
    t.integer "notified_user_id"
    t.integer "template_id"
    t.bigint "program_referral_id"
    t.json "expense_type_properties", default: {}
    t.string "previous_system_identifier"
    t.bigint "appointment_id"
    t.index ["appointment_id"], name: "index_professional_service_activities_on_appointment_id"
    t.index ["intervention_provided_by_id"], name: "index_indigenous_mentoring_activities_on_user_id"
    t.index ["jobseeker_id"], name: "index_professional_service_activities_on_jobseeker_id"
    t.index ["program_referral_id"], name: "index_professional_service_activities_on_program_referral_id"
  end

  create_table "professional_service_staff", id: :serial, force: :cascade do |t|
    t.integer "user_id"
    t.boolean "active", default: true, null: false
    t.string "title", null: false
    t.string "first_name", null: false
    t.string "last_name", null: false
    t.string "ahpra_number"
    t.string "qualification_type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "authority"
    t.string "qualification_details"
    t.index ["user_id"], name: "index_professional_service_staff_on_user_id"
  end

  create_table "professional_service_staff_programs", id: false, force: :cascade do |t|
    t.bigint "professional_service_staff_id", null: false
    t.bigint "program_id", null: false
    t.index ["professional_service_staff_id", "program_id"], name: "index_professional_service_staff_id_program_id"
  end

  create_table "program_referral_justification_templates", force: :cascade do |t|
    t.string "name", null: false
    t.text "content", null: false
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "program_referral_types", force: :cascade do |t|
    t.bigint "custom_expense_type_id"
    t.string "name", null: false
    t.string "category", null: false
    t.string "programme", null: false
    t.string "stream_type"
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "expense_payment_type_id"
    t.boolean "expense_gst_applied", default: false
    t.boolean "no_expense"
    t.boolean "enable_custom_cost", default: false, null: false
    t.index ["custom_expense_type_id"], name: "index_program_referral_types_on_custom_expense_type_id"
    t.index ["expense_payment_type_id"], name: "index_program_referral_types_on_expense_payment_type_id"
  end

  create_table "program_referrals", force: :cascade do |t|
    t.bigint "program_id", null: false
    t.bigint "jobseeker_id", null: false
    t.string "status", default: "draft", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "rejected_by_id"
    t.text "rejection_reason"
    t.datetime "rejected_at"
    t.bigint "approved_by_id"
    t.datetime "approved_at"
    t.bigint "justification_template_id"
    t.bigint "created_by_id"
    t.bigint "professional_service_staff_id"
    t.bigint "cancelled_by_id"
    t.string "cancellation_reason"
    t.datetime "cancelled_at"
    t.text "comments"
    t.string "previous_system_identifier"
    t.string "activity_id"
    t.index ["approved_by_id"], name: "index_program_referrals_on_approved_by_id"
    t.index ["cancelled_by_id"], name: "index_program_referrals_on_cancelled_by_id"
    t.index ["created_by_id"], name: "index_program_referrals_on_created_by_id"
    t.index ["jobseeker_id"], name: "index_program_referrals_on_jobseeker_id"
    t.index ["justification_template_id"], name: "index_program_referrals_on_justification_template_id"
    t.index ["professional_service_staff_id"], name: "index_program_referrals_on_professional_service_staff_id"
    t.index ["program_id"], name: "index_program_referrals_on_program_id"
    t.index ["rejected_by_id"], name: "index_program_referrals_on_rejected_by_id"
  end

  create_table "programmes", id: :serial, force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["name"], name: "index_programmes_on_name", unique: true
  end

  create_table "programmes_users", id: false, force: :cascade do |t|
    t.integer "programme_id", null: false
    t.integer "user_id", null: false
    t.index ["programme_id", "user_id"], name: "index_programmes_users_on_programme_id_and_user_id"
    t.index ["user_id", "programme_id"], name: "index_programmes_users_on_user_id_and_programme_id"
  end

  create_table "programs", force: :cascade do |t|
    t.string "activity_id"
    t.bigint "program_referral_type_id", null: false
    t.string "program_name", null: false
    t.bigint "site_id"
    t.datetime "started_at"
    t.datetime "ended_at"
    t.text "details", null: false
    t.uuid "smart_form_id"
    t.json "costs", default: {}, null: false
    t.integer "number_of_sessions_cap"
    t.integer "number_of_minutes_cap"
    t.bigint "company_id"
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "number_of_referrals_cap_per_jobseeker"
    t.string "previous_system_identifier"
    t.index ["company_id"], name: "index_programs_on_company_id"
    t.index ["program_referral_type_id"], name: "index_programs_on_program_referral_type_id"
    t.index ["site_id"], name: "index_programs_on_site_id"
    t.index ["smart_form_id"], name: "index_programs_on_smart_form_id"
  end

  create_table "provider_ratings", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id", null: false
    t.integer "value"
    t.text "comments"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["jobseeker_id"], name: "index_provider_ratings_on_jobseeker_id"
  end

  create_table "provider_tag_categories", force: :cascade do |t|
    t.string "category_code", null: false
    t.string "category_desc", null: false
  end

  create_table "provider_tag_descriptions", force: :cascade do |t|
    t.string "tag_code", null: false
    t.string "tag_desc", null: false
  end

  create_table "provider_tags", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "provider_tag_description_id", null: false
    t.bigint "provider_tag_category_id", null: false
    t.string "ess_identifier", null: false
    t.date "start_date"
    t.date "end_date"
    t.integer "updated_by_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["jobseeker_id"], name: "index_provider_tags_on_jobseeker_id"
    t.index ["provider_tag_category_id"], name: "index_provider_tags_on_provider_tag_category_id"
    t.index ["provider_tag_description_id"], name: "index_provider_tags_on_provider_tag_description_id"
  end

  create_table "purchase_orders", id: :serial, force: :cascade do |t|
    t.integer "number_part", null: false
    t.string "prefix", default: "PO", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["number_part", "prefix"], name: "index_purchase_orders_on_number_part_and_prefix", unique: true
  end

  create_table "queries", force: :cascade do |t|
    t.bigint "created_by_id"
    t.integer "query_type_id"
    t.string "state"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "note_template_id"
    t.text "comments"
    t.bigint "assigned_to_id"
    t.datetime "assigned_at"
    t.date "follow_up_date"
    t.datetime "state_updated_at"
    t.date "due_date"
    t.text "reasons", default: [], array: true
    t.bigint "note_id"
    t.string "queryable_type"
    t.bigint "queryable_id"
    t.datetime "closed_at"
    t.index ["assigned_to_id"], name: "index_queries_on_assigned_to_id"
    t.index ["created_by_id"], name: "index_queries_on_created_by_id"
    t.index ["note_id"], name: "index_queries_on_note_id"
    t.index ["note_template_id"], name: "index_queries_on_note_template_id"
    t.index ["queryable_type", "queryable_id"], name: "index_queries_on_queryable_type_and_queryable_id"
  end

  create_table "query_reasons", force: :cascade do |t|
    t.string "name"
    t.text "types", default: [], array: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_query_reasons_on_deleted_at"
  end

  create_table "query_types", force: :cascade do |t|
    t.string "name", null: false
    t.string "priority", null: false
    t.boolean "active", default: true
    t.bigint "default_note_template_id"
    t.text "note_templates", default: [], array: true
    t.text "categories", default: [], array: true
    t.index ["default_note_template_id"], name: "index_query_types_on_default_note_template_id"
  end

  create_table "query_versions", force: :cascade do |t|
    t.string "item_type", null: false
    t.bigint "item_id", null: false
    t.string "event", null: false
    t.string "whodunnit"
    t.json "object"
    t.json "object_changes"
    t.bigint "note_id"
    t.datetime "created_at"
    t.index ["item_type", "item_id"], name: "index_query_versions_on_item_type_and_item_id"
  end

  create_table "quest_engine_pdf_templates", force: :cascade do |t|
    t.string "name", null: false
    t.string "file", null: false
    t.datetime "deleted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "form_fillable", default: false
  end

  create_table "quest_fields", id: :serial, force: :cascade do |t|
    t.integer "section_id", null: false
    t.boolean "allows_multiple_responses"
    t.boolean "required", default: false
    t.string "label", null: false
    t.integer "element", null: false
    t.string "default", default: "", null: false
    t.integer "sort", null: false
    t.hstore "preferences", default: {}, null: false
    t.text "help_text", default: "", null: false
    t.boolean "allow_comments", default: true
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string "name", default: "", null: false
    t.string "merge_field"
    t.integer "previous_question_id"
    t.string "previous_question_value"
    t.boolean "locked_merge_value", default: false, null: false
    t.jsonb "choices", default: {}, null: false
    t.jsonb "scores", default: {}, null: false
    t.datetime "deleted_at"
    t.boolean "horizontal_radio_buttons"
    t.index ["deleted_at"], name: "index_quest_fields_on_deleted_at"
  end

  create_table "quest_fields_smart_forms", id: false, force: :cascade do |t|
    t.bigint "quest_field_id", null: false
    t.uuid "smart_form_id", null: false
    t.index ["quest_field_id"], name: "index_quest_fields_smart_forms_on_quest_field_id"
    t.index ["smart_form_id"], name: "index_quest_fields_smart_forms_on_smart_form_id"
  end

  create_table "quest_form_versions", id: :serial, force: :cascade do |t|
    t.uuid "form_id", null: false
    t.uuid "versioned_form_id", null: false
    t.datetime "versioned_at", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["form_id"], name: "index_quest_form_versions_on_form_id"
    t.index ["versioned_at"], name: "index_quest_form_versions_on_versioned_at"
  end

  create_table "quest_forms", id: :uuid, default: -> { "uuid_generate_v4()" }, force: :cascade do |t|
    t.string "name"
    t.text "description"
    t.integer "template_id"
    t.boolean "published", default: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "deleted_at"
    t.text "help_text"
    t.text "tags", array: true
    t.string "merge_fields_context"
    t.string "type", null: false
    t.boolean "save_as_draft", default: false
    t.index ["deleted_at"], name: "index_quest_forms_on_deleted_at"
  end

  create_table "quest_forms_smart_forms", id: false, force: :cascade do |t|
    t.uuid "quest_form_id", null: false
    t.uuid "smart_form_id", null: false
    t.index ["quest_form_id", "smart_form_id"], name: "index_quest_forms_smart_forms_on_both_ids"
  end

  create_table "quest_images", id: :serial, force: :cascade do |t|
    t.string "title", default: "", null: false
    t.string "file", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "quest_public_form_submission_tokens", id: :uuid, default: -> { "uuid_generate_v4()" }, force: :cascade do |t|
    t.datetime "submitted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.uuid "quest_submission_id", null: false
    t.index ["quest_submission_id"], name: "index_public_form_submission_tokens_on_quest_submission_id"
  end

  create_table "quest_sections", id: :serial, force: :cascade do |t|
    t.uuid "form_id", null: false
    t.string "name", null: false
    t.integer "sort", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "position"
    t.text "description"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_quest_sections_on_deleted_at"
  end

  create_table "quest_submission_meta", id: :serial, force: :cascade do |t|
    t.uuid "submission_id", null: false
    t.jsonb "data"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["submission_id"], name: "index_quest_submission_meta_on_submission_id"
  end

  create_table "quest_submission_view_tokens", id: :uuid, default: -> { "uuid_generate_v4()" }, force: :cascade do |t|
    t.uuid "quest_submission_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "quest_submissions", id: :uuid, default: -> { "uuid_generate_v4()" }, force: :cascade do |t|
    t.uuid "form_id", null: false
    t.integer "submittable_id"
    t.string "submittable_type"
    t.json "values"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "user_id"
    t.string "reference", default: ""
    t.string "user_agent", default: "", null: false
    t.inet "ip_address"
    t.string "referrer", default: "", null: false
    t.string "client_sequence"
    t.decimal "score", default: "0.0"
    t.datetime "completed_at"
    t.datetime "deleted_at"
    t.datetime "locked_at"
    t.string "locked_notice"
    t.uuid "versioned_form_id"
    t.index ["created_at"], name: "index_quest_submissions_on_created_at"
    t.index ["deleted_at"], name: "index_quest_submissions_on_deleted_at"
    t.index ["form_id", "reference"], name: "index_quest_submissions_on_form_id_and_reference"
    t.index ["reference"], name: "index_quest_submissions_on_reference"
    t.index ["user_id"], name: "index_quest_submissions_on_user_id"
    t.index ["versioned_form_id"], name: "index_quest_submissions_on_versioned_form_id"
  end

  create_table "quest_tags", id: :serial, force: :cascade do |t|
    t.uuid "form_id", null: false
    t.string "value", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "quest_templates", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.text "description"
    t.json "options"
    t.string "layout"
    t.text "content"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "quest_tenants", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "domain", null: false
    t.string "database", null: false
    t.boolean "enabled", default: false, null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "rate_reductions", force: :cascade do |t|
    t.bigint "site_id", null: false
    t.bigint "jobseeker_id", null: false
    t.bigint "placement_id"
    t.decimal "basic_rate"
    t.date "date_paid_from"
    t.date "date_paid_to"
    t.decimal "earned_casual_income"
    t.string "outcome_type"
    t.integer "payment_period_days"
    t.decimal "rate_reduction"
    t.string "referral_ess_identifier"
    t.date "request_period_start_date"
    t.date "request_period_end_date"
    t.string "result_code"
    t.date "result_date"
    t.string "outcome_lvl"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "programme"
    t.bigint "fortnight_id"
    t.index ["fortnight_id"], name: "index_rate_reductions_on_fortnight_id"
    t.index ["jobseeker_id"], name: "index_rate_reductions_on_jobseeker_id"
    t.index ["placement_id"], name: "index_rate_reductions_on_placement_id"
    t.index ["site_id"], name: "index_rate_reductions_on_site_id"
  end

  create_table "referral_sources", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "active", default: true, null: false
    t.string "lead_sub_source_type", default: "optional"
  end

  create_table "referrals", id: :serial, force: :cascade do |t|
    t.integer "vacancy_id", null: false
    t.integer "stream_participant_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "ess_identifier"
    t.integer "created_by_id"
    t.date "referred_on"
    t.string "result_status"
    t.date "result_entered_on"
    t.date "result_effective_on"
    t.date "ess_created_on"
    t.integer "jobseeker_id", null: false
    t.datetime "deleted_at"
    t.string "site_type"
    t.integer "site_id"
    t.integer "verifying_update_user_id"
    t.date "verifying_updated_on"
    t.integer "referral_creation_site_id"
    t.integer "vacancy_owning_site_id"
    t.integer "vacancy_creation_user_id"
    t.string "vacancy_referral_end_reason"
    t.date "vacancy_referral_ended_on"
    t.json "batch_data"
    t.date "anchor_date"
    t.datetime "marketo_synced_at"
    t.string "special_vacancy_type_code"
    t.index ["created_by_id"], name: "index_referrals_on_created_by_id"
    t.index ["deleted_at"], name: "index_referrals_on_deleted_at"
    t.index ["jobseeker_id", "vacancy_id"], name: "unique_referral_constraint", unique: true, where: "(deleted_at IS NULL)"
    t.index ["jobseeker_id"], name: "index_referrals_on_jobseeker_id"
    t.index ["stream_participant_id"], name: "index_referrals_on_stream_participant_id"
    t.index ["vacancy_id"], name: "index_referrals_on_vacancy_id"
  end

  create_table "regions", id: :serial, force: :cascade do |t|
    t.string "name"
    t.datetime "deleted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["deleted_at"], name: "index_regions_on_deleted_at"
  end

  create_table "reminder_schedules", force: :cascade do |t|
    t.string "name", null: false
    t.boolean "active", default: true, null: false
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["deleted_at"], name: "index_reminder_schedules_on_deleted_at"
  end

  create_table "reminder_schedules_templates", id: false, force: :cascade do |t|
    t.bigint "reminder_schedule_id"
    t.bigint "reminder_template_id"
    t.index ["reminder_schedule_id"], name: "index_reminder_schedules_templates_on_reminder_schedule_id"
    t.index ["reminder_template_id"], name: "index_reminder_schedules_templates_on_reminder_template_id"
  end

  create_table "reminder_templates", force: :cascade do |t|
    t.text "description", null: false
    t.integer "assigned_to_id"
    t.integer "number_of_days_after_creation_due", null: false
    t.text "tags", default: [], array: true
    t.text "comments"
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["deleted_at"], name: "index_reminder_templates_on_deleted_at"
  end

  create_table "reminders", id: :serial, force: :cascade do |t|
    t.integer "remindable_id", null: false
    t.string "remindable_type", null: false
    t.text "description", null: false
    t.integer "created_by_id", null: false
    t.integer "assigned_to_id", null: false
    t.integer "completed_by_id"
    t.datetime "completed_at"
    t.datetime "due_at_unfixed"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "repeat_id"
    t.datetime "deleted_at"
    t.string "type", default: "Reminder", null: false
    t.datetime "due_at"
    t.integer "updated_by_id"
    t.text "tags", default: [], array: true
    t.boolean "jobseeker_to_action", default: false, null: false
    t.text "comment"
    t.bigint "jobseeker_goal_id"
    t.bigint "goal_action_id"
    t.bigint "time_frame_id"
    t.index ["completed_by_id"], name: "index_reminders_on_completed_by_id"
    t.index ["created_by_id"], name: "index_reminders_on_created_by_id"
    t.index ["deleted_at"], name: "index_reminders_on_deleted_at"
    t.index ["jobseeker_goal_id"], name: "index_reminders_on_jobseeker_goal_id"
    t.index ["remindable_type", "remindable_id"], name: "index_reminders_on_remindable_type_and_remindable_id"
    t.index ["repeat_id"], name: "index_reminders_on_repeat_id"
    t.index ["time_frame_id"], name: "index_reminders_on_time_frame_id"
    t.index ["type"], name: "index_reminders_on_type"
  end

  create_table "repeats", id: :serial, force: :cascade do |t|
    t.text "schedule", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.boolean "active", default: true, null: false
    t.text "type", default: "RepeatReminder", null: false
    t.date "from"
    t.date "to"
    t.date "cursor"
    t.index ["active"], name: "index_repeats_on_active"
    t.index ["cursor"], name: "index_repeats_on_cursor"
    t.index ["to"], name: "index_repeats_on_to"
  end

  create_table "requested_attachment_histories", force: :cascade do |t|
    t.bigint "attachment_id"
    t.bigint "requested_by_id"
    t.bigint "jobseeker_id"
    t.string "status", default: "requested"
    t.string "document_type"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "type", default: "JobseekerRequestedAttachmentHistory", null: false
    t.bigint "contact_id"
    t.bigint "placement_id"
    t.index ["attachment_id"], name: "index_requested_attachment_histories_on_attachment_id"
    t.index ["contact_id"], name: "index_requested_attachment_histories_on_contact_id"
    t.index ["jobseeker_id"], name: "index_requested_attachment_histories_on_jobseeker_id"
    t.index ["placement_id"], name: "index_requested_attachment_histories_on_placement_id"
    t.index ["requested_by_id"], name: "index_requested_attachment_histories_on_requested_by_id"
  end

  create_table "requested_signature_histories", force: :cascade do |t|
    t.bigint "attachment_id"
    t.bigint "requested_by_id"
    t.bigint "jobseeker_id"
    t.string "status", default: "requested"
    t.datetime "viewed_at"
    t.datetime "signed_at"
    t.bigint "signed_attachment_id"
    t.jsonb "additional_data", default: {}, null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "type", default: "JobseekerRequestedSignatureHistory", null: false
    t.bigint "contact_id"
    t.bigint "placement_id"
    t.index ["attachment_id"], name: "index_requested_signature_histories_on_attachment_id"
    t.index ["contact_id"], name: "index_requested_signature_histories_on_contact_id"
    t.index ["jobseeker_id"], name: "index_requested_signature_histories_on_jobseeker_id"
    t.index ["placement_id"], name: "index_requested_signature_histories_on_placement_id"
    t.index ["requested_by_id"], name: "index_requested_signature_histories_on_requested_by_id"
    t.index ["signed_attachment_id"], name: "index_requested_signature_histories_on_signed_attachment_id"
  end

  create_table "resume_attachments", id: :serial, force: :cascade do |t|
    t.string "file"
    t.integer "user_id"
    t.integer "stream_participant_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.string "previous_system_identifier"
    t.string "av_status", default: "unknown", null: false
    t.datetime "av_timestamp"
    t.string "av_signature"
    t.string "resume_url"
    t.string "name"
    t.datetime "confirmed_at"
    t.index ["deleted_at"], name: "index_resume_attachments_on_deleted_at"
    t.index ["stream_participant_id"], name: "index_resume_attachments_on_stream_participant_id"
    t.index ["user_id"], name: "index_resume_attachments_on_user_id"
  end

  create_table "reverse_marketing_activities", id: :serial, force: :cascade do |t|
    t.integer "jobseeker_id", null: false
    t.integer "created_by_id", null: false
    t.integer "company_id"
    t.text "details_of_conversation", null: false
    t.string "result", null: false
    t.datetime "next_contact_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "previous_system_identifier"
    t.index ["company_id"], name: "index_reverse_marketing_activities_on_company_id"
    t.index ["created_by_id"], name: "index_reverse_marketing_activities_on_created_by_id"
    t.index ["jobseeker_id"], name: "index_reverse_marketing_activities_on_jobseeker_id"
    t.index ["previous_system_identifier"], name: "index_rma_on_previous_system_identifier"
  end

  create_table "reverse_marketing_activity_results", force: :cascade do |t|
    t.string "result", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_reverse_marketing_activity_results_on_deleted_at"
    t.index ["result"], name: "index_reverse_marketing_activity_results_on_result", unique: true
  end

  create_table "saved_searches", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.text "resource_type", null: false
    t.text "search_title", null: false
    t.text "filters"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_saved_searches_on_deleted_at"
  end

  create_table "scanned_document_images", id: :serial, force: :cascade do |t|
    t.integer "scanned_document_id"
    t.integer "serial_number"
    t.string "file"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["scanned_document_id"], name: "index_scanned_document_images_on_scanned_document_id"
    t.index ["serial_number"], name: "index_scanned_document_images_on_serial_number"
  end

  create_table "scanned_documents", id: :serial, force: :cascade do |t|
    t.string "file"
    t.integer "batch_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["batch_id"], name: "index_scanned_documents_on_batch_id"
  end

  create_table "schedules", id: :serial, force: :cascade do |t|
    t.string "form_id"
    t.string "interval", null: false
    t.integer "managed_by_id", null: false
    t.integer "updated_by_id", null: false
    t.date "started_on", null: false
    t.integer "schedulable_id", null: false
    t.string "schedulable_type", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "type"
    t.boolean "completed", default: false
    t.datetime "completed_at"
    t.integer "completed_by_id"
  end

  create_table "service_descriptions", force: :cascade do |t|
    t.text "description", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_service_descriptions_on_deleted_at"
  end

  create_table "service_of_interests", force: :cascade do |t|
    t.string "name"
    t.boolean "active"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "lead_types", default: [], array: true
  end

  create_table "settings", id: :serial, force: :cascade do |t|
    t.integer "four_week_target"
    t.integer "twelve_week_target"
    t.integer "twenty_six_week_target"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "placement_target"
    t.string "business_rules_document"
    t.string "jobseeker_portal_email_invitation_subject"
    t.text "jobseeker_portal_email_invitation_body"
    t.text "jobseeker_portal_sms_invitation_body"
    t.text "jobseeker_portal_terms_and_conditions"
    t.text "jobseeker_portal_welcome_message"
    t.json "vacancy_jobs_board_custom_fields", default: {}, null: false
    t.string "default_pps_schedule_interval", default: "Fortnightly"
    t.integer "unsuccessful_pps_days_offset", default: 1, null: false
    t.string "pps_schedule_interval_stream_a", default: "Fortnightly"
    t.string "pps_schedule_interval_stream_a_volunteer", default: "Fortnightly"
    t.string "pps_schedule_interval_stream_b", default: "Weekly"
    t.string "pps_schedule_interval_stream_c", default: "Weekly"
    t.boolean "use_placement_next_pps_due_date_for_unsuccessful_contacts", default: false
    t.string "next_pps_due_date_type", default: "contact_date"
    t.string "pps_schedule_interval_indigenous", default: "Weekly"
    t.integer "vacancy_recently_created_period_in_days", default: 20, null: false
    t.integer "indigenous_mentoring_expense_payment_type_id"
    t.integer "indigenous_mentoring_company_id"
    t.string "finance_system"
    t.string "whitelisted_emails", default: [], array: true
    t.string "intercepted_emails_to", default: [], array: true
    t.boolean "intercept_emails", default: false
    t.jsonb "support_types_requiring_forms", default: {}, null: false
    t.jsonb "trackable_placement_forms", default: {}, null: false
    t.integer "number_of_characters_per_sms", default: 160, null: false
    t.integer "number_of_sms_per_message"
    t.integer "allied_health_company_id"
    t.integer "expense_tolerance_percent"
    t.string "flexible_ongoing_support", default: "Fortnightly"
    t.string "moderate_ongoing_support", default: "Monthly"
    t.string "high_ongoing_support", default: "Monthly"
    t.jsonb "placement_creation", default: {}, null: false
    t.integer "session_timeout_in_seconds"
    t.string "private_note_color", default: "#ec7500"
    t.text "sso_saml_metadata_xml"
    t.text "sso_saml_x509_public_key"
    t.text "sso_saml_x509_private_key"
    t.boolean "force_sso", default: false, null: false
    t.string "sms_mobile_number_whitelist", default: [], array: true
    t.string "default_email_signature_logo"
    t.boolean "use_jobseeker_communication_preferences", default: false, null: false
    t.boolean "use_organisation_communication_preferences", default: false, null: false
    t.string "communication_policy_active_days", default: [], array: true
    t.time "communication_policy_start_time"
    t.time "communication_policy_end_time"
    t.boolean "communication_policy_active", default: false, null: false
    t.boolean "action_plan_status_workflow", default: false, null: false
    t.string "pps_schedule_interval_des_dms", default: "Weekly"
    t.string "pps_schedule_interval_des_ess", default: "Weekly"
    t.string "support_week_starting_day", default: "sunday"
    t.integer "wage_subsidy_payment_portal_session_timeout_in_seconds"
    t.boolean "marketo_sync_enabled", default: false, null: false
    t.boolean "bank_transactions_import_enabled", default: false
    t.string "bank_transactions_import_filename"
    t.string "bank_transactions_import_checksum"
    t.string "pps_schedule_interval_stream_moderate", default: "Fortnightly"
    t.string "pps_schedule_interval_stream_high", default: "Fortnightly"
    t.boolean "can_email_action_plan", default: false, null: false
    t.boolean "allied_health_activity_mandatory_delivery_mode", default: false, null: false
    t.text "jobseeker_suggestion_sms_engagement_body"
    t.boolean "comment_mandatory", default: false, null: false
    t.boolean "auto_create_reminders_for_transfer_leads", default: false, null: false
    t.integer "lead_days_for_reminder", default: 3, null: false
    t.integer "leads_kanban_day_limit", default: 7, null: false
    t.integer "jobseeker_leads_auto_close_days", default: 30
    t.integer "company_leads_auto_close_days", default: 30
    t.string "time_zone", default: "Australia/Sydney"
    t.string "locale", default: "en"
  end

  create_table "short_message_replies", id: :serial, force: :cascade do |t|
    t.integer "short_message_id", null: false
    t.text "content", null: false
    t.string "number", null: false
    t.datetime "received_at", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["short_message_id"], name: "index_short_message_replies_on_short_message_id"
  end

  create_table "short_messages", id: :serial, force: :cascade do |t|
    t.integer "recipient_id", null: false
    t.integer "user_id", null: false
    t.string "status", null: false
    t.text "content", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "number", default: "", null: false
    t.string "client_id"
    t.string "recipient_type"
    t.string "previous_system_identifier"
    t.date "follow_up_date"
    t.integer "reminder_id"
    t.datetime "scheduled_at"
    t.index ["client_id"], name: "index_short_messages_on_client_id"
    t.index ["recipient_id"], name: "index_short_messages_on_recipient_id"
    t.index ["recipient_type"], name: "index_short_messages_on_recipient_type"
    t.index ["reminder_id"], name: "index_short_messages_on_reminder_id"
    t.index ["user_id"], name: "index_short_messages_on_user_id"
  end

  create_table "short_urls", id: false, force: :cascade do |t|
    t.string "alias", null: false
    t.string "long_url", null: false
    t.index ["alias"], name: "index_short_urls_on_alias", unique: true
  end

  create_table "site_floats", force: :cascade do |t|
    t.bigint "site_id"
    t.bigint "supplier_id"
    t.bigint "voucher_type_id"
    t.decimal "voucher_amount"
    t.integer "float_number"
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "custom_expense_type_id"
    t.string "assistance_type_code"
    t.index ["custom_expense_type_id"], name: "index_site_floats_on_custom_expense_type_id"
    t.index ["site_id"], name: "index_site_floats_on_site_id"
    t.index ["supplier_id"], name: "index_site_floats_on_supplier_id"
    t.index ["voucher_type_id"], name: "index_site_floats_on_voucher_type_id"
  end

  create_table "site_groupings", id: :serial, force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "level", default: "first"
    t.string "logo"
    t.index ["name"], name: "index_site_groupings_on_name"
  end

  create_table "sites", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "ess_identifier", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "location_id"
    t.text "tags", default: [], array: true
    t.string "phone"
    t.string "contract_sequence_number"
    t.boolean "active", default: true, null: false
    t.integer "site_grouping_id"
    t.integer "second_level_site_grouping_id"
    t.string "contract_ess_identifier"
    t.string "email"
    t.string "finance_code"
    t.string "outlet_id"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_sites_on_deleted_at"
    t.index ["ess_identifier"], name: "index_sites_on_ess_identifier", unique: true
    t.index ["location_id"], name: "index_sites_on_location_id"
    t.index ["second_level_site_grouping_id"], name: "index_sites_on_second_level_site_grouping_id"
    t.index ["site_grouping_id"], name: "index_sites_on_site_grouping_id"
  end

  create_table "smart_forms", id: :uuid, default: -> { "uuid_generate_v4()" }, force: :cascade do |t|
    t.uuid "quest_form_id", null: false
    t.string "name"
    t.string "category"
    t.string "programme"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean "can_complete_again", default: false, null: false
    t.boolean "placement_validation", default: false
    t.boolean "editable", default: false, null: false
    t.index ["programme", "category", "placement_validation"], name: "index_smart_forms_on_programme_and_category_and_validation"
    t.index ["quest_form_id"], name: "index_smart_forms_on_quest_form_id"
  end

  create_table "sms_templates", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.text "content", null: false
    t.datetime "deleted_at"
    t.text "categories", default: [], array: true
    t.boolean "editable", default: true
    t.index ["deleted_at"], name: "index_sms_templates_on_deleted_at"
  end

  create_table "smtp_settings", force: :cascade do |t|
    t.string "address"
    t.integer "port"
    t.string "user_name"
    t.string "encrypted_password"
    t.string "encrypted_password_iv"
    t.string "authentication"
    t.string "enable_starttls_auto"
    t.string "noreply_email"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "imap_address"
    t.integer "imap_port"
    t.string "imap_user_name"
    t.string "encrypted_imap_password"
    t.string "encrypted_imap_password_iv"
    t.string "imap_email"
    t.json "imap_fetch_progress_tracking", default: {}, null: false
    t.string "smtp_server_type", default: "Other"
    t.string "ses_configuration_set"
    t.string "auth_type"
    t.string "tenant_id"
    t.string "client_id"
    t.string "client_secret"
    t.string "access_token"
    t.string "refresh_token"
    t.datetime "expires_on"
  end

  create_table "stream_participant_versions", force: :cascade do |t|
    t.string "item_type", null: false
    t.bigint "item_id", null: false
    t.string "event", null: false
    t.string "whodunnit"
    t.json "object"
    t.json "object_changes"
    t.datetime "created_at"
    t.date "anchor_date"
    t.string "des_program_type_code"
    t.string "funding_level_code"
    t.bigint "managed_by_id"
    t.string "ongoing_support_level_code"
    t.string "phase"
    t.boolean "phase_changed"
    t.date "phase_commenced_on"
    t.bigint "site_id"
    t.string "status"
    t.boolean "status_changed"
    t.index ["anchor_date"], name: "index_stream_participant_versions_on_anchor_date", where: "(anchor_date IS NOT NULL)"
    t.index ["item_type", "item_id"], name: "index_stream_participant_versions_on_item_type_and_item_id"
    t.index ["item_type", "item_id"], name: "stream_participant_versions_item_type_item_id_idx", where: "(anchor_date IS NOT NULL)"
  end

  create_table "stream_participants", id: :serial, force: :cascade do |t|
    t.string "stage", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "jobseeker_id", null: false
    t.string "service"
    t.string "status"
    t.integer "managed_by_id"
    t.string "contract_ess_identifier"
    t.date "ess_last_synced_on"
    t.date "suspended_on"
    t.date "exited_on"
    t.date "placed_on"
    t.date "ended_on"
    t.date "commenced_on"
    t.date "registered_on"
    t.date "referred_on"
    t.string "allowance_type"
    t.string "allowance_rate"
    t.date "allowance_started_on"
    t.date "allowance_ended_on"
    t.date "work_experience_phase_pending_on"
    t.string "special_requirements"
    t.boolean "indigenous"
    t.boolean "apprentice_trainee"
    t.boolean "mature_age"
    t.boolean "refuge_humanitarian_visa"
    t.boolean "remote"
    t.boolean "culturally_and_linguistically_diverse"
    t.boolean "participation_requirement"
    t.date "next_diary_appointment_scheduled_on"
    t.date "work_experience_phase_commenced_on"
    t.integer "time_in_stream"
    t.integer "time_in_program"
    t.integer "time_in_site"
    t.integer "time_in_provider"
    t.string "employment_pathway_plan_status"
    t.string "outcome"
    t.string "registration_eligibility"
    t.string "next_diary_appointment_session_type"
    t.date "last_job_placement_referred_on"
    t.boolean "referred_to_activity", default: false
    t.string "employment_service_area"
    t.string "labour_market_region"
    t.string "specialisation"
    t.string "community_code"
    t.string "community"
    t.boolean "redundant_worker"
    t.boolean "vulnerable_youth"
    t.boolean "vulnerable_youth_student"
    t.boolean "career_advice_eligible"
    t.boolean "cap_eligible"
    t.date "volunteer_exit_expected_on"
    t.string "end_reason"
    t.integer "sequence"
    t.string "status_description"
    t.string "phase"
    t.date "phase_commenced_on"
    t.date "phase_ended_on"
    t.integer "weeks_unemployed", default: 0
    t.date "registered_as_unemployed_on"
    t.integer "placement_sequence"
    t.boolean "aar_activity"
    t.integer "aar_hours_required"
    t.boolean "aar_met"
    t.boolean "aar_required"
    t.boolean "wfd_priority"
    t.date "job_plan_started_on"
    t.string "job_plan_status"
    t.date "suspension_end_on"
    t.string "suspension_reason_code"
    t.string "suspension_reason_description"
    t.boolean "disability"
    t.boolean "homeless"
    t.boolean "mental_illness"
    t.boolean "cald"
    t.boolean "spi"
    t.boolean "early_school_leaver"
    t.boolean "pre_release_prisoner"
    t.boolean "ex_offender"
    t.boolean "regional"
    t.string "wage_subsidy_type"
    t.boolean "wage_subsidy_eligible"
    t.boolean "new_enterprise_incentive_scheme"
    t.boolean "ess_initial_interview"
    t.string "jsci_status"
    t.string "transition_code"
    t.string "last_compl_rpt_outcome_desc"
    t.string "last_appointment_result"
    t.integer "time_in_phase"
    t.datetime "deleted_at"
    t.string "participation_requirement_code"
    t.integer "sub_status_id"
    t.string "programme"
    t.jsonb "additional_ess_data", default: {}, null: false
    t.bigint "customer_coordinator_id"
    t.index ["additional_ess_data"], name: "index_stream_participants_on_additional_ess_data", using: :gin
    t.index ["commenced_on"], name: "index_stream_participants_on_commenced_on"
    t.index ["customer_coordinator_id"], name: "index_stream_participants_on_customer_coordinator_id"
    t.index ["deleted_at"], name: "index_stream_participants_on_deleted_at"
    t.index ["jobseeker_id"], name: "index_stream_participants_on_jobseeker_id"
    t.index ["programme"], name: "index_stream_participants_on_programme"
    t.index ["referred_on"], name: "index_stream_participants_on_referred_on"
    t.index ["sequence"], name: "index_stream_participants_on_sequence"
    t.index ["sub_status_id"], name: "index_stream_participants_on_sub_status_id"
  end

  create_table "sub_statuses", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "status"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_sub_statuses_on_deleted_at"
    t.index ["name", "status"], name: "index_sub_statuses_on_name_and_status", unique: true
  end

  create_table "supplier_purchase_orders", id: :serial, force: :cascade do |t|
    t.integer "company_id", null: false
    t.integer "expense_credit_card_id"
    t.integer "expense_payment_type_id", null: false
    t.date "occurred_on", null: false
    t.boolean "related_entity", null: false
    t.boolean "own_organisation", null: false
    t.boolean "provider_to_pay", null: false
    t.text "justification", null: false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.integer "reviewer_id"
    t.integer "created_by_id"
    t.string "status", default: "pending", null: false
    t.date "reviewed_on"
    t.text "review_comment"
    t.integer "purchase_order_id"
    t.string "reject_reason"
    t.date "pre_reviewed_on"
    t.text "pre_review_comment"
    t.integer "pre_reviewer_id"
    t.index ["company_id"], name: "index_supplier_purchase_orders_on_company_id"
    t.index ["created_by_id"], name: "index_supplier_purchase_orders_on_created_by_id"
    t.index ["expense_credit_card_id"], name: "index_supplier_purchase_orders_on_expense_credit_card_id"
    t.index ["expense_payment_type_id"], name: "index_supplier_purchase_orders_on_expense_payment_type_id"
    t.index ["pre_reviewer_id"], name: "index_supplier_purchase_orders_on_pre_reviewer_id"
    t.index ["purchase_order_id"], name: "index_supplier_purchase_orders_on_purchase_order_id"
    t.index ["reviewer_id"], name: "index_supplier_purchase_orders_on_reviewer_id"
  end

  create_table "system_email_templates", id: :serial, force: :cascade do |t|
    t.string "email_type"
    t.string "name"
    t.string "subject"
    t.text "text_template"
    t.text "html_template"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "tags", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.text "categories", default: [], array: true
    t.string "entity"
    t.datetime "deleted_at"
    t.index ["categories"], name: "index_tags_on_categories"
    t.index ["deleted_at"], name: "index_tags_on_deleted_at"
    t.index ["entity"], name: "index_tags_on_entity"
    t.index ["name"], name: "index_tags_on_name"
  end

  create_table "temp_pps_records", id: :serial, force: :cascade do |t|
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "actioned_by_id"
    t.string "form_id"
    t.integer "placement_id"
    t.text "params", null: false
  end

  create_table "tenants", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.string "domain", null: false
    t.string "database", null: false
    t.boolean "enabled", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "logo"
    t.integer "load_priority"
    t.string "login_logo"
  end

  create_table "time_frames", force: :cascade do |t|
    t.string "name"
    t.boolean "due_at_required", default: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "time_logs", id: :serial, force: :cascade do |t|
    t.integer "site_id"
    t.integer "user_id", null: false
    t.integer "created_by_id", null: false
    t.integer "updated_by_id", null: false
    t.text "comments"
    t.datetime "started_at", null: false
    t.datetime "ended_at", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["created_by_id"], name: "index_time_logs_on_created_by_id"
    t.index ["site_id"], name: "index_time_logs_on_site_id"
    t.index ["updated_by_id"], name: "index_time_logs_on_updated_by_id"
    t.index ["user_id"], name: "index_time_logs_on_user_id"
  end

  create_table "transports", force: :cascade do |t|
    t.string "name"
    t.boolean "system", default: false
    t.datetime "deleted_at"
    t.bigint "employment_property_option_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["employment_property_option_id"], name: "index_transports_on_employment_property_option_id"
  end

  create_table "user_expense_approval_limits", id: :serial, force: :cascade do |t|
    t.integer "user_id"
    t.string "programme", null: false
    t.boolean "wage_subsidy", null: false
    t.integer "approval_limit", default: 0, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["user_id"], name: "index_user_expense_approval_limits_on_user_id"
  end

  create_table "user_sets", force: :cascade do |t|
    t.string "object_type", null: false
    t.bigint "object_id", null: false
    t.string "type", null: false
    t.string "programme"
    t.bigint "user_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["object_id", "object_type", "type", "programme", "user_id"], name: "index_user_sets_identity", unique: true
    t.index ["object_type", "object_id"], name: "index_user_sets_on_object_type_and_object_id"
    t.index ["programme"], name: "index_user_sets_on_programme"
    t.index ["type"], name: "index_user_sets_on_type"
    t.index ["user_id"], name: "index_user_sets_on_user_id"
  end

  create_table "user_settings", force: :cascade do |t|
    t.bigint "user_id"
    t.string "setting"
    t.json "value"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["user_id"], name: "index_user_settings_on_user_id"
  end

  create_table "users", id: :serial, force: :cascade do |t|
    t.citext "email", default: "", null: false
    t.datetime "remember_created_at"
    t.string "uid", default: "", null: false
    t.string "avatar_url"
    t.string "access_token"
    t.datetime "access_token_expires_at"
    t.string "first_name", default: "", null: false
    t.string "last_name", default: "", null: false
    t.citext "ess_identifier"
    t.decimal "expenses_approval_limit", precision: 8, default: "0", null: false
    t.string "time_zone"
    t.string "role"
    t.integer "site_id"
    t.boolean "second_approver", default: false
    t.boolean "manage_national_employers", default: false
    t.boolean "manage_regional_employers", default: false
    t.string "phone"
    t.text "email_signature"
    t.boolean "vacancy_ess_service", default: false
    t.boolean "employer_ess_service", default: false
    t.boolean "active", default: true, null: false
    t.boolean "manage_claim_states", default: false
    t.boolean "jobready_admin"
    t.boolean "can_stop_pps_schedule", default: false
    t.string "job_title"
    t.boolean "expense_master_editor", default: false
    t.integer "reverse_marketing_activities_count", default: 0
    t.boolean "tableau_license", default: false
    t.string "ccu_role"
    t.json "kanban_board_last_search", default: {}, null: false
    t.boolean "can_mark_non_payable", default: false
    t.boolean "can_unmark_non_payable", default: false
    t.boolean "can_reinstate_claim", default: false
    t.boolean "can_export_data", default: true
    t.integer "accessible_site_ids", default: [], array: true
    t.datetime "updated_at", null: false
    t.datetime "created_at", null: false
    t.datetime "locked_at"
    t.boolean "can_view_confidential_notes", default: false, null: false
    t.string "expense_approval_level"
    t.boolean "can_cancel_expense", default: true, null: false
    t.integer "delegate_id"
    t.boolean "manage_allied_health", default: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.integer "sign_in_count", default: 0, null: false
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.inet "current_sign_in_ip"
    t.inet "last_sign_in_ip"
    t.datetime "password_changed_at"
    t.string "unique_session_id", limit: 20
    t.string "invitation_token"
    t.datetime "invitation_created_at"
    t.datetime "invitation_sent_at"
    t.datetime "invitation_accepted_at"
    t.integer "invitation_limit"
    t.integer "invited_by_id"
    t.string "invited_by_type"
    t.integer "invitations_count", default: 0
    t.integer "failed_attempts", default: 0, null: false
    t.boolean "can_create_des_placement", default: false, null: false
    t.boolean "can_remove_wage_history", default: false, null: false
    t.integer "locked_by_id"
    t.boolean "kanban_board_readonly", default: false
    t.boolean "can_bulk_update_support_schedule", default: false, null: false
    t.string "confirmation_token"
    t.datetime "confirmed_at"
    t.datetime "confirmation_sent_at"
    t.citext "unconfirmed_email"
    t.boolean "can_approve_own_expenses", default: true, null: false
    t.boolean "can_update_tracking_behaviour", default: false, null: false
    t.boolean "can_access_employers", default: true, null: false
    t.boolean "can_access_contacts", default: true, null: false
    t.boolean "restrict_site_communication", default: false, null: false
    t.boolean "can_send_bulk_sms", default: false, null: false
    t.string "batch_access_type", default: "own", null: false
    t.string "export_access_type", default: "own", null: false
    t.boolean "can_manage_admin_settings", default: false, null: false
    t.boolean "can_send_bulk_email", default: false, null: false
    t.boolean "site_float_management", default: false, null: false
    t.boolean "can_merge_jobseekers", default: false, null: false
    t.boolean "employment_fund", default: false, null: false
    t.boolean "can_receive_voucher_at_site", default: false, null: false
    t.boolean "can_manage_organisation_leads", default: false, null: false
    t.boolean "can_manage_customer_leads", default: false, null: false
    t.boolean "can_manage_employer_campaigns", default: false, null: false
    t.boolean "can_create_ja_placement", default: false, null: false
    t.boolean "can_manage_queries", default: false
    t.boolean "can_override_period_of_service", default: false
    t.boolean "can_reconcile_bank_transaction", default: false
    t.boolean "can_end_placement", default: true, null: false
    t.boolean "can_manage_basic_benefit_rates", default: false, null: false
    t.boolean "query_notification_subscribed", default: true
    t.boolean "can_edit_job_readiness", default: false, null: false
    t.boolean "can_bulk_update_customer_coordinator", default: false, null: false
    t.boolean "can_add_permissible_break", default: true, null: false
    t.boolean "can_update_supplier_paid_date", default: false, null: false
    t.boolean "can_create_wfa_placement", default: false, null: false
    t.boolean "mfa_enabled", default: false
    t.string "encrypted_otp_secret"
    t.string "encrypted_otp_secret_iv"
    t.string "encrypted_otp_secret_salt"
    t.integer "consumed_timestep"
    t.boolean "otp_required_for_login"
    t.integer "manageable_query_type_ids", default: [], array: true
    t.string "locale"
    t.boolean "can_send_sms", default: true, null: false
    t.boolean "ess_subs_admin", default: false, null: false
    t.index ["active"], name: "index_users_on_active"
    t.index ["confirmation_token"], name: "index_users_on_confirmation_token", unique: true
    t.index ["delegate_id"], name: "index_users_on_delegate_id"
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["ess_identifier"], name: "index_users_on_ess_identifier", unique: true
    t.index ["first_name", "last_name"], name: "index_users_on_first_name_and_last_name"
    t.index ["invitation_token"], name: "index_users_on_invitation_token", unique: true
    t.index ["invitations_count"], name: "index_users_on_invitations_count"
    t.index ["invited_by_id"], name: "index_users_on_invited_by_id"
    t.index ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true
    t.index ["site_id"], name: "index_users_on_site_id"
  end

  create_table "vacancies", id: :serial, force: :cascade do |t|
    t.string "job_title", null: false
    t.text "job_description"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "job_ess_identifier"
    t.string "occupation"
    t.string "status", default: "Active", null: false
    t.string "work_type", default: [], array: true
    t.string "type"
    t.date "ess_created_on"
    t.date "ess_deactiviated_on"
    t.datetime "details_updated_at"
    t.datetime "status_updated_at"
    t.datetime "limit_updated_at"
    t.string "to_apply"
    t.json "categories", default: {}, null: false
    t.integer "company_id"
    t.integer "position_limit", default: 1, null: false
    t.integer "referrals_made", default: 0, null: false
    t.integer "placements_made", default: 0, null: false
    t.string "tenure"
    t.boolean "found_own_employment", default: false, null: false
    t.string "site_ess_identifier"
    t.text "requirements"
    t.date "start_on"
    t.date "end_on"
    t.string "remuneration"
    t.string "working_time"
    t.text "dress_requirements"
    t.string "transport"
    t.string "interview_times"
    t.string "display", default: "N", null: false
    t.integer "site_id"
    t.string "outcome_level"
    t.string "duration"
    t.string "placement_type"
    t.integer "job_placement_officer_id"
    t.integer "contact_id"
    t.string "address_suburb"
    t.string "address_state"
    t.string "address_postcode"
    t.string "salary"
    t.integer "licence_requirement_id", default: [], array: true
    t.json "jobs_board_custom_fields", default: {}, null: false
    t.integer "created_by_id"
    t.boolean "ongoing", default: false
    t.boolean "minimum_wage_verified", default: false
    t.string "programme", default: "jobActive"
    t.string "hours_description"
    t.string "contract_type_code"
    t.string "previous_system_identifier"
    t.text "comment"
    t.json "batch_data"
    t.bigint "occupation_id"
    t.bigint "employer_campaign_id"
    t.string "third_party_portal_reference"
    t.date "active_date"
    t.date "inactive_date"
    t.date "close_date"
    t.string "licence_type_code"
    t.string "fifo_role"
    t.string "special_group_code"
    t.string "mining_energy_utilities"
    t.string "skill_in_demand"
    t.string "aware_details"
    t.string "third_party_job_description"
    t.string "address_line_1"
    t.string "address_line_2"
    t.text "duties"
    t.boolean "send_automated_communications", default: true
    t.integer "transport_ids", default: [], array: true
    t.float "latitude"
    t.float "longitude"
    t.index ["company_id"], name: "index_vacancies_on_company_id"
    t.index ["contact_id"], name: "index_vacancies_on_contact_id"
    t.index ["employer_campaign_id"], name: "index_vacancies_on_employer_campaign_id"
    t.index ["job_ess_identifier"], name: "index_vacancies_on_job_ess_identifier", unique: true
    t.index ["licence_requirement_id"], name: "index_vacancies_on_licence_requirement_id"
    t.index ["occupation_id"], name: "index_vacancies_on_occupation_id"
    t.index ["salary"], name: "index_vacancies_on_salary"
    t.index ["site_id"], name: "index_vacancies_on_site_id"
    t.index ["updated_at"], name: "index_vacancies_on_updated_at"
  end

  create_table "vacancy_checklist_items", id: :serial, force: :cascade do |t|
    t.integer "vacancy_id"
    t.text "description"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["vacancy_id"], name: "index_vacancy_checklist_items_on_vacancy_id"
  end

  create_table "verification_sources", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.boolean "active", default: true
    t.datetime "created_at"
    t.datetime "updated_at"
    t.index ["name"], name: "index_verification_sources_on_name", unique: true
  end

  create_table "versions", id: :serial, force: :cascade do |t|
    t.string "item_type", null: false
    t.integer "item_id", null: false
    t.string "event", null: false
    t.string "whodunnit"
    t.text "yaml_object"
    t.datetime "created_at"
    t.text "yaml_object_changes"
    t.json "object"
    t.json "object_changes"
    t.index ["item_type", "item_id"], name: "index_versions_on_item_type_and_item_id"
    t.index ["item_type"], name: "index_versions_on_item_type"
  end

  create_table "voucher_types", force: :cascade do |t|
    t.string "name", null: false
    t.boolean "electronic", default: false, null: false
    t.boolean "gst", default: false, null: false
    t.boolean "active", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["name"], name: "index_voucher_types_on_name", unique: true
  end

  create_table "vouchers", force: :cascade do |t|
    t.bigint "site_float_id", null: false
    t.string "barcode", null: false
    t.string "url"
    t.string "status"
    t.datetime "received_at"
    t.datetime "issued_at"
    t.datetime "missing_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["barcode", "url"], name: "index_vouchers_on_barcode_and_url", unique: true
    t.index ["site_float_id"], name: "index_vouchers_on_site_float_id"
  end

  create_table "wage_histories", id: :serial, force: :cascade do |t|
    t.integer "placement_id", null: false
    t.date "pay_period_ending_date", null: false
    t.decimal "hours_worked"
    t.decimal "rate"
    t.decimal "gross_income"
    t.text "comments"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.integer "verification_source_id"
    t.integer "attachment_ids", default: [], array: true
    t.string "previous_system_identifier"
    t.integer "user_id"
    t.integer "updated_by_id"
    t.string "stage", default: [], array: true
    t.date "pay_period_start_date"
    t.datetime "deleted_at"
    t.date "pay_date"
    t.boolean "unallocated_income", default: false
    t.boolean "ytd_rule", default: false
    t.index ["deleted_at"], name: "index_wage_histories_on_deleted_at"
    t.index ["placement_id"], name: "index_wage_histories_on_placement_id"
    t.index ["stage"], name: "index_wage_histories_on_stage"
    t.index ["updated_by_id"], name: "index_wage_histories_on_updated_by_id"
    t.index ["user_id"], name: "index_wage_histories_on_user_id"
  end

  create_table "wage_subsidy_agreements", force: :cascade do |t|
    t.bigint "custom_expense_type_id"
    t.string "name", null: false
    t.decimal "amount", null: false
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "expense_payment_type_id"
    t.uuid "smart_form_id"
    t.string "wage_subsidy_type"
    t.boolean "variable_amount", default: false, null: false
    t.datetime "deleted_at"
    t.string "previous_system_identifier"
    t.boolean "bottom_line", default: false, null: false
    t.index ["custom_expense_type_id"], name: "index_wage_subsidy_agreements_on_custom_expense_type_id"
    t.index ["deleted_at"], name: "index_wage_subsidy_agreements_on_deleted_at"
    t.index ["expense_payment_type_id"], name: "index_wage_subsidy_agreements_on_expense_payment_type_id"
    t.index ["name"], name: "index_wage_subsidy_agreements_on_name", unique: true
    t.index ["smart_form_id"], name: "index_wage_subsidy_agreements_on_smart_form_id"
  end

  create_table "wage_subsidy_end_reasons", force: :cascade do |t|
    t.string "name"
    t.datetime "deleted_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "wage_subsidy_payment_portal_invitations", force: :cascade do |t|
    t.uuid "uuid", default: -> { "uuid_generate_v4()" }, null: false
    t.bigint "contact_id", null: false
    t.bigint "expense_id", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["contact_id", "expense_id"], name: "index_invitations_on_contact_id_and_expense_id", unique: true
    t.index ["contact_id"], name: "index_wage_subsidy_payment_portal_invitations_on_contact_id"
    t.index ["expense_id"], name: "index_wage_subsidy_payment_portal_invitations_on_expense_id"
  end

  create_table "wage_subsidy_payment_schedule_template_instalments", force: :cascade do |t|
    t.string "name", null: false
    t.integer "sequence_number", null: false
    t.integer "span_weeks", null: false
    t.bigint "wage_subsidy_payment_schedule_template_id", null: false
    t.bigint "document_library_file_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "previous_system_identifier"
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_ws_ps_template_instalments_on_deleted_at"
    t.index ["document_library_file_id"], name: "index_ws_ps_template_installment_on_document_library_file_id"
    t.index ["wage_subsidy_payment_schedule_template_id"], name: "index_ws_ps_template_installment_on_ws_ps_template_id"
  end

  create_table "wage_subsidy_payment_schedule_templates", force: :cascade do |t|
    t.bigint "wage_subsidy_agreement_id"
    t.string "name"
    t.string "frequency"
    t.integer "number_of_payments"
    t.boolean "active", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "previous_system_identifier"
    t.index ["name"], name: "index_wage_subsidy_payment_schedule_templates_on_name", unique: true
    t.index ["wage_subsidy_agreement_id"], name: "index_ws_payment_schedule_templates_on_ws_agreement_id"
  end

  create_table "wage_subsidy_payment_schedules", force: :cascade do |t|
    t.bigint "wage_subsidy_payment_schedule_template_id", null: false
    t.bigint "wage_subsidy_request_id", null: false
    t.date "agreement_start_date", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.bigint "contact_id"
    t.string "previous_system_identifier"
    t.bigint "created_by_id"
    t.index ["contact_id"], name: "index_wage_subsidy_payment_schedules_on_contact_id"
    t.index ["created_by_id"], name: "index_wage_subsidy_payment_schedules_on_created_by_id"
    t.index ["wage_subsidy_payment_schedule_template_id"], name: "index_ws_payment_schedules_on_ws_payment_schedule_template_id"
    t.index ["wage_subsidy_request_id"], name: "index_ws_payment_schedules_on_ws_request_id"
  end

  create_table "wage_subsidy_requests", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "placement_id", null: false
    t.bigint "wage_subsidy_agreement_id", null: false
    t.bigint "custom_expense_type_id"
    t.decimal "wage_subsidy_amount"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "status", default: "draft"
    t.bigint "requested_by_id"
    t.bigint "first_approved_by_id"
    t.datetime "first_approved_at"
    t.bigint "rejected_by_id"
    t.datetime "rejected_at"
    t.text "rejection_reason"
    t.bigint "second_approved_by_id"
    t.datetime "second_approved_at"
    t.datetime "ended_at"
    t.bigint "ended_by_id"
    t.text "legacy_end_reason"
    t.datetime "cancelled_at"
    t.bigint "cancelled_by_id"
    t.text "cancel_reason"
    t.string "previous_system_identifier"
    t.bigint "suggested_contact_id"
    t.bigint "wage_subsidy_end_reason_id"
    t.index "((id)::text) text_pattern_ops", name: "index_wage_subsidy_requests_on_cast_id_as_text"
    t.index ["cancelled_by_id"], name: "index_wage_subsidy_requests_on_cancelled_by_id"
    t.index ["custom_expense_type_id"], name: "index_wage_subsidy_requests_on_custom_expense_type_id"
    t.index ["ended_by_id"], name: "index_wage_subsidy_requests_on_ended_by_id"
    t.index ["first_approved_by_id"], name: "index_wage_subsidy_requests_on_first_approved_by_id"
    t.index ["jobseeker_id"], name: "index_wage_subsidy_requests_on_jobseeker_id"
    t.index ["placement_id"], name: "index_wage_subsidy_requests_on_placement_id"
    t.index ["rejected_by_id"], name: "index_wage_subsidy_requests_on_rejected_by_id"
    t.index ["requested_by_id"], name: "index_wage_subsidy_requests_on_requested_by_id"
    t.index ["second_approved_by_id"], name: "index_wage_subsidy_requests_on_second_approved_by_id"
    t.index ["suggested_contact_id"], name: "index_wage_subsidy_requests_on_suggested_contact_id"
    t.index ["wage_subsidy_agreement_id"], name: "index_wage_subsidy_requests_on_wage_subsidy_agreement_id"
    t.index ["wage_subsidy_end_reason_id"], name: "index_wage_subsidy_requests_on_wage_subsidy_end_reason_id"
  end

  create_table "webhooks", force: :cascade do |t|
    t.string "url", null: false
    t.string "name"
    t.string "events", default: [], array: true
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.jsonb "headers", default: {}
    t.datetime "deleted_at"
    t.index ["deleted_at"], name: "index_webhooks_on_deleted_at"
  end

  create_table "week_wage_histories", force: :cascade do |t|
    t.bigint "week_id"
    t.bigint "wage_history_id"
    t.decimal "gross_income"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["wage_history_id"], name: "index_week_wage_histories_on_wage_history_id"
    t.index ["week_id"], name: "index_week_wage_histories_on_week_id"
  end

  create_table "weeks", force: :cascade do |t|
    t.bigint "placement_id"
    t.date "start_date", null: false
    t.date "end_date", null: false
    t.string "stage", null: false
    t.boolean "apply_break", default: false, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["placement_id"], name: "index_weeks_on_placement_id"
  end

  create_table "why_chooses", id: :serial, force: :cascade do |t|
    t.string "name"
    t.datetime "deleted_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["deleted_at"], name: "index_why_chooses_on_deleted_at"
  end

  create_table "widget_configurations", id: :serial, force: :cascade do |t|
    t.integer "user_id", null: false
    t.string "widget_name", null: false
    t.boolean "enabled", default: true, null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["user_id", "widget_name"], name: "index_widget_configurations_on_user_id_and_widget_name", unique: true
    t.index ["user_id"], name: "index_widget_configurations_on_user_id"
    t.index ["widget_name"], name: "index_widget_configurations_on_widget_name"
  end

  create_table "work_for_doles", force: :cascade do |t|
    t.bigint "jobseeker_id", null: false
    t.bigint "site_id", null: false
    t.boolean "aar_required"
    t.integer "total_hours_required"
    t.decimal "completed_hours"
    t.decimal "tracking_required_hours"
    t.boolean "aar_on_track"
    t.date "hours_last_updated"
    t.boolean "aar_met"
    t.boolean "aar_currently_commenced"
    t.boolean "wfd_currently_commenced"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["jobseeker_id"], name: "index_work_for_doles_on_jobseeker_id"
    t.index ["site_id"], name: "index_work_for_doles_on_site_id"
  end

  add_foreign_key "abn_verifications", "companies"
  add_foreign_key "annual_activity_requirements", "jobseekers"
  add_foreign_key "annual_activity_requirements", "sites"
  add_foreign_key "appointments", "health_sessions"
  add_foreign_key "appointments", "program_referrals"
  add_foreign_key "appointments", "users", column: "cancelled_by_id"
  add_foreign_key "better_proposals", "users", column: "created_by_id"
  add_foreign_key "caseloads", "sites"
  add_foreign_key "claims", "expenses"
  add_foreign_key "claims", "jobseekers"
  add_foreign_key "claims", "sites"
  add_foreign_key "claims", "users", column: "approver_id"
  add_foreign_key "claims", "users", column: "created_by_id"
  add_foreign_key "claims", "users", column: "state_last_updated_by_id"
  add_foreign_key "claims_weekly_snapshots", "sites"
  add_foreign_key "commitment_assessments_surveys", "jobseekers"
  add_foreign_key "commitment_assessments_surveys", "users", column: "created_by_id"
  add_foreign_key "companies", "company_leads"
  add_foreign_key "companies", "employer_statuses"
  add_foreign_key "companies", "users", column: "created_by_id"
  add_foreign_key "companies", "users", column: "recruitment_coordinator_id"
  add_foreign_key "company_leads", "lead_stages"
  add_foreign_key "company_leads", "lead_sub_stages"
  add_foreign_key "company_leads", "lead_substatuses"
  add_foreign_key "company_leads", "referral_sources"
  add_foreign_key "company_leads", "sites"
  add_foreign_key "company_leads", "users", column: "created_by_id"
  add_foreign_key "company_leads", "users", column: "lead_manager_id"
  add_foreign_key "contacts", "users", column: "created_by_id"
  add_foreign_key "cortex_rails_organisations", "cortex_rails_api_configs", column: "api_config_id"
  add_foreign_key "email_events", "emails"
  add_foreign_key "emails", "reminders"
  add_foreign_key "employer_campaigns", "companies"
  add_foreign_key "employer_kpis", "companies"
  add_foreign_key "employer_kpis", "kpis"
  add_foreign_key "employment_hours", "jobseekers"
  add_foreign_key "employment_hours", "placements"
  add_foreign_key "employment_hours", "sites"
  add_foreign_key "employment_property_options", "employment_properties"
  add_foreign_key "ess_wage_subsidy_agreements", "jobseekers"
  add_foreign_key "ess_wage_subsidy_agreements", "placements"
  add_foreign_key "ess_wage_subsidy_agreements", "sites"
  add_foreign_key "ess_wage_subsidy_agreements", "users", column: "created_by_id"
  add_foreign_key "ess_wage_subsidy_agreements", "users", column: "ended_by_id"
  add_foreign_key "expense_approvals", "expenses"
  add_foreign_key "expense_credit_cards", "users"
  add_foreign_key "expense_imports", "expense_exports"
  add_foreign_key "expense_payment_types", "companies"
  add_foreign_key "expenses", "bank_transactions"
  add_foreign_key "expenses", "expense_credit_cards"
  add_foreign_key "expenses", "expense_payment_types"
  add_foreign_key "expenses", "professional_service_activities"
  add_foreign_key "expenses", "sites"
  add_foreign_key "expenses", "supplier_purchase_orders"
  add_foreign_key "expenses", "vouchers"
  add_foreign_key "expenses", "wage_subsidy_payment_schedules"
  add_foreign_key "filter_bar_configurations", "users"
  add_foreign_key "goals", "goal_types"
  add_foreign_key "health_sessions", "repeats"
  add_foreign_key "health_sessions", "sites"
  add_foreign_key "imported_documents", "batches"
  add_foreign_key "internship_agreements", "jobseekers"
  add_foreign_key "internship_agreements", "sites"
  add_foreign_key "interviews", "jobseekers"
  add_foreign_key "interviews", "vacancies"
  add_foreign_key "job_search_outcomes", "jobseekers"
  add_foreign_key "job_search_outcomes", "sites"
  add_foreign_key "jobseeker_action_plans", "jobseekers"
  add_foreign_key "jobseeker_goals", "goals"
  add_foreign_key "jobseeker_goals", "jobseekers"
  add_foreign_key "jobseeker_goals", "users", column: "created_by_id"
  add_foreign_key "jobseeker_leads", "lead_stages"
  add_foreign_key "jobseeker_leads", "lead_sub_stages"
  add_foreign_key "jobseeker_leads", "lead_substatuses"
  add_foreign_key "jobseeker_leads", "referral_sources"
  add_foreign_key "jobseeker_leads", "users", column: "created_by_id"
  add_foreign_key "jobseeker_leads", "users", column: "lead_manager_id"
  add_foreign_key "jobseeker_portal_privacy_document_consents", "jobseeker_portal_privacy_document_files", column: "privacy_document_file_id"
  add_foreign_key "jobseeker_portal_privacy_document_consents", "jobseeker_portal_privacy_documents", column: "privacy_document_id"
  add_foreign_key "jobseeker_portal_privacy_document_consents", "jobseeker_portal_users", column: "user_id"
  add_foreign_key "jobseeker_portal_privacy_document_files", "jobseeker_portal_privacy_documents", column: "privacy_document_id"
  add_foreign_key "jobseeker_suggestions", "jobseekers"
  add_foreign_key "jobseeker_suggestions", "vacancies"
  add_foreign_key "jobseekers", "companies", column: "referring_company_id"
  add_foreign_key "jobseekers", "jobseeker_leads"
  add_foreign_key "jobseekers", "stream_participants"
  add_foreign_key "jobseekers", "users", column: "period_of_service_overridden_by_id"
  add_foreign_key "lead_sub_sources", "referral_sources"
  add_foreign_key "lead_sub_stages", "lead_stages"
  add_foreign_key "licence_requirements", "employment_property_options"
  add_foreign_key "line_items", "expenses"
  add_foreign_key "meetings", "companies"
  add_foreign_key "meetings", "meeting_agenda_templates"
  add_foreign_key "meetings", "users", column: "created_by_id"
  add_foreign_key "notes", "reminders"
  add_foreign_key "placements", "job_end_reasons"
  add_foreign_key "placements", "jobseekers"
  add_foreign_key "placements", "sites"
  add_foreign_key "placements", "users", column: "completion_expected_updated_by_id"
  add_foreign_key "placements", "users", column: "completion_updated_by_id"
  add_foreign_key "placements", "users", column: "employer_engagement_consultant_id"
  add_foreign_key "placements", "users", column: "job_support_coach_id"
  add_foreign_key "placements", "users", column: "pps_managed_by_id"
  add_foreign_key "placements", "users", column: "pps_updated_by_id"
  add_foreign_key "pps_records", "placements"
  add_foreign_key "professional_service_activities", "appointments"
  add_foreign_key "professional_service_activities", "program_referrals"
  add_foreign_key "professional_service_staff", "users"
  add_foreign_key "program_referral_types", "custom_expense_types"
  add_foreign_key "program_referral_types", "expense_payment_types"
  add_foreign_key "program_referrals", "jobseekers"
  add_foreign_key "program_referrals", "program_referral_justification_templates", column: "justification_template_id"
  add_foreign_key "program_referrals", "programs"
  add_foreign_key "program_referrals", "users", column: "approved_by_id"
  add_foreign_key "program_referrals", "users", column: "cancelled_by_id"
  add_foreign_key "program_referrals", "users", column: "created_by_id"
  add_foreign_key "program_referrals", "users", column: "rejected_by_id"
  add_foreign_key "programs", "companies"
  add_foreign_key "programs", "program_referral_types"
  add_foreign_key "programs", "sites"
  add_foreign_key "programs", "smart_forms"
  add_foreign_key "provider_tags", "jobseekers"
  add_foreign_key "provider_tags", "provider_tag_categories"
  add_foreign_key "provider_tags", "provider_tag_descriptions"
  add_foreign_key "queries", "note_templates"
  add_foreign_key "queries", "notes"
  add_foreign_key "queries", "users", column: "assigned_to_id"
  add_foreign_key "queries", "users", column: "created_by_id"
  add_foreign_key "query_types", "note_templates", column: "default_note_template_id"
  add_foreign_key "quest_fields_smart_forms", "smart_forms"
  add_foreign_key "quest_submission_view_tokens", "quest_submissions"
  add_foreign_key "rate_reductions", "jobseekers"
  add_foreign_key "rate_reductions", "placements"
  add_foreign_key "rate_reductions", "sites"
  add_foreign_key "reminders", "repeats"
  add_foreign_key "reminders", "time_frames"
  add_foreign_key "reminders", "users", column: "assigned_to_id"
  add_foreign_key "reminders", "users", column: "completed_by_id"
  add_foreign_key "reminders", "users", column: "created_by_id"
  add_foreign_key "requested_attachment_histories", "attachments"
  add_foreign_key "requested_attachment_histories", "contacts"
  add_foreign_key "requested_attachment_histories", "jobseekers"
  add_foreign_key "requested_attachment_histories", "placements"
  add_foreign_key "requested_attachment_histories", "users", column: "requested_by_id"
  add_foreign_key "requested_signature_histories", "attachments"
  add_foreign_key "requested_signature_histories", "attachments", column: "signed_attachment_id"
  add_foreign_key "requested_signature_histories", "contacts"
  add_foreign_key "requested_signature_histories", "jobseekers"
  add_foreign_key "requested_signature_histories", "placements"
  add_foreign_key "requested_signature_histories", "users", column: "requested_by_id"
  add_foreign_key "scanned_document_images", "scanned_documents"
  add_foreign_key "scanned_documents", "batches"
  add_foreign_key "short_messages", "reminders"
  add_foreign_key "site_floats", "companies", column: "supplier_id"
  add_foreign_key "site_floats", "custom_expense_types"
  add_foreign_key "site_floats", "sites"
  add_foreign_key "site_floats", "voucher_types"
  add_foreign_key "sites", "locations"
  add_foreign_key "sites", "site_groupings"
  add_foreign_key "stream_participants", "sub_statuses"
  add_foreign_key "supplier_purchase_orders", "companies"
  add_foreign_key "supplier_purchase_orders", "expense_credit_cards"
  add_foreign_key "supplier_purchase_orders", "expense_payment_types"
  add_foreign_key "supplier_purchase_orders", "purchase_orders"
  add_foreign_key "transports", "employment_property_options"
  add_foreign_key "user_expense_approval_limits", "users"
  add_foreign_key "user_sets", "users"
  add_foreign_key "users", "sites"
  add_foreign_key "users", "users", column: "delegate_id"
  add_foreign_key "users", "users", column: "locked_by_id"
  add_foreign_key "vacancies", "companies"
  add_foreign_key "vacancies", "contacts"
  add_foreign_key "vacancies", "employer_campaigns"
  add_foreign_key "vacancies", "occupations"
  add_foreign_key "vacancies", "sites"
  add_foreign_key "vacancy_checklist_items", "vacancies"
  add_foreign_key "vouchers", "site_floats"
  add_foreign_key "wage_subsidy_agreements", "custom_expense_types"
  add_foreign_key "wage_subsidy_agreements", "expense_payment_types"
  add_foreign_key "wage_subsidy_payment_portal_invitations", "contacts"
  add_foreign_key "wage_subsidy_payment_portal_invitations", "expenses"
  add_foreign_key "wage_subsidy_payment_schedule_template_instalments", "document_library_files"
  add_foreign_key "wage_subsidy_payment_schedule_template_instalments", "wage_subsidy_payment_schedule_templates"
  add_foreign_key "wage_subsidy_payment_schedule_templates", "wage_subsidy_agreements"
  add_foreign_key "wage_subsidy_payment_schedules", "contacts"
  add_foreign_key "wage_subsidy_payment_schedules", "users", column: "created_by_id"
  add_foreign_key "wage_subsidy_payment_schedules", "wage_subsidy_payment_schedule_templates"
  add_foreign_key "wage_subsidy_payment_schedules", "wage_subsidy_requests"
  add_foreign_key "wage_subsidy_requests", "custom_expense_types"
  add_foreign_key "wage_subsidy_requests", "jobseekers"
  add_foreign_key "wage_subsidy_requests", "placements"
  add_foreign_key "wage_subsidy_requests", "users", column: "cancelled_by_id"
  add_foreign_key "wage_subsidy_requests", "users", column: "ended_by_id"
  add_foreign_key "wage_subsidy_requests", "users", column: "first_approved_by_id"
  add_foreign_key "wage_subsidy_requests", "users", column: "rejected_by_id"
  add_foreign_key "wage_subsidy_requests", "users", column: "requested_by_id"
  add_foreign_key "wage_subsidy_requests", "users", column: "second_approved_by_id"
  add_foreign_key "wage_subsidy_requests", "wage_subsidy_agreements"
  add_foreign_key "wage_subsidy_requests", "wage_subsidy_end_reasons"
  add_foreign_key "widget_configurations", "users"
  add_foreign_key "work_for_doles", "jobseekers"
  add_foreign_key "work_for_doles", "sites"
end
